<?php

namespace App\Http\Controllers\Admin\Email;
use App\Http\Controllers\Controller;
  
use App\Libraries\Rest;
use App\Models\Email\Smtp; 
use Illuminate\Http\Request;
use Carbon\Carbon;
use DB, Storage, Validator, Config;
use DataTables;

/**
 * HomeController Controller
 *
 * Add your methods in the class below
 *
 * This file will render views\home
 */
class SmtpController extends Controller
{
	public function __construct() {
        $this->now = Carbon::now();
    }
	
    public function index(Request $request)
    {
        if ($request->ajax()) {
            $data = DB::table('email_smtps')->select(["id", "sender_name", "network", "host", "username", "password", "port", "smtp_auth", "tls", "sender_email", "status",DB::raw("(DATE_FORMAT(created_at,'%Y-%m-%dT%TZ')) as created_at_date")])->get()->toArray();
            
            return Datatables::of($data)->addIndexColumn()
                ->editColumn('status', function ($data) {
                    if ($data->status == 0) return 'Deactivated';
                    if ($data->status == 1) return 'Activated';
                })
                ->addColumn('action', function($row){
                    
                    if($row->status = 1) {
                        $status = 0;
                        $status_label = 'Deactivate';
                    } else {
                        $status = 1;
                        $status_label = 'Activate';
                    } 
                    $btn = '<div class="dropdown ticket-option">
                                <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                    <div class="dot-three"></div>
                                </button>

                                <div class="dropdown-menu">
                                    <a href="'.(route('smtp-edit',$row->id)).'" class="dropdown-item " >
                                        <i class="fas fa-pencil-alt"></i> Edit
                                    </a>
                                    <a href="'.(route('smtp-view',$row->id)).'" class="dropdown-item " >
                                        <i class="fas fa-eye"></i> View
                                    </a> 
                                    <a class="dropdown-item delete-action" type="button" data-id="'.$row->id.'">
                                        <i class="fas fa-trash"></i> Delete
                                    </a> 
                                    
                                </div>
                            </div>';
                    return $btn;
                })
                ->rawColumns(['action'])
                ->make(true);
        }

        return view('admin.emails.smtp.index'); 
    }    

    public function add(Request $request){		
		return view('admin.emails.smtp.add'); 
    }
	
	public function edit(Request $request){	
		$emailSmtp	=	DB::table('email_smtps')->where('id', $request->id)->first();
		return view('admin.emails.smtp.edit')->with('emailSmtp',$emailSmtp); 
    }
	
	public function store(Request $request){
		$formFields			=	$request->all();
        $validator			=	Validator::make($request->all(), [
            'sender_name'	=>	'bail|required',
            'sender_email'	=>  'bail|required|email',
            'network'       =>  'bail|required',
            'username'      =>  'bail|required'
        ],[
            'sender_name.bail' => 'Vendor is required.',
            'sender_email.bail' => 'Sender Email is required.', 
            'network.bail' => 'network is required.', 
            'username.bail' => 'SMTP Username/Api Key is required.', 
        ]);

        if ($validator->fails()){
			return response()->json(['error' => $validator->errors()->messages()]);
		} 		
		foreach ($formFields as $key => $value) {
			if($value != 'null'){
				$formFields[$key] = $value;
			}
		}
		unset($formFields['_token']);
		$formFields['smtp_auth']	=   1;
        $formFields['tls']        	=   1;
        $formFields['status']      	=   0;
		if(empty($formFields['id'])) {
			$message = 'created';
			$formFields['created_at']	=	$this->now;
			DB::table('email_smtps')->insert($formFields);
		}else{
			$message = 'updated';
			$formFields['updated_at']	=	$this->now;
			DB::table('email_smtps')->where('id',$formFields['id'])->update($formFields);
		}
		return response()->json(["status" => true,'message'=> 'Email Template has been '.$message.' successfully.']);  
	}

    public function view(Request $request){
        $emailSmtp	=	DB::table('email_smtps')->where('id', $request->id)->first();
		return view('admin.emails.smtp.view')->with('emailSmtp', $emailSmtp);    
    }
 
	public function delete(Request $request){
		if (empty($request->id)) {
			return response()->json(["status"=>true,'message'=> 'Email Template id been not Not found.']);
		} 
		DB::table('email_smtps')->where('id', $request->id)->delete();
		return response()->json(["status"=>true,'message'=> 'Form Builder has been deleted successfully.']);
    } 
}
