<?php
namespace App\Http\Controllers\Admin;

use App\Models\FieldSetting;
use Illuminate\Http\Request;
use DataTables;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;
use DB,Storage;
use Carbon\Carbon;
use App\Models\Interfaces;

class FormSettingsController extends Controller
{

    /**
        * Display a listing of the resource.
        *
        * @return \Illuminate\Http\Response
    */
    public function __construct()
    {
        $this->now = Carbon::now();
    }

    public function index($module_name)
    {
        $interface_data = Interfaces::where('status', 1)->get();

        return view('admin.settings.index')->with('interface_data', $interface_data);
    }

    public function addInterface(Request $request)
    {
        Interfaces::create([
            'sequence' => $request->interface_sequence,
            'name' => $request->interface_name,
            'category' => $request->interface_category,
            'shortcode' => $request->interface_shortcode,
            'type' => $request->interface_type,
            'email_template' => $request->email_template,
            'whatsapp_template' => $request->whatsapp_template,
            'created_at' => $this->now,
            'updated_at' => $this->now,
        ]);

        return redirect()->route('event_settings_001');
    }

    public function interfaceDelete(Request $request)
    {
        Interfaces::where('id', $request->id)->delete();

        return redirect()->route('event_settings_001');
    }

    public function updateInterfaceForm(Request $request)
    {
        $interface_data = Interfaces::where('id', $request->id)->where('status', 1)->first();

        $form_settings = DB::table('form_settings')->where('module_id', $request->id)->get();
        
        return view('admin.settings.interface_form_update')->with('form_settings', $form_settings)->with('interface_id', $request->id)->with('interface_data', $interface_data);
    }

    public function addMoreFormField(Request $request)
    {
        return view('admin.settings.add_more_form_field')->with('interface_id', $request->interface_id);
    }

    public function saveFormField(Request $request)
    {
        DB::table('form_settings')->where('module_id', $request->interface_id)->delete();

        foreach($request->field_title as $key => $value) {
            if($value != '') {
                $value = $request->value[$key] != '' ? $request->value[$key] : '';
                
                $data = [
                    'module_id' => $request->interface_id,
                    'module_name' => $request->module_name[$key],
                    'field_title' => $request->field_title[$key],
                    'field_name' => $request->field_name[$key],
                    'field_type' => $request->field_type[$key],
                    'required' => $request->required[$key],
                    'unique_field' => $request->unique[$key],
                    'filter' => $request->filter[$key],
                    'value' => $value,
                ];
    
                DB::table('form_settings')->insert($data);
            }
        }

        return true;
    }

}
