<?php

namespace App\Http\Controllers\Admin;
use App\Models\Admin\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\{User, UserMember, Invitees, InterfaceUserRegistrations, Order, TicketBooking, Ticket};
use DB;
use Carbon\Carbon;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Response as FileResponse;

class InterfaceDashboardController extends Controller
{
    /**
        * Instantiate a new controller instance.
        *
        * @return void
    */

    public function __construct()
    {
        $this->now = Carbon::now();
    }
    
	public function index(Request $request)
    {
		$dateFilter = $request->input('date_filter') ?: Carbon::today()->toDateString(); 
		$title = 'Interface Dashboard'; 
		
        $orderDetail = Order::where('status', 1)->where('transection_id', '!=', 'bypass')->get();

        $final_order_counts = [];
        $final_bookings_count = [];
        foreach($orderDetail as $key => $value) {
            $ticketBookings = DB::table('users')->where('order_id', $value->unique_order_id)->where('status', 1);
            
            $final_order_counts[$value->unique_order_id] = ['order_id' => $value->unique_order_id, 'booking_count' => $ticketBookings->count(), 'total' => $value->total];
            $catTicktBookings = $ticketBookings->get();
            
            foreach($catTicktBookings as $key2 => $value2) {
                $tickets = Ticket::where('id', $value2->ticket_id)->where('status', 1)->first();
                $final_bookings_count[$tickets->name][$value->unique_order_id] = ['order_id' => $value->unique_order_id, 'booking_count' => $ticketBookings->count(), 'total' => $value->total];
            }
        }
        

        return view('admin.interface_dashboard.index', compact('dateFilter','title', 'final_order_counts', 'final_bookings_count'));                   
    } 
    
	public function interfaceCount(Request $request)
    {
		$date = $request->input('dateFilter');
			
		$interfaces = DB::table('user_types')
			->select('user_types.*')
			->selectSub(function ($iQuery) use ($date) {
				$iQuery->from('users')
					->whereRaw('users.user_type_id = user_types.id')
					->when($date, function ($iQuery) use ($date) {
						return $iQuery->whereDate('users.created_at', $date);
					})
					->selectRaw('COUNT(users.id)');
			}, 'user_count')
			->where('type', 'Interface')
			->where('status', 1)
			->get();
		
		$query = DB::table('orders')
			->leftJoin('users', 'users.id', '=', 'orders.user_id')
			->leftJoin('tickets', 'tickets.id', '=', 'users.ticket_id')
			->where('orders.status', 1)
			->where('orders.transection_id', '!=', 'bypass')
			->select('orders.*', 'tickets.category');

		if ($date) {
			$query->whereDate('users.created_at', $date);
		}

		$orderDetail = $query->get(); 
		$orderData =  $categoryTotals = [];
		// dd($orderDetail);
		foreach ($orderDetail as $order) {
			$orderData[$order->category]['total_ticket_qty'][] = $order->ticket_qty;
			$orderData[$order->category]['totalUser'] = count($orderData[$order->category]['total_ticket_qty']);
			$orderData[$order->category]['total_ticket_qty_category'] = array_sum($orderData[$order->category]['total_ticket_qty']);
		}  

		// if ($request->input('isExport')) {
			// $headerRow = [
				// 'Sr.No.', 
				// 'Category', 
				// 'Total Users', 
				// 'Total Ticket Quantity',  
			// ];
			
			// $delimiter = ',';
			// $enclosure = '"';
			// $csvFile = fopen('php://output', 'w');
			// header('Content-type: application/download');
			// header('Content-Disposition: attachment; filename=interface_count Reports.csv');
			// fputcsv($csvFile,$headerRow, $delimiter, $enclosure);
			
			// $i=1;
			// foreach($orderData as $category => $data)
			// {
				// $arr = [
					// $i,
					// $category,
					// $data['totalUser'],
					// $data['total_ticket_qty_category'],
					// $data->ticket_name,
					// $data->name,
					// $data->email,
					// $data->country_code.' '.$data->phone,
					// $data->organization,
					// $data->designation,
					// $data->festival_dates,
					// $data->organization_role,
					// $data->job_level,
					// $data->image_url,
					// $data->refer1_full_name,
					// $data->refer1_email,
					// $data->refer1_job_title,
					// $data->refer1_company,
					// $data->refer2_full_name,
					// $data->refer2_email,
					// $data->refer2_job_title,
					// $data->refer2_company,
					// $data->eticket_path,
					// date('Y-m-d h:i:s A', strtotime($data->created_at))
				// ];
				// fputcsv($csvFile, $arr, $delimiter, $enclosure);
				// $i++;
			// }
			// fclose($csvFile);
		// }
        return view('admin.interface_dashboard.interface_count', compact('interfaces',"orderData"));
    }
	
	public function totalTicketSales(Request $request){ 
		$date = $request->input('dateFilter');
		$query = DB::table('orders')
			->join('users', 'orders.user_id', '=', 'users.id')
			->join('tickets', 'users.ticket_id', '=', 'tickets.id')
			->select(
				DB::raw('DATE_FORMAT(orders.created_at, "%M") as month'),
				'tickets.category',
				DB::raw('SUM(orders.sub_total) as total_sub_total')
			)
			->where('orders.status', 1)
			->where('orders.transection_id', '!=', 'bypass')
			->orderBy('orders.created_at', 'ASC')
			->groupBy('month', 'tickets.category');

		if ($date) {
			$query->whereDate('orders.created_at', $date);
		}

		$result = $query->get();
		
		$months = $outputData = [];
		$backgroundColorArray = ['rgba(236,102,102,0.6)','rgba(20,122,214,0.6)','rgba(0,0,255,0.6)'];
		$backgroundColorIndex = 0;

		foreach ($result as $row) {
			$category 	= $row->category;
			$month 		= $row->month;
			$subTotal 	= $row->total_sub_total;

			$outputData[$category]['label'] = $category;

			if (!isset($outputData[$category]['data'][$month])) {
				$outputData[$category]['data'][$month] = 0;
			}

			$outputData[$category]['data'][$month] += $subTotal;
			
			if (!isset($outputData[$category]['backgroundColor'])) {
				$outputData[$category]['backgroundColor'] = $backgroundColorArray[$backgroundColorIndex];
				$backgroundColorIndex = ($backgroundColorIndex + 1) % count($backgroundColorArray);
			} // Store unique month names
			if (!in_array($month, $months)) {
				$months[] = $month;
			}
		}
		$outputArray = array_values($outputData);
		foreach ($outputArray as &$item) {
			$item['data'] = array_values($item['data']);
		} 
		$chartData = [
			'labels' => $months,
			'datasets' => $outputArray
		];
		
		$months = $chartData['labels'];
		$outputArray = $chartData['datasets'];
		return view('admin.interface_dashboard.ticket_sales_graph', compact('months',"outputArray"));
	}
	
	
	public function zappingGraph(Request $request){
		$date = $request->input('dateFilter');
		$query = DB::table('zapping_data')
			->selectRaw('DATE_FORMAT(created_at, "%Y-%m-%d %H:00") as hour, location, COUNT(*) as total')
			->groupBy('hour', 'location')
			->orderBy('hour');

		if ($date) {
			$query->whereDate('created_at', $date);
		}

		$data = $query->get();

		$hours = $data->pluck('hour')->unique()->toArray();
		$locations = $data->pluck('location')->unique()->toArray();

		$colors = ['rgba(236, 102, 102, 0.6)','rgba(20, 122, 214, 0.6)','rgba(20, 122, 214, 0.6)'];

		$zapingDayWiseData = [
			'labels' => $hours,
			'datasets' => [],
		];

		foreach ($locations as $index => $location) {
			$dataCounts = $data->where('location', $location)->pluck('total')->toArray();
			$zapingDayWiseData['datasets'][] = [
				'label' => $location,
				'data' => $dataCounts,
				'backgroundColor' => $colors[$index % count($colors)],
			];
		} 
		return view('admin.interface_dashboard.zapping_graph', compact('zapingDayWiseData'));
	}
	public function zappingLocationData(Request $request)
	{
		$date = $request->input('dateFilter'); // Assuming the date is passed in the 'date' parameter of the request

		$zapping_data = DB::table('zapping_data')
			->select('type', 'unique_code', 'category', 'location', DB::raw('COUNT(*) as count_value'), DB::raw('ROUND((COUNT(*) / (SELECT COUNT(*) FROM zapping_data)) * 100, 2) as percentage'))
			->selectSub(function ($query) use ($date) {
				$query->from('zapping_data as zd2')
					->select(DB::raw('COUNT(*)'))
					->whereColumn('zd2.location', 'zapping_data.location');
				
				if ($date) {
					$query->whereDate('zd2.created_at', $date);
				}
			}, 'total_count')
			->when($date, function ($query, $date) {
				$query->whereDate('zapping_data.created_at', $date);
			})
			->groupBy('type', 'unique_code', 'category', 'location')
			->get();

		$locationData = $zapping_data->groupBy('location');
		return view('admin.interface_dashboard.zapping_location_data', compact('zapping_data', 'locationData'));
	} 
	public function generateRandomColor($index)
	{
		$colors = [
			'rgba(236, 102, 102, 0.6)',
			'rgba(20, 122, 214, 0.6)',
			// 'rgba(102, 102, 236, 0.6)', 
		];

		return $colors[$index % count($colors)];
	}

    public function exportInterfaceData($interface_id)
    {
        $interface_data = DB::table('user_types')->where('id', $interface_id)->first();
        $interface_form_data = DB::table('form_templates')->where('alias', $interface_data->category)->select(['id', 'field_title', 'field_name', 'field_type', 'value', 'required', 'unique_field'])->orderBy('sr_no', 'asc')->get()->toArray();
        $user_interface_data = DB::table('users')->where('status', 1)->where('user_type_id', $interface_id)->get();

        foreach($interface_form_data as $key => $value) {
            $headerRow[] = $value->field_title;
        }
        $headerRow = array_merge($headerRow, ['Unique Code', 'Eticket Path',  'Created']);
        
        $delimiter = ',';
        $enclosure = '"';
        $csvFile = fopen('php://output', 'w');
        header('Content-type: application/download');
        header('Content-Disposition: attachment; filename='.$interface_data->category.' Report.csv');
        fputcsv($csvFile,$headerRow, $delimiter, $enclosure);
        
        $i=1;
        foreach($user_interface_data as $data)
        {
            $arr = [];
            foreach($interface_form_data as $key => $value) {
                $field_name = $value->field_name;
                $arr[] = $data->$field_name;
            }
            $arr = array_merge($arr, [$data->unique_code, $data->eticket_path,  date('Y-m-d h:i:s A', strtotime($data->created_at))]);
            fputcsv($csvFile, $arr, $delimiter, $enclosure);
            $i++;
        }
        fclose($csvFile);
    }
}
