<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\VolunteerRegistration;
use Illuminate\Http\Request;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use DB, Storage;
use Carbon\Carbon;
use Validator;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;


class VolunteersController extends Controller
{
    public function __construct()
    {
        $this->now = Carbon::now();
    }

    public function index(Request $request)
    {
        $title = 'Volunteer';
		$search_type = $search = $search_status = $reportrange_date = '';

        if(isset($request->search_type) && $request->search_type != '')
        {
            $search_type 		= $request->search_type;
            $search 			= $request->search;
            $search_status 		= $request->search_status;
            $reportrange_date 	= $request->reportrange_date;

          
			$q = VolunteerRegistration::query();

			if($search_type == 'status')
			{
	            if($request->search_status != '') {

					if($request->search_status == 'approve') {
						$search_status = 1;
					}
					else {
						$search_status = 0;
					}

	                $q->where('status', $search_status);
	            }				
			}

			if($request->reportrange_date != '' && $request->reportrange_date != 'Choose Date' && $search_type == 'datewise') 
            {
				$reportrangeDateExp = explode('-', $request->reportrange_date);
				$from = date('Y-m-d  00:00:00.000000', strtotime($reportrangeDateExp[0]));
				$to = date('Y-m-d 23:59:59.000000', strtotime($reportrangeDateExp[1]));

                $q->whereBetween('created_at', [$from, $to]);
            }


			if($search_type == 'user_name')
			{
	            if (!empty($request->search)) {
	                $q->where('name', 'LIKE', '%' . $request->search .'%');
	            }				
			}


			if($search_type == 'email')
			{
	            if (!empty($request->search)) {
	                $q->where('email', 'LIKE', '%' . $request->search .'%');
	            }				
			}


			if($search_type == 'phone')
			{
	            if (!empty($request->search)) {
	                $q->orWhere('phone', 'LIKE', '%' . $request->search .'%');
	            }				
			}            

            $data = $q->orderBy('id','desc')->paginate(50);

           
            // echo $data = $q->orderBy('id','desc')->toSql(); die();
        }
        else
        {
            $data = VolunteerRegistration::orderBy('id','desc')->paginate(50);
        }

        return view('admin.volunteers.index', compact('title','data','search'));
    }


}
