<?php
namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Carbon\Carbon;
use App\Models\User;
use App\Models\WhatsAppAutomation;

class WhatsAppLogsController extends Controller
{
    public function __construct()
    {
        $this->now = Carbon::now();
    }

    public function index(Request $request)
    {

        $title = 'WhatsApp Logs';

        $search = '';
        if($request->search != '')
        {
            $search = $request->search;
            $log_data = WhatsAppAutomation::when($request->search, function ($query) use ($request) {
                $query->where('channel_phone_number', 'LIKE', '%' . $request->search .'%');
                $query->orWhere('callbackData', 'LIKE', '%' . $request->search .'%');
                $query->orWhere('status', 'LIKE', '%' . $request->search .'%');
            })->orderBy('id', 'DESC')->get();
            // })->paginate(50);
        }
        else
        {
            $log_data = WhatsAppAutomation::orderBy('id', 'DESC')->get();
            // $log_data = WhatsAppAutomation::paginate(50);
        }

        /*$all_logs = [];

        foreach($log_data as $key => $value)
        {
            $all_logs[$value->message_id] = $value;
        }*/

        return view('admin.whatsapplogs.index')->with('all_logs', $log_data)->with('search', $search)->with('title', $title);
    }
}
