<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Hash;
use Session;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
use DB, Storage, Validator, Config;
use Illuminate\Support\Facades\Mail;
use App\Mail\ConfirmationEmail;
use App\Mail\RSVPApprovalEmail;
use App\Mail\RegisterEmail;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use App\Models\InterfaceUserRegistrations;


class AjaxController extends Controller
{
    /**
     * Instantiate a new controller instance.
     *
     * @return void
     */
    public function __construct() {
        $this->now = Carbon::now();
        $this->bucket_upload_name = env('APP_NAME');
    }

    public function ajaxstate(Request $request)
    {

        if (!empty($request->country_id)) {
            $states = DB::table('states')->where('country_id', $request->country_id)->get();

            if (count($states) > 0)
            {
                echo '<option value="">Select State</option>';

                foreach ($states as $row)
                {
                    echo '<option value="'.$row->name.'" data-id="'.$row->id.'">'.$row->name.'</option>';
                }
            }
            else
            {
                echo '<option value="">Choose State</option>';
            }
        }
    }

    public function ajaxcity(Request $request)
    {
        if (!empty($_POST["state_id"]))
        {
            $cities = DB::table('cities')->where('state_id', $_POST['state_id'])->get();

            if (count($cities) > 0)
            {
                echo '<option value="">Select city</option>';

                foreach ($cities as $row)
                {
                    echo '<option value="'.$row->name.'" data-id="'.$row->id.'">'.$row->name.'</option>';
                }
            }
            else
            {
                echo '<option value="">Choose City</option>';
            }
        }
    }

    public function uploadImages(Request $request, $slug)
    {
        
        $image = $request->image;
        $imageInfo = explode(";base64,", $image);
        $imgExt = str_replace('data:image/', '', $imageInfo[0]);
        $image = str_replace(' ', '+', $imageInfo[1]);
        
        /* $attendee_num = $request->attendee_num; */
        /* $image_data = $request->$attendee_num['image']; */

        if($imgExt == 'png' || $imgExt == 'jpg' || $imgExt == 'jpeg' || $imgExt == 'gif') {
            $upload_name= "Smart-Reg/mmaindia/Registration/".$slug."/".time().md5(rand())."reg.".$imgExt;
            $image_path = Storage::disk('s3')->put($upload_name, base64_decode($image), 'public');
            $image_path = Storage::disk('s3')->url($upload_name);
            
            $data = array('type' => 'Success', 'message' => 'Image uploaded successfully.', 'path' => $image_path);
        } else {
            $data = array('type' => 'Error', 'message' => 'Please upload a valid image.');
        }

        echo json_encode($data);
        exit();
    }

    public function generateQr($unique_code, $category)
    {
        $arr=array("$unique_code","$category");
        $document = QrCode::format('png')->margin(2)->size(150)->backgroundColor(255, 255, 255)->generate(json_encode($arr));
        
        $upload_name= "Smart-Reg/mmaindia/qrcodes/".$unique_code.".png";
        $document_path = Storage::disk('s3')->put($upload_name, $document, 'public');
        $document_path = Storage::disk('s3')->url($upload_name);
    
        return $document_path;
    }

    public function eticket($qr_path, $unique_code)
    {
        $new = imagecreatefrompng($qr_path);
        $master = imagecreatefrompng('public/ID22.png');
                            
        imagealphablending($master, false);
        imagecopymerge($master, $new, 150, 510, 0, 0, 150, 150, 100);
        // imagecopymerge ( resource $dst_im , resource $src_im , int $dst_x , int $dst_y , int $src_x , int $src_y , int $src_w , int $src_h , int $pct )
        
        $white = imagecolorallocate($master, 0, 0, 0);
        $font = realpath('public/arial.ttf');
        imagettftext($master, 20, 0, 150, 690, $white, $font, $unique_code);

        // header('Content-Type: image/png');
        $masterImg= imagepng($master,'public/eticket/'.$unique_code.".png");

        if($masterImg)
        {
            $upload_name= "Smart-Reg/mmaindia/eticket/".$unique_code.".png";
            $eticketpath = Storage::disk('s3')->put($upload_name, file_get_contents('public/eticket/'.$unique_code.'.png'), 'public');
            $eticketpath = Storage::disk('s3')->url($upload_name);
            unlink('public/eticket/'.$unique_code.'.png');

        }
        return $eticketpath;
    }


    public function masterSeettingsSubmit(Request $request)
    {

        if(!empty($request->all()))
        {
            if($request->setting_type == 'Admin')
            {
                $admin_master_settings = $request->all();

                if($admin_master_settings['interface_section'] == 0)
                {
                    $admin_master_settings['interface_management'] = '0';
                    $admin_master_settings['interface_list'] = '0';
                }


                if($admin_master_settings['whatsapp_logs'] == 0)
                {
                    $admin_master_settings['whatsapp_facebok'] = '0';
                    $admin_master_settings['whatsapp_interakt'] = '0';
                }

                foreach($admin_master_settings as $key => $value)
                {
                    if($key=='event_status')
                    {
                        if($value==0)
                        {
                            $val=1;
                        }
                        else
                        {
                            $val=0;  
                        }

                        DB::table('master_settings')->where('module_name', $key)->update(['data' => $value,'status'=>$val]);
                    }
                    else
                    {
                        DB::table('master_settings')->where('module_name', $key)->update(['status' => $value]);
                    }
                }
            }

            $data = array('type' => 'Success', 'message' => 'Settings Updated Successfully.');
        }
        else
        {
            $data = array('type' => 'Error', 'message' => 'Something went wrong, please reload the page and try again.');
        }

        echo json_encode($data);
        exit();
    }



}
