<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Payment;
use Illuminate\Support\Facades\Mail;
use App\Models\WhatsAppAutomation;
use App\Models\Ticket;
use App\Models\TicketBooking;
use App\Models\Order;
use App\Models\Event;
use App\Mail\MasterRegistrationOrderSummaryEmail;
use App\Mail\UserRegistrationOrderSummaryEmail;
use DB;

class PyamentWebhookController extends Controller
{
    public function generalregistrations(Request $request)
    {
        $jsondata = json_encode($request['payment']);
        $filename = 'logs/' . date("Y-m-d") . '_razorpaywebhook.log';
        $myfile   = fopen($filename, "a");
        fwrite($myfile, "\n" . $jsondata);
        fclose($myfile);

        if (isset($request['payment']['entity']['notes']['orderId'])) {
            $order_id = $request['payment']['entity']['notes']['orderId'];

            $order_data = Order::where('unique_order_id', $order_id)->first();
            $master_user = DB::table('users')->where('order_id', $order_id)->where('master_user', 1)->first();
            $all_user = DB::table('users')->where('order_id', $order_id)->get();
            $payment_data = [
                'transection_id' => $request['payment']['entity']['id'],
                'payment_option' => 'Razorpay',
                'payment_data' => $jsondata,
                'user_id' => $master_user->id,
                'due' => 0,
                'status' => 1,
            ];

            $order_update = Order::where('id', $order_data->id)->update($payment_data);
            if ($order_update) {
                DB::table('users')->where('order_id', $order_id)->update(['status' => 1]);
            }

            $all_ticket_bookings = DB::table('users')
                ->leftJoin('tickets', 'tickets.id', '=', 'users.ticket_id')
                ->select('users.id as user_id', 'users.ticket_id', 'users.name as user_name', 'users.email as user_email', 'users.country_code','users.phone as user_phone', 'users.master_user', 'users.eticket_path', 'tickets.category as ticket_category')
                ->where('order_id', $order_id)->get();

            if (!empty($all_ticket_bookings)) {
                foreach ($all_ticket_bookings as $key => $value) {

                    if ($value->master_user == 1) {
                        $body = [
                            'user_name' => $value->user_name,
                            'order_data' => $order_data,
                            'package_name' => $value->ticket_category
                        ];

                        Mail::to($value->user_email)->send(new MasterRegistrationOrderSummaryEmail($body));
                    }

                    $body = [
                        'user_name' => $value->user_name,
                        'order_data' => $order_data,
                        'package_name' => $value->ticket_category,
                        'eticket_path' => $value->eticket_path
                    ];

                    if($value->ticket_id == 1) {
                        $this->confirmation_message_mumbai($value->country_code, $value->user_phone, ucwords($value->user_name), $value->eticket_path, $value->user_id);
                    } else if($value->ticket_id == 2) {
                        $this->confirmation_message_delhi($value->country_code, $value->user_phone, ucwords($value->user_name), $value->eticket_path, $value->user_id);
                    }
                    Mail::to($value->user_email)->send(new UserRegistrationOrderSummaryEmail($body));
                }
            }
            echo $jsondata;
            die;
        }
    }

    public function confirmation_message_mumbai($country_code, $phone, $name, $eticketPath, $userId)
    {
        $countryCodeFinal = str_replace('+', '', $country_code);
        $phone = $countryCodeFinal.''.$phone;

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://graph.facebook.com/v15.0/107671198647853/messages',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{
                                "messaging_product": "whatsapp",
                                "recipient_type": "individual",
                                "to": "'.$phone.'",
                                "type": "template",
                                "template":{
                                    "name" :"mmaindia_reg_confirmation_mumbai",
                                    "language":{
                                        "code":"en"
                                    },
                                        "components": [
                                          {
                                            "type": "header",
                                            "parameters": [
                                              {
                                                "type": "image",
                                                "image": {                                          
                                                  "link": "'.$eticketPath.'"
                                                }
                                              }
                                            ]
                                          },
                                          {
                                            "type": "body",
                                            "parameters": [
                                              {
                                                "type": "text",
                                                "text": "'.$name.'"
                                              }
                                            ]
                                          }
                                        ]
                                    }                                
                                }',
            CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer EAApIDhXg8lwBACGP2fHW544Fwqs3f0WBfi9N5bOYwhWay5nZB1JFvhBT8Y9wK1eFWZBN2jv1C9woSJqZCZBpCsGXqNqzWyQaZBs2shzeyqDycuA5LGlnXZBn2U6HyDHDT0YVLHX8gC48Wo22ZCtGLTkECY6VY9ZAVmu84YemLVsvAHYDhv59ZCx0q',
                'Content-Type: application/json'
            ),
        ));

        $response = curl_exec($curl);
        curl_close($curl);
        // echo $response;die();
        $response= json_decode($response,true);

        if(!empty($response["messages"][0]["id"]))
        {
            $data1 = array(
                    'user_id' => $userId,
                    'campaign_id' => '1',
                    'template_id' => '999599474249372',
                    'msg_id' => $response["messages"][0]["id"],
                    'meta_data' => 'mmaindia_reg_confirmation_mumbai',
                    'recipient_id' => $phone,
                );

            WhatsAppAutomation::insert($data1); 
            return "Row Inserted successfully"."<br/>";
        }
        else
        {
            $data1 = array(
                    'user_id' => $userId,
                    'campaign_id' => '1',
                    'recipient_id' => $phone,
                    'template_id' => '999599474249372',
                    'w_failed_status' => 'failed',
                    'status' => 'failed',
                    'log' => json_encode($response),
                    'meta_data' => 'mmaindia_reg_confirmation_mumbai',
            
                );

            WhatsAppAutomation::insert($data1); 
            return "Row Inserted successfully"."<br/>";
        }
    }

    public function confirmation_message_delhi($country_code, $phone, $name, $eticketPath, $userId)
    {
        $countryCodeFinal = str_replace('+', '', $country_code);
        $phone = $countryCodeFinal.''.$phone;

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://graph.facebook.com/v15.0/107671198647853/messages',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS =>'{
                                "messaging_product": "whatsapp",
                                "recipient_type": "individual",
                                "to": "'.$phone.'",
                                "type": "template",
                                "template":{
                                    "name" :"mmaindia_reg_confirmation_delhi",
                                    "language":{
                                        "code":"en"
                                    },
                                        "components": [
                                          {
                                            "type": "header",
                                            "parameters": [
                                              {
                                                "type": "image",
                                                "image": {                                          
                                                  "link": "'.$eticketPath.'"
                                                }
                                              }
                                            ]
                                          },
                                          {
                                            "type": "body",
                                            "parameters": [
                                              {
                                                "type": "text",
                                                "text": "'.$name.'"
                                              }
                                            ]
                                          }
                                        ]
                                    }                                
                                }',
            CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer EAApIDhXg8lwBACGP2fHW544Fwqs3f0WBfi9N5bOYwhWay5nZB1JFvhBT8Y9wK1eFWZBN2jv1C9woSJqZCZBpCsGXqNqzWyQaZBs2shzeyqDycuA5LGlnXZBn2U6HyDHDT0YVLHX8gC48Wo22ZCtGLTkECY6VY9ZAVmu84YemLVsvAHYDhv59ZCx0q',
                'Content-Type: application/json'
            ),
        ));

        $response = curl_exec($curl);
        curl_close($curl);
        // echo $response;die();
        $response= json_decode($response,true);

        if(!empty($response["messages"][0]["id"]))
        {
            $data1 = array(
                    'user_id' => $userId,
                    'campaign_id' => '1',
                    'template_id' => '753979356270997',
                    'msg_id' => $response["messages"][0]["id"],
                    'meta_data' => 'mmaindia_reg_confirmation_delhi',
                    'recipient_id' => $phone,
                );

            WhatsAppAutomation::insert($data1); 
            return "Row Inserted successfully"."<br/>";
        }
        else
        {
            $data1 = array(
                    'user_id' => $userId,
                    'campaign_id' => '1',
                    'recipient_id' => $phone,
                    'template_id' => '753979356270997',
                    'w_failed_status' => 'failed',
                    'status' => 'failed',
                    'log' => json_encode($response),
                    'meta_data' => 'mmaindia_reg_confirmation_delhi',
            
                );

            WhatsAppAutomation::insert($data1); 
            return "Row Inserted successfully"."<br/>";
        }
    }
}
