<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use Illuminate\Support\Facades\Mail;
use Validator, Storage, DB;
use Carbon\Carbon;
use function MongoDB\BSON\toRelaxedExtendedJSON;

class ZappingController extends Controller
{

    public function __construct()
    {
        $this->now = Carbon::now();
    }

    public function zapping($location, $unique_code)
    {
        $locations = DB::table('zapping_access')->where('location', $location)->first();
        $prefix_unique_code = substr_replace($unique_code, "", -5);
        $access_prefix_array = explode(",", $locations->access_prefix);

        if (!empty($locations) && in_array($prefix_unique_code, $access_prefix_array)) {
            $user_record = DB::table('users')->where('unique_code', $unique_code)
                ->where('status', 1)
                ->first();

            if (!empty($user_record)) {
                $date = date('d');
                $user_fetival_dates = [];
                if($user_record->festival_dates != Null || $user_record->festival_dates != '') {
                    $user_fetival_dates = explode(',', $user_record->festival_dates);
                }
                
                if(empty($user_fetival_dates) || in_array($date, $user_fetival_dates)) {

                    $zapp = $this->entryZappingRecord($location, $unique_code);

                    if ($zapp == 1) {
                        $this->zapping_update_user($location, $unique_code);

                        $response  =  array('status' => true, 'message' => "Allowed", 'data' => $user_record);
                    } else if ($zapp == 0) {
                        $response  =  array('status' => false, 'message' => "Already Zapped.");
                    } else if ($zapp == 2) {
                        $response  =  array('status' => false, 'message' => "Not Allowed");
                    }
                } else {
                    $response  =  array('status' => false, 'message' => "Not Allowed");
                }
            } else {
                $response  =  array('status' => false, 'message' => "No Record Found.");
            }
        } else {
            $response  =  array('status' => false, 'message' => "Access Denied");
        }

        echo json_encode($response);
        die;
    }

    private function entryZappingRecord($location, $unique_code)
    {
        // dd($record);
        $prefix_unique_code = substr_replace($unique_code, "", -5);
        $locations = DB::table('zapping_access')->where('location', $location)->first();

        $entry_type = '';
        if (!empty($locations)) {
            $entry_type_m = explode(',', $locations->entry_type_m);
            $entry_type_s = explode(',', $locations->entry_type_s);
            if (in_array($prefix_unique_code, $entry_type_s)) {
                $entry_type = 's';
            } else if (in_array($prefix_unique_code, $entry_type_m)) {
                $entry_type = 'm';
            }
        }

        $today = date('Y-m-d');

        $getUser = DB::table('zapping_data')->where('location', $location)->where('unique_code', $unique_code)->first();

        if ($entry_type == 's') {
            $zapping_date = '';

            if (isset($getUser->created_at) && $getUser->created_at != '') {
                $d = strtotime($getUser->created_at);
                $zapping_date = date("Y-m-d", $d);
            }

            if ($zapping_date != $today || $zapping_date == '') {
                /* 
                $user_data = DB::table('users')
                ->where('unique_code',$unique_code)
                ->where('status', 1)
                ->first();

                $data = [
                    'type' => $user_data->user_type,
                    'location' => $location,
                    'unique_code' => $unique_code,
                    'category' => $user_data->category,
                    'created_at' => $this->now,
                ];

                $result = DB::table('zapping_data')->insertGetId($data); */
                $responseData = 1;
            } else {
                $responseData = 0;
            }
        } else if ($entry_type == 'm') {
            /* $user_data = DB::table('users')
                ->where('unique_code',$unique_code)
                ->where('status', 1)
                ->first();

            
            $data = [
                'type' => $user_data->user_type,
                'location' => $location,
                'unique_code' => $unique_code,
                'category' => $user_data->category,
                'created_at' => $this->now,
            ];

            $result = DB::table('zapping_data')->insertGetId($data); */
            $responseData = 1;
        }

        return $responseData;
    }

    public function zapping_update_user($location, $unique_code)
    {
        $user_data = DB::table('users')
            ->leftJoin('tickets', 'tickets.id', '=', 'users.ticket_id')
            ->leftJoin('user_types', 'user_types.id', '=', 'users.user_type_id')
            ->where('users.unique_code', $unique_code)
            ->where('users.status', 1)
            ->select([
                'users.id',
                DB::raw("CONCAT_WS(' - ', tickets.category, tickets.name) as ticket_category"),
                'user_types.category as user_category'
            ])
            ->first();

        if (!empty($user_data)) {
            if ($user_data->ticket_category != '') {
                $type = 'Online';
                $category = $user_data->ticket_category;
            } else {
                $type = 'Interface';
                $category = $user_data->user_category;
            }

            $data = [
                'type' => $type,
                'location' => $location,
                'unique_code' => $unique_code,
                'category' => $category,
                'created_at' => $this->now,
            ];

            $result = DB::table('zapping_data')->insertGetId($data);
        }

        $response = array('status' => true, 'message' => "Allowed.");
        echo json_encode($response);
        die;
    }
}
