<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB, Storage;
use SimpleSoftwareIO\QrCode\Facades\QrCode;
use App\Models\InterfaceUserRegistrations;
use App\Models\UserInterface;
use Carbon\Carbon;
use Illuminate\Support\Facades\Mail;
use App\Mail\RegisterEmail;

class AppApisController extends Controller
{
    public function __construct()
    {
        $this->now = Carbon::now();

    }

    public function login($username)
    {
        $user = DB::table('app_login')->where('username', $username)->first();

        $category_list = DB::table('user_interfaces')->select(['id', 'name', 'category', 'shortcode'])->get();

        $mzapping_data = DB::table('event_logs')->where('module_name','Main')->first();
        $vezapping_data = DB::table('event_logs')->where('module_name','VIP Entrance')->first();
        $vlzapping_data = DB::table('event_logs')->where('module_name','VIP Lounge')->first();
        $iszapping_data = DB::table('event_logs')->where('module_name','ID Symposium')->first();
        if($user->category == 'Zapping') {
            $zapping_locations = [
                'Main' => $mzapping_data->data,
                'VIP Entrance' => $vezapping_data->data,
                'VIP Lounge' => $vlzapping_data->data,
                'ID Symposium' => $iszapping_data->data,
            ];

            $response_data = ['use_data' => $user, 'category_list' => $category_list, 'zapping_locations' => $zapping_locations];
        } else {
            $response_data = ['use_data' => $user, 'category_list' => $category_list];
        }


        if(!empty($user)) {
            $response = ['status' => true, 'message' => 'User Found.', 'data' => $response_data];
        } else {
            $response = ['status' => false, 'message' => 'User Not Found.'];

        }
        echo json_encode($response);
        die;
    }

    public function search_code_zapping($location, $unique_code, $category)
    {
        $type = "Logical";
        $data = DB::table('online_registration_unique_codes')->where('unique_code','LIKE', '%'.$unique_code.'%')->count();
        if($data > 0) {
            if($category == 'General' || $category == 'Symposium') {
                $user_data = DB::table('users')->select('festival_dates')->where('unique_code','LIKE', '%'.$unique_code.'%')->first();
                if(empty($user_data)) {
                    $user_members_data = DB::table('user_members')
                        ->select('users.festival_dates')
                        ->where('user_members.unique_code','LIKE', '%'.$unique_code.'%')
                        ->join('users', 'user_members.user_id', '=', 'users.id')
                        ->first();
                        if(empty($user_members_data)) {
                            $bms_users_data = DB::table('bms_users')
                                ->select('festival_dates')
                                ->where('unique_code','LIKE', '%'.$unique_code.'%')
                                ->first();
                            if(empty($bms_users_data)) {
                                $festival_dates = [];
                            } else {
                                $festival_dates = explode(',', $bms_users_data->festival_dates);
                            }
                        } else {
                            $festival_dates = explode(',', $user_members_data->festival_dates);
                        }
                } else {
                    $festival_dates = explode(',', $user_data->festival_dates);
                }

                if(count($festival_dates) == 0) {
                    $response = ['status' => false, 'message' => 'Not Allowed'];
                } else {
                    $today_date = date('d');
                    if(in_array($today_date,$festival_dates)) {
                        $zapped = DB::table('entry_zapping')->where('unique_code','LIKE', '%'.$unique_code.'%')->whereDate('created_at', date('Y-m-d'))->count();
                        if($zapped > 0) {
                            $response = ['status' => false, 'message' => 'Not Allowed'];
                        } else {
                            $result = DB::table('entry_zapping')->insert(['type' => $type, 'location' => $location, 'unique_code' => $unique_code, 'category' => $category, 'created_at' => $this->now]);
                            $response = ['status' => true, 'message' => 'Allowed'];
                        }
                    } else {
                        $response = ['status' => false, 'message' => 'Not Allowed'];
                    }
                }
            } else {
                $result = DB::table('entry_zapping')->insert(['location' => $location, 'unique_code' => 'ID22'.$category.$unique_code, 'category' => $category, 'created_at' => $this->now]);
                $response = ['status' => true, 'message' => 'Allowed'];
            }
        } else {
            $data2 = DB::table('interface_registration_unique_codes')->where('unique_code','LIKE', '%'.$unique_code.'%')->count();
            if($data2 > 0 || $category == "HT") {
                $result = DB::table('entry_zapping')->insert(['type' => $type, 'location' => $location, 'unique_code' => $unique_code, 'category' => $category, 'created_at' => $this->now]);
                $response = ['status' => true, 'message' => 'Allowed'];
            } else {
                $response = ['status' => false, 'message' => 'Not Allowed'];
            }
        }

        echo json_encode($response);
        die;
    }

    public function master_zapping($location, $unique_code, $category)
    {
        $type = "Master";
        
        $result = DB::table('entry_zapping')->insert(['type' => $type, 'location' => $location, 'unique_code' => $unique_code, 'category' => $category, 'created_at' => $this->now]);
        $response = ['status' => true, 'message' => 'Allowed'];
        
        echo json_encode($response);
        die;
    }

    public function getUser($category_id, $search)
    {
        $user = DB::table('interface_user_registrations')
            ->where('user_interface_id', $category_id)
            ->where(function ($q) use ($search) {
                $q->where('name', 'LIKE', '%' . $search .'%')
                ->orWhere('email', 'LIKE', '%' . $search .'%')
                ->orWhere('phone', 'LIKE', '%' . $search .'%')
                ->orWhere('unique_code', 'LIKE', '%' . $search .'%');
            })
            ->get();

        if(!empty($user)) {
            $response = ['status' => true, 'message' => 'User Found.', 'data' => $user];
        } else {
            $response = ['status' => false, 'message' => 'User Not Found.'];

        }
        echo json_encode($response);
        die;
    }

    public function updateuser($user_id, $category_id, $unique_code)
    {
        $interface_category = UserInterface::where('id', $category_id)->first();

        $unique_code = $unique_code;
        $qrcode_path = $this->generateQr($unique_code, $interface_category->shortcode);
        $eticket_path = $this->eticket($qrcode_path, $unique_code);

       $result = InterfaceUserRegistrations::where('id', $user_id)->update(['unique_code' => $unique_code, 'qrcode_path' => $qrcode_path, 'eticket_path' => $eticket_path]);

        if(!empty($result)) {
            /* Mail::to($result->email)->send(new InterfacrUserRegEmail($body));
            $this->registration_confirm_whatsapp($result->name,$result->phone,$eticket_path); */

            $response = ['status' => true, 'message' => 'Alloted Successfully.', 'data' => $result];
        } else {
            $response = ['status' => false, 'message' => 'Not Alloted.'];

        }
        echo json_encode($response);
        die;
    }

    public function statelist()
    {
        $states = DB::table('states')->where('country_id', 101)->get();

        if(!empty($states)) {
            $response = ['status' => true, 'message' => 'Data Found.', 'data' => $states];
        } else {
            $response = ['status' => false, 'message' => 'Not Found.'];

        }
        echo json_encode($response);
        die;
    }

    public function citylist($state_id)
    {
        $cities = DB::table('cities')->where('state_id', $state_id)->get();

        if(!empty($cities)) {
            $response = ['status' => true, 'message' => 'Data Found.', 'data' => $cities];
        } else {
            $response = ['status' => false, 'message' => 'Not Found.'];

        }
        echo json_encode($response);
        die;
    }

    public function userregistration($user_data)
    {
        $user_data = json_decode($user_data);
        
        $category_data = DB::table('user_interfaces')->where('id', $user_data->category_id)->first();
        
        $interface_user = new InterfaceUserRegistrations();
        $data = [
            'user_id' => 1,
            'user_interface_id' => $user_data->category_id,
            'category' => $category_data->category,
            'name' => $user_data->name,
            'email' => $user_data->email,
            'countryCode' => '+91',
            'phone' => $user_data->phone,
            'gender' => $user_data->gender,
            'unique_code' => $user_data->Uniquecode,
            'festival_dates' => '12,13,14,15',
            'status' => 1,
            'created_at' => $this->now,
            'updated_at' => $this->now
        ];
        $result = $interface_user->create($data);
        
        if(!empty($result)) {
            $response = ['status' => true, 'message' => 'Data Found.', 'data' => $result];
        } else {
            $response = ['status' => false, 'message' => 'Not Found.'];

        }
        echo json_encode($response);
        die;
    }

    public function calculate_rate($user_data)
    {
        $user_data = json_decode($user_data);
        
        $ticket_price = DB::table('event_logs')->where('module_name', $user_data->ticket_type)->first();
        
        $festival_dates = explode(',', $user_data->dates);
        $day_count = count($festival_dates);

        if($day_count == 3 && $user_data->ticket_type == 'Symposium - Student') {
            $payble_amount = 3000;
        }else if($day_count == 3 && $user_data->ticket_type == 'Symposium') {
            $payble_amount = 6000;
        } else {
            $payble_amount = $day_count * $ticket_price->data;
        }

        if(!empty($payble_amount)) {
            $response = ['status' => true, 'message' => 'Data Found.', 'payble_amount' => $payble_amount];
        } else {
            $response = ['status' => false, 'message' => 'Not Found.'];

        }
        echo json_encode($response);
        die;
    }

    public function save_onsite_user($user_data)
    {
        $user_data = json_decode($user_data);
        
        $unique_code = 'ID22'.$this->unique_code();
        if($user_data->ticket_type == 'Visitors Entry'){
            $qrcode_path = $this->generateQr($unique_code, 'General');
        } else {
            $qrcode_path = $this->generateQr($unique_code, 'Symposium');
        }
        $eticket_path = $this->eticket($qrcode_path, $unique_code);

        $data = array(
            'festival_dates' => $user_data->dates,
            'ticket_category' =>  $user_data->ticket_type,
            "name" => $user_data->name,
            "phone" => $user_data->phone,
            "country_code" => $user_data->countrycode,
            "email" => $user_data->email,
            "state" => $user_data->state,
            "city" => $user_data->city,
            "gender" => $user_data->gender,
            "unique_code" => $unique_code,
            "qrcode_path" => $qrcode_path,
            "eticket_path" => $eticket_path,
            'created_at' => $this->now,
            'updated_at' => $this->now,
            "payment_staus" => 1,
            "payment_method" => $user_data->paymenttype,
            "amount" => $user_data->payble_amount,
            "sent_email" => 1,
            "status" => 1
        );

        $user_id = DB::table('onground_registrations')->insertGetId($data);
        
        if(!empty($user_id)) {
            $body = [
                'id' => $user_id,
                'name' => $user_data->name,
                'email' => $user_data->email,
                'qr_code' => $unique_code,
                'qr_path' => $qrcode_path,
                'dates' => $user_data->dates,
            ];
            //Mail::to($user_data->email)->send(new RegisterEmail($body));
            //$this->registration_confirm_whatsapp($user_data->name,$user_data->phone,$eticket_path,$user_data->dates);
        
            $response = ['status' => true, 'message' => 'Data saved successfully.', 'user_id' => $user_id];
        } else {
            $response = ['status' => false, 'message' => 'Not Found.'];
        }
        echo json_encode($response);
        die;
    }

    public function registration_confirm_whatsapp($name,$mobile,$eticketpath,$date)
    {
                $curl = curl_init();
                curl_setopt_array($curl, array(
                    CURLOPT_URL => 'https://api.interakt.ai/v1/public/message/',
                    CURLOPT_RETURNTRANSFER => true,
                    CURLOPT_ENCODING => '',
                    CURLOPT_MAXREDIRS => 10,
                    CURLOPT_TIMEOUT => 0,
                    CURLOPT_FOLLOWLOCATION => true,
                    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                    CURLOPT_CUSTOMREQUEST => 'POST',
                    CURLOPT_POSTFIELDS =>'{
                    "countryCode": "+91",
                    "phoneNumber": "'.$mobile.'",
                    "callbackData": "some text here",
                    "type": "Template",
                    "template": {
                        "name": "visitor_paid_registration_confimation_emailer_id22",
                        "languageCode": "en",
                        "headerValues": [
                            "'.$eticketpath.'"
                        ],
                        "bodyValues": [
                            "'.$name.'",
                            "'.$date.'"
                        ]
                    }
                }',
                    CURLOPT_HTTPHEADER => array(
                    'Authorization: Basic N2t6c29fZ1FsTk1haUtwOTQ4SGQzVTdfT3dOX1g3aHYwODJQYUJQYjhIZzo=',
                    'Content-Type: application/json',
                    'Cookie: ApplicationGatewayAffinity=a8f6ae06c0b3046487ae2c0ab287e175; ApplicationGatewayAffinityCORS=a8f6ae06c0b3046487ae2c0ab287e175'
                    ),
                ));

                $response = curl_exec($curl);
                curl_close($curl);
                // dd($response);
                
    }

    public function get_onsite_user($search)
    {
        $user = DB::table('onground_registrations')
            ->where(function ($q) use ($search) {
                $q->where('name', 'LIKE', '%' . $search .'%')
                ->orWhere('email', 'LIKE', '%' . $search .'%')
                ->orWhere('phone', 'LIKE', '%' . $search .'%')
                ->orWhere('unique_code', 'LIKE', '%' . $search .'%');
            })
            ->get();
       // dd($user);
        if(!empty($user)) {
            $response = ['status' => true, 'message' => 'User Found.', 'data' => $user];
        } else {
            $response = ['status' => false, 'message' => 'User Not Found.'];

        }
        echo json_encode($response);
        die;
    }



    /*-------------------------------------------------------------------------------- common functions ---------------------------------------------------------------------------------*/
    public function unique_code()
    {
        $unique_code = DB::table('online_registration_unique_codes')->where('is_used', 0)->first();
        DB::table('online_registration_unique_codes')->where('id', $unique_code->id)->update(['is_used' => 1, 'modified' => Carbon::now()]);
        return $unique_code->unique_code;
        
    }

    public function generateQr($unique_code, $category)
    {
        $arr=array("$unique_code","$category");
        // $document = QrCode::format('png')->margin(2)->size(150)->backgroundColor(255, 255, 255)->generate(json_encode($arr));
        
        // $upload_name= "IndiadesignID/qrcodes/".$unique_code.".png";
        // $document_path = Storage::disk('s3')->put($upload_name, $document, 'public');
        // $document_path = Storage::disk('s3')->url($upload_name);
    
        $document = QrCode::format('png')->margin(2)->size(150)->backgroundColor(255, 255, 255)->generate(json_encode($arr),'public/qrcodes/'.$unique_code.'.png','image/png');
        $document_path = 'public/qrcodes/'.$unique_code.'.png';


        return $document_path;
    }

    public function eticket($qr_path, $unique_code)
    {
        $new = imagecreatefrompng($qr_path);
        $master = imagecreatefrompng('public/ID22.png');
                            
        imagealphablending($master, false);
        imagecopymerge($master, $new, 150, 510, 0, 0, 150, 150, 100);
        // imagecopymerge ( resource $dst_im , resource $src_im , int $dst_x , int $dst_y , int $src_x , int $src_y , int $src_w , int $src_h , int $pct )
        
        $white = imagecolorallocate($master, 0, 0, 0);
        $font = realpath('public/arial.ttf');
        imagettftext($master, 20, 0, 150, 690, $white, $font, $unique_code);

        // header('Content-Type: image/png');
        $masterImg= imagepng($master,'public/eticket/'.$unique_code.".png");

        if($masterImg)
        {
            $upload_name= "public/eticket/".$unique_code.".png";
            // $eticketpath = Storage::disk('s3')->put($upload_name, file_get_contents('public/eticket/'.$unique_code.'.png'), 'public');
            // $eticketpath = Storage::disk('s3')->url($upload_name);
            // unlink('public/eticket/'.$unique_code.'.png');

        }
        return $upload_name;
    }
}
