<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HotelBooking extends Model
{
    public $table = "hotel_bookings";
    use HasFactory;

    public $fillable = [
        'order_id',
        'user_id', 
        'hotel_id', 
        'members', 
        'rooms',
        'days',
        'price',
        'festival_dates',
        'created_at',
        'updated_at',
    ];

    public function hotels()
    {
        return $this->belongsTo(Hotel::class, 'hotel_id');
    }

    public function users()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
