<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Auth\Authenticatable;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;

class User extends Model implements AuthenticatableContract
{
    use HasFactory;
    use Authenticatable;
    public $fillable = [
        'role', 
        "name",
        "email",
        "country_code",
        "phone",
        "country",
        "state",
        "city",
        "designation",
        "company",
        "address",
        "dob",
        "blood_group",
        "join_nar",
        "membership_no",
        "association_city",
        "shirt_size",
        "attended_nar",
        "how_many_attended_nar",
        "reason_to_come_for_nar",
        "area_of_interest",
        "visit_tourist_spots",
        "attend_yoga_sessions",
        "how_to_know_about",
        "are_you_a",
        "image_url",
        'festival_dates',
        'ticket_category',
        'password',
        'total_log',
        'quantity',
        'status',
        'lastLogin',
        'user_token',
        'unique_code',
        'qrcode_path',
        'eticket_path',
        'remember_token',
        'current_log'
    ];

    function getUserCount($email, $mobile)
    {
        $user_data = User::where('email',$email)->where('phone',$mobile)->where('status', 1)->get();
        $user_count = count($user_data);
        return $user_count;
    }

    function getUserRecord($email)
    {
        return User::where('email', $email)->where('status', 1)->first();        
    }
}
