	@extends('admin.layouts.master')
@section('content')

	<div class="container">

		<div class="d-flex justify-content-between mb-3 pr-3">
			<h2 class="heading">Attendees</h2>
			<a href="{{route('attendee-exportAllData')}}" target="_blank" class="btn btn-main export-btn">Export All Data</a>
		</div>
	
	@include('admin.attendees.advance_filter')

		<!-- Tickets Table -->
		<div class="row">
			<div class="col-md-12">
				<div class="table-scroller">
					<table class="table table-hover attendees-table tickets-table">
						<thead>
							<tr>
								<th>#</th>
								<th>Order ID</th>
								<th>Ticket Name</th>
								<th>Name</th>
								<th>Email</th>
								<th>Phone</th>
								<th>Date</th>								
								<th>Action</th>
							</tr>
						</thead>

						<tbody>
							@if(!empty($orders))
								@foreach($orders as $key => $value)
								
									<tr id="{{ $value->id }}">
										<td> {{ ++$key }} </td>
										<td> {{ $value->order_id }} </td>
										<td> {{ $value->ticket_name }} </td>
										<td> {{ $value->name.' '.$value->last_name }} </td>
										<td> {{ $value->email }} </td>
										<td> {{ '('.$value->country_code.')'.' '.$value->phone }} </td>
										<td> {{ $value->created_at }} </td>
										
										<td>
											<div class="dropdown ticket-option">
												<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
													<div class="dot-three"></div>
												</button>

												<div class="dropdown-menu">
													<a class="dropdown-item" type="button" href="{{route('attendee-resendemail', ['ticket_booking_id' => $value->id])}}">
														<img class="cal-icon" src="{{ asset('public/admin/assets/images/email_builder.svg')}}"> Resend Mail
													</a>
												</div>
											</div>
										</td>
										
									</tr>
								@endforeach
							@else
								<tr> <td colspan="12"> No data available in table </td> </tr>
							@endif
						</tbody>
					</table>
				</div>
				<div class="paging_bootstrap_full_number" id="">
					<ul class="pagination">
						@if($pagination == 'yes')
							{!! $orders->links() !!}
						@endif
					</ul>
				</div>
			</div>
		</div>			
	</div>
@endsection

@section('script')
<script type="text/javascript">

function emailUser(id)
{
	$.ajaxSetup({
	    headers: {
	        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
	    }
	});

	$.ajax({
		type:'POST',
		url: "{{route('emailUser')}}",
		data: {id: id},

		success:function(response)
		{
			response = jQuery.parseJSON(response);
			var type = response.type;
			var message = response.message;

			if(type == 'Success')
			{
				Swal.fire(
					'Success',
					'Email Resend Successfully.',
					'success'
				)
				$('.response_status').css('color', 'green').html(message).show();
			}
			else
			{
				$('.response_status').css('color', 'red').html(message).show();
			}

			$( "#user-section" ).load(window.location.href + " #user-section" );
		},
	});
}

</script>
@endsection
