@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('coupons')}}">Coupons</a></li>
                <li class="breadcrumb-item"><span>Add</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Add Coupons</h2>


            <form class="add-user-form" id="coupon-form">
                @csrf
                <div class="row">
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Name</label>
                        <input type="text" class="form-control" id="name" placeholder="Coupon Name" name="name">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Code</label>
                        <input type="text" class="form-control" id="code" placeholder="Coupon Code" name="code">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Quantity</label>
                        <input type="number" class="form-control" id="max_ticket" placeholder="Coupon Quantity" name="max_ticket">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Description</label>
                        <textarea class="form-control" placeholder="Coupon Desctiption" name="description"></textarea>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Ticket Category</label>
                        <select class="form-control ticket_category" id="ticket_id" name="ticket_id[]" multiple="multiple">
							<option value="">Select Category</option>
							@if(!empty($ticket))
								@foreach ( $ticket as $value )
                                    <option value="{{$value->id}}">{{ $value->name.' ('. $value->category. ')'}}</option>
								@endforeach 
							@endif
                            <option value="Cart">Complete Cart</option>
                        </select>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Type</label>
						<select class="form-control" name="coupon_type">
                            <option value="">Select a Type</option>
                            <option value="1">Fixed Amount</option>
                            <option value="2">Percentage</option>
						</select>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Amount/Percentage</label>
                        <input type="number" class="form-control" id="amount" placeholder="Enter Amount/Percentage" name="amount">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Starting Date</label>
                        <input type="datetime-local" class="form-control" id="starting_at" name="starting_at" min="{{date('Y-m-d')}}T00:00">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Ending Date</label>
                        <input type="datetime-local" class="form-control" id="ending_at" name="ending_at" min="{{date('Y-m-d')}}T00:00">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Save</button>

            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        $('.ticket_category').select2();
    });

    $(document).on('click', '.submit-btn', function(e) {
		var starting_at = $('#starting_at').val();
		var ending_at = $('#ending_at').val();

		if(starting_at != '' && ending_at != '') {
			if(ending_at <= starting_at) {
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error('Ending data should grater then starting date,');
			}
		}
        var form = $('#coupon-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "{{route('coupons-save')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("{{route('coupons')}}");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush