@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('coupons')}}">Coupons</a></li>
                <li class="breadcrumb-item"><span>Edit</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Edit Coupons</h2>


            <form class="add-user-form" id="coupon-form">
                @csrf
                <input type="hidden" name="id" value="{{$coupons->id}}">
                <div class="row">
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Name</label>
                        <p><strong>{{$coupons->name}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Code</label>
                        <p><strong>{{$coupons->code}}</strong></p>
                    </div>
                    
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Description</label>
                        <p><strong>{{$coupons->description}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Ticket Category</label>
                        <p><strong>{{$coupons->ticket_id}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Type</label>
						<p><strong>{{$coupons->coupon_type == 1 ? 'Fixed' : 'Percentage';}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Amount/Percentage</label>
                        <p><strong>{{$coupons->amount}}</strong></p>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Coupon Quantity</label>
                        <input type="number" class="form-control" id="max_ticket" placeholder="Coupon Quantity" name="max_ticket" value="{{$coupons->max_ticket}}">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Starting Date</label>
                        <input type="datetime-local" class="form-control" id="starting_at" name="starting_at" min="{{date('Y-m-d')}}T00:00" value="{{$coupons->starting_at}}">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Ending Date</label>
                        <input type="datetime-local" class="form-control" id="ending_at" name="ending_at" min="{{date('Y-m-d')}}T00:00" value="{{$coupons->ending_at}}">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Save</button>

            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script>
    $(document).ready(function() {
        $('.ticket_category').select2();
    });

    $(document).on('click', '.submit-btn', function(e) {
		var starting_at = $('#starting_at').val();
		var ending_at = $('#ending_at').val();

		if(starting_at != '' && ending_at != '') {
			if(ending_at <= starting_at) {
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error('Ending data should grater then starting date,');
			}
		}
        var form = $('#coupon-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "{{route('coupons-update')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("{{route('coupons')}}");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush