@extends('admin.layouts.master')

@push('plugin-styles')
<link href="{{ asset('public/admin/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker.min.css') }}" rel="stylesheet" />
@endpush

@section('content')
<div class="container">
    <div class="d-flex justify-content-between">
        <h2 class="heading">Dashboard</h2>
    </div>

    <div class="row dashboard-stat-outer dso-top">

        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h4>Total Count</h4>
        </div>
        @if(!empty($total_sale_data))
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="{{ asset('public/admin/assets/images/tickets_icon.svg')}}">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Tickets Bookings</small>

                        <h3 class=""> {{$total_sale_data['total_orders']}} <span style="font-size:20px;">({{$total_sale_data['total_users']}})</span> </h3>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="{{ asset('public/admin/assets/images/ticket_sales.svg')}}">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Ticket Sales</small>
                        <h3 class="">{{$master_setting['settings']->Currency}} {{$total_sale_data['total_amount']}}</h3>
                    </div>
                </div>
            </div>
        </div>
        @endif
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h4>Category Wise</h4>
        </div>
        @if(!empty($final_data))
        @foreach($final_data as $key => $value)
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h5>{{$key}}</h5>
        </div>
        @foreach($value as $key2 => $value2)
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="{{ asset('public/admin/assets/images/tickets_icon.svg')}}">
                    </div>
                    <div class="number">
                        <small class="crd-heding">{{$key2}} Bookings</small>
                        <h3 class="">{{$value2['total_orders']}} <span style="font-size:20px;">({{$value2['total_users']}})</span></h3>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="{{ asset('public/admin/assets/images/ticket_sales.svg')}}">
                    </div>
                    <div class="number">
                        <small class="crd-heding">{{$key2}} Sales</small>
                        <h3 class="">{{$master_setting['settings']->Currency}} {{$value2['total_amount']}} </h3>
                    </div>
                </div>
            </div>
        </div>
        @endforeach
        @endforeach
        @endif
        
        @if(!empty($refundable_data))
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <h4>Refundable Amount</h4>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="{{ asset('public/admin/assets/images/tickets_icon.svg')}}">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Tickets Bookings</small>

                        <h3 class=""> {{$refundable_data['total_refund_orders']}} <span style="font-size:20px;">({{$refundable_data['total_refundable_users']}})</span> </h3>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
            <div class="dashboard-stat2">
                <div class="display">
                    <div class="icon">
                        <img class="" src="{{ asset('public/admin/assets/images/ticket_sales.svg')}}">
                    </div>
                    <div class="number">
                        <small class="crd-heding">Total Amount</small>
                        <h3 class="">{{$master_setting['settings']->Currency}} {{$refundable_data['total_refundable_amount']}}</h3>
                    </div>
                </div>
            </div>
        </div>
        @endif
    </div>



    @endsection

    @push('plugin-scripts')
    <!-- 	<script src="{{ asset('public/admin/assets/plugins/chartjs/Chart.min.js') }}"></script>
	<script src="{{ asset('public/admin/assets/plugins/jquery.flot/jquery.flot.js') }}"></script>
	<script src="{{ asset('public/admin/assets/plugins/jquery.flot/jquery.flot.resize.js') }}"></script>
	<script src="{{ asset('public/admin/assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
	<script src="{{ asset('public/admin/assets/plugins/apexcharts/apexcharts.min.js') }}"></script>
	<script src="{{ asset('public/admin/assets/plugins/progressbar-js/progressbar.min.js') }}"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.2.2/Chart.min.js" type="text/javascript"> </script>
    <script>
        var ctx = document.getElementById("myChart").getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'bar',
            data: {
                labels: ["January", "February", "March", "April", "May", "June", "July"],
                datasets: [{
                    label: 'Tickets Sale',
                    data: [20, 50, 95, 70, 50, 5, 15],
                    backgroundColor: "rgba(236,102,102,0.6)"
                }]
            }
        });
    </script>
    @endpush

    @push('custom-scripts')
    <!-- 	<script src="{{ asset('public/admin/assets/js/dashboard.js') }}"></script>
	<script src="{{ asset('public/admin/assets/js/datepicker.js') }}"></script> -->
    @endpush