@extends('admin.layouts.master')
@section('content')
<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><span>Email Builder</span></li> 
            </ul>
        </div>
    </div>
    <div class="btns-group-top">
        <div class="save-next">
            <a type="button" class="btn btn-main white" href="{{route('email-add')}}">+ Add</a>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">

            <table class="table table-bordered user_datatable">
                <thead>
                    <tr>
						<th>#</th>
						<th>Alias</th>
						<th>Subject</th> 
						<th>CC</th>
						<th>BCC</th>
						<th>Reply To</th>
						<th>Status</th>
						<th>Action</th> 
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
</div>
<!-- Start E-Mail modal -->
<div class="modal fade" id="emailModal">
	<div class="modal-dialog modal-dialog-scrollable">
		<button type="button" class="close" data-dismiss="modal">×</button>
		<div id="modalContent"></div>
	</div>
</div>
<!-- End E-Mail modal --> 
@endsection
@push('custom-scripts')
<script type="text/javascript">
    $(function() {
        var table = $('.user_datatable').DataTable({
            processing: true,
            serverSide: true,
            ajax: "{{ route('emails') }}",
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'alias',
                    name: 'alias'
                },
                {
                    data: 'subject',
                    name: 'subject'
                },
				{
                    data: 'cc_email',
                    name: 'cc_email'
                },
				{
                    data: 'bcc_email',
                    name: 'bcc_email'
                },
				{
                    data: 'reply_to_email',
                    name: 'reply_to_email'
                },
				{
                    data: 'status',
                    name: 'status'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
            ],
			'fnCreatedRow': function (nRow, aData) {
				$(nRow).attr('id', aData['id']);
			}
        }); 
    });
</script>
<script>  
$(document).on('click','.delete-action', function (e) {
	e.preventDefault();
	new swal({
		title: "Are you sure?",
		text: "Once delete, you will not be able to recover this entry!",
		type: "warning",
		showCancelButton: true,
		confirmButtonClass: "btn-danger",
		confirmButtonText: "Yes, delete it!",
		closeOnConfirm: false
	}).then((willDelete) => {
		if (willDelete['isConfirmed'] === true) {
			var id = $(this).data('id'); 
			if(typeof id === 'undefined') {
				var id = '';
			}
			$.ajax({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				type:'GET',
				url: "{{route('email-delete')}}",
				data: {id:id},
				success:function(response)
				{
					if(response.body.status == false){
						toastr.options = {"positionClass": "toast-bottom-right"};
						toastr.error(response.body.message); 
					}else if(response.body.status == true){
						$("tr#"+id).remove().fadeOut();
						toastr.options = {"positionClass": "toast-bottom-right"};
						toastr.success(response.body.message);
					}
				},
			});
		}
	});
}); 
$(document).on('click','.submit-btn', function (e) {
	var form = $('#userdetails')[0];
	var formData = new FormData(form);	
	$.ajax({
		type:'POST',				
		url: "{{route('send')}}",
		data:formData,
		contentType: false,
		processData: false,
		success:function(response)
		{
			if(response.status == false){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error(response.message); 
			}else if(response.status == true){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.success(response.message);
				$('#emailModal').modal('hide');
			}
		}
	});
	e.preventDefault();
}); 


$(document).on('click','.openmodal', function (e) {
	
	var type = $(this).data('type'); 
	var id = $(this).data('id'); 
    var url = '';
    
    if(typeof id === 'undefined') {
        var id = '';
    } 
	if(type == 'send') {
        url = "{{route('send-mail')}}";
    }
    $.ajax({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		},
        type:'GET',
        url: url,
        data: {id:id},
        success:function(response){
            if(type == 'send') {
                $('#modalContent').html(response);
            }
        },
    });
});
</script>
@endpush