@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('smtp')}}">SMTP Settings</a></li>
                <li class="breadcrumb-item"><span>Add</span></li>
            </ul>
        </div>
    </div> 
	<form id="userdetails" class="add-user-form" method="post" enctype="multipart/form-data">
		@csrf
		<div class="row">
	 
			<div class="col-md-6 form-group">
				<label>Vendor<span style="color:red;">*</span></label>
				<input type="text" class="form-control" placeholder="Vendor" name="sender_name">
			</div> 
			<div class="col-md-6 form-group">
				<label>Sender Email<span style="color:red;">*</span></label>
				<input type="text" class="form-control" placeholder="Sender Email" name="sender_email">
			</div> 
			<div class="col-md-6 form-group">
				<label>SMTP Host</label>
				<input type="text" class="form-control" placeholder="SMTP Host" name="host">
			</div> 
			<div class="col-md-6 form-group">
				<label>SMTP Port</label>
				<select class="form-control" id="port" name="port">
				   <option value="">Select Port</option>
				   <option value="587">587</option>
				   <option value="465">465</option>
				   <option value="25">25</option>
				   <option value="995">995</option>
				   <option value="110">110</option>
				</select>
			</div>
			<div class="col-md-6 form-group">
				<label>SMTP Network<span style="color:red;">*</span></label>
				<select class="form-control" id="network" name="network">
					<option value="">Select Network</option>
					<option value="sendgrid">SendGrid</option>
					<option value="laravel">Laravel</option>
				</select>
			</div>  
			<div class="col-md-6 form-group">
				<label>SMTP Username/Api Key<span style="color:red;">*</span></label>
				<input type="text" class="form-control" placeholder="SMTP Username/Api Key" name="username">
			</div>  
			<div class="col-md-6 form-group">
				<label>SMTP Password</label>
				<input type="text" class="form-control" placeholder="SMTP Password" name="password">
			</div> 
			<div class="col-md-6 form-group">
				<label>Status<span style="color:red;">*</span></label>
				<fieldgroup class="wrapper">
				  <div class="toggle_radio">
					<input type="radio" class="toggle_option" id="first_status" name="status" checked="" value="1">
					<label class="toggle_label" for="first_status">Active</label>
					<input type="radio" class="toggle_option" id="second_status" name="status" value="0">
					<label class="toggle_label" for="second_status">Draft</label>
					<div class="toggle_option_slider">
					</div>
				</div>
				</fieldgroup>
			</div>
		</div> 
		<button type="button" class="btn btn-primary submit-btn">Add</button> 
	</form>
</div>
@endsection
@push('custom-scripts')
<script>
$(document).on('click','.submit-btn', function (e) {
	var form = $('#userdetails')[0];
	var formData = new FormData(form);
	
	$.ajax({
		type:'POST',				
		url: "{{route('smtp-save')}}",
		data:formData,
		contentType: false,
		processData: false,
		success:function(response)
		{
			if(response.status == false){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error(response.body.message); 
			}else if(response.status == true){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.success(response.message);
				location.reload();
			}else if (response.error) {
				$.each(response.error, function( key, value ) {
					toastr.options = {"positionClass": "toast-bottom-right"};
					toastr.error(value);
				}); 
			}
		},
	
	});
	e.preventDefault();
});
</script>
@endpush