@extends('admin.layouts.master')
@section('content')
<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><span>SMTP Config</span></li> 
            </ul>
        </div>
    </div>
    <div class="btns-group-top">
        <div class="save-next">
            <a type="button" class="btn btn-main white" href="{{route('smtp-add')}}">+ Add</a>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">

            <table class="table table-bordered user_datatable">
                <thead>
                    <tr>
						<th>#</th>
						<th>Vendor</th>
						<th>Host & Port</th>
						<th>Credentials</th> 
						<th>Status</th>
						<th>Action</th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script type="text/javascript">
    $(function() {
        var table = $('.user_datatable').DataTable({
            processing: true,
            serverSide: true,
            ajax: "{{ route('smtp') }}",
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'sender_name',
                    name: 'sender_name'
                },
                {
                    data: 'network',
                    name: 'network'
                },
				{
                    data: 'username',
                    name: 'username'
                },
				{
                    data: 'status',
                    name: 'status'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
            ],
			'fnCreatedRow': function (nRow, aData) {
				$(nRow).attr('id', aData['id']);
			}
        }); 
    });
</script>
<script>  
$(document).on('click','.delete-action', function (e) {
	e.preventDefault();
	new swal({
		title: "Are you sure?",
		text: "Once delete, you will not be able to recover this entry!",
		type: "warning",
		showCancelButton: true,
		confirmButtonClass: "btn-danger",
		confirmButtonText: "Yes, delete it!",
		closeOnConfirm: false
	}).then((willDelete) => {
		if (willDelete['isConfirmed'] === true) {
			var id = $(this).data('id'); 
			if(typeof id === 'undefined') {
				var id = '';
			}
			$.ajax({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				type:'GET',
				url: "{{route('smtp-delete')}}",
				data: {id:id},
				success:function(response)
				{
					if(response.status == false){
						toastr.options = {"positionClass": "toast-bottom-right"};
						toastr.error(response.message); 
					}else if(response.status == true){
						$("tr#"+id).remove().fadeOut();
						toastr.options = {"positionClass": "toast-bottom-right"};
						toastr.success(response.message);
					}
				},
			});
		}
	});
}); 

</script>
@endpush