@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('form-builder')}}">Form Builder</a></li>
                <li class="breadcrumb-item"><span>Add</span></li>
            </ul>
        </div>
		<button class="btn btn-primary add_more" onclick="openmodal();">Add more field</button>
    </div>
	<form id="form_details" method="post" enctype="multipart/form-data">
        @CSRF
		<select name="name" placeholder="Enter the form title" class="form-control">
			@foreach($user_types as $key => $value)
			<option value="{{$value->slug}}">{{$value->type.' - '.$value->category}}</option>
			@endforeach
		</select>
		<table class="table table-striped">
			<thead>
				<tr>
					<th scope="col" style="text-align:center;">Sr No</th>
					<th scope="col" style="text-align:center;">Field Title</th>
					<th scope="col" style="text-align:center;">Field Name</th>
					<th scope="col" style="text-align:center;">Field Type</th>
					<th scope="col" style="text-align:center;">Required</th>
					<th scope="col" style="text-align:center;">Unique Field</th>
					<th scope="col" style="text-align:center;">Filter</th>
					<th scope="col" style="text-align:center;">Value</th>
					<th scope="col" style="text-align:center;">Action</th>
				</tr>
			</thead>
			<tbody id="field-section">
				<tr>
					<td>
						<input type="text" name="sr_no[]" class="form-control" placeholder="Sr No">
					</td>
					<td>
						<input type="text" name="field_title[]" class="form-control" placeholder="Field Title">
					</td>
					<td>
						<input type="text" name="field_name[]" class="form-control" placeholder="Field Name">
					</td>
					<td>
						<select name="field_type[]" class="form-control">
							<option value="">Select Field Type</option>
							<option value="text">Text</option>
							<option value="email">Email</option>
							<option value="phone">Phone</option>
							<option value="textarea">Textarea</option>
							<option value="select">Select</option>
							<option value="checkbox">Checkbox</option>
							<option value="radio">Radio</option>
							<option value="image">Image</option>
						</select>
					</td>
					<td>
						<select name="required[]" class="form-control">
							<option value="">Select Required</option>
							<option value="1">Yes</option>
							<option value="0">No</option>
						</select>
					</td>
					<td>
						<select name="unique[]" class="form-control">
							<option value="">Select Unique</option>
							<option value="1">Yes</option>
							<option value="0">No</option>
						</select>
					</td>
					<td>
						<select name="filter[]" class="form-control">
							<option value="">Select Filter</option>
							<option value="1">Yes</option>
							<option value="0">No</option>
						</select>
					</td>
					<td>
						<input type="text" name="value[]" class="form-control" placeholder="Values">
						
					</td>
					<td>
						<a class="btn btn-danger remove-field">Remove</a>
					</td>
				</tr>
			</tbody>
		</table>
		<button class="btn btn-primary submit-btn updatefield">Add</button>
	</form>
</div>
@endsection

@push('custom-scripts')
<script>

function openmodal() {
	var count_fields = $('.updatefield').length
	console.log("test");
	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: "{{route('add-form-field')}}",
		data: {count_fields:count_fields},
		success:function(response)
		{
			$('#field-section').append(response);
		},
	});
}

$(document).on('click','.remove-field', function()
{
	$(this).parent('td').parent('tr').remove();
});
$(document).on('click','.submit-btn', function (e) {
	var form = $('#form_details')[0];
	var formData = new FormData(form);
	console.log("test");
	
	$.ajax({
		type:'POST',				
		url: "{{route('form-builder-save')}}",
		data:formData,
		contentType: false,
		processData: false,
		success:function(response)
		{
			if(response.status == false){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error(response.message); 
			}else if(response.status == true){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.success(response.message);
				setTimeout(function(){
					window.location.href = "{{route('form-builder')}}";
				}, 5000);
			}else if (response.error) {
				$.each(response.error, function( key, value ) {
					toastr.options = {"positionClass": "toast-bottom-right"};
					toastr.error(value);
				}); 
			}
		},
	
	});
	e.preventDefault();
});
</script>
@endpush