@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('form-builder')}}">Form Builder</a></li>
                <li class="breadcrumb-item"><span>Edit</span></li>
            </ul>
        </div>
		<button class="btn btn-primary add_more" onclick="openmodal('4');">Add more field</button>
    </div>
	<form id="form_details" method="post" enctype="multipart/form-data">
        @CSRF
		<select name="name" placeholder="Enter the form title" class="form-control">
			@foreach($user_types as $key => $value)
			<option value="{{$value->slug}}" @if($value->slug == $name) selected @endif>{{$value->type.' - '.$value->category}}</option>
			@endforeach
		</select>
		<table class="table table-striped">
			<thead>
				<tr>
					<th scope="col" style="text-align:center;">Sr No</th>
					<th scope="col" style="text-align:center;">Field Title</th>
					<th scope="col" style="text-align:center;">Field Name</th>
					<th scope="col" style="text-align:center;">Field Type</th>
					<th scope="col" style="text-align:center;">Required</th>
					<th scope="col" style="text-align:center;">Unique Field</th>
					<th scope="col" style="text-align:center;">Filter</th>
					<th scope="col" style="text-align:center;">Value</th>
					<th scope="col" style="text-align:center;">Action</th>
				</tr>
			</thead>
			
				
				<tbody id="field-section">
					@php $i = 1; @endphp
					@foreach($form_data as $key => $value)
					<tr>
						<input type="hidden" name="id[]" value="{{$value->id}}">
						<td>
							<input type="number" name="sr_no[]" class="form-control" placeholder="Sr No" value="{{$value->sr_no}}">
						</td>
						<td>
							<input type="text" name="field_title[]" class="form-control" placeholder="Field Title" value="{{$value->field_title}}">
						</td>
						<td>
							<input type="text" name="field_name[]" class="form-control" placeholder="Field Name" value="{{$value->field_name}}">
						</td>
						<td>
							<select name="field_type[]" class="form-control">
								<option value="">Select Field Type</option>
								<option value="text" @if($value->field_type == 'text'){{'selected'}}@endif>Text</option>
								<option value="email" @if($value->field_type == 'email'){{'selected'}}@endif>Email</option>
								<option value="phone" @if($value->field_type == 'phone'){{'selected'}}@endif>Phone</option>
								<option value="textarea" @if($value->field_type == 'textarea'){{'selected'}}@endif>Textarea</option>
								<option value="select" @if($value->field_type == 'select'){{'selected'}}@endif>Select</option>
								<option value="checkbox" @if($value->field_type == 'checkbox'){{'selected'}}@endif>Checkbox</option>
								<option value="radio" @if($value->field_type == 'radio'){{'selected'}}@endif>Radio</option>
								<option value="image" @if($value->field_type == 'image'){{'selected'}}@endif>Image</option>
							</select>
						</td>
						<td>
							<select name="required[]" class="form-control">
								<option value="">Select Required</option>
								<option value="1" @if($value->required == 1){{'selected'}}@endif>Yes</option>
								<option value="0" @if($value->required == 0){{'selected'}}@endif>No</option>
							</select>
						</td>
						<td>
							<select name="unique[]" class="form-control">
								<option value="">Select Unique</option>
								<option value="1" @if($value->unique_field == 1){{'selected'}}@endif>Yes</option>
								<option value="0" @if($value->unique_field == 0){{'selected'}}@endif>No</option>
							</select>
						</td>
						<td>
							<select name="filter[]" class="form-control">
								<option value="">Select Filter</option>
								<option value="1" @if($value->filter == 1){{'selected'}}@endif>Yes</option>
								<option value="0" @if($value->filter == 0){{'selected'}}@endif>No</option>
							</select>
						</td>
						<td>
							<input type="text" name="value[]" class="form-control" placeholder="Values" value="{{$value->value}}">
							<input type="hidden" name="field_id[]" value="{{$value->id}}">
							
						</td>
						<td>
							<a class="btn btn-danger remove-field"  data-id="{{$value->id}}">Remove</a>
						</td>
					</tr>
					@php $i++; @endphp
					@endforeach
				</tbody>
			
		</table>
		<input type="hidden" name="alias" value="{{$alias}}">
		<button class="btn btn-primary submit-btn">Update</button>
	</form>
</div>
@endsection

@push('custom-scripts')
<script>
function openmodal(interface_id) {
	var count_fields = $('.updatefield').length;
	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: "{{route('add-form-field')}}",
		data: {count_fields:count_fields},
		success:function(response)
		{
			$('#field-section').append(response);
		},
	});
}

$(document).on('click','.remove-field', function()
{
	
	new swal({
		title: "Are you sure?",
		text: "Once delete, you will not be able to recover this entry!",
		type: "warning",
		showCancelButton: true,
		confirmButtonClass: "btn-danger",
		confirmButtonText: "Yes, delete it!",
		closeOnConfirm: false
	}).then((willDelete) => {
		if (willDelete['isConfirmed'] === true) {
			$(this).parent('td').parent('tr').remove();
			var id =  $(this).data('id');
			$.ajaxSetup({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				}
			});
			$.ajax({
				type:'GET',
				url: "{{route('remove-form-field')}}",
				data: {id:id},
				success:function(response)
				{
				},
			});
		}
	});
});
$(document).on('click','.submit-btn', function (e) {
	var form = $('#form_details')[0];
	var formData = new FormData(form);
	console.log("test");
	
	$.ajax({
		type:'POST',				
		url: "{{route('form-builder-save')}}",
		data:formData,
		contentType: false,
		processData: false,
		success:function(response)
		{
			if(response.status == false){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error(response.message); 
			}else if(response.status == true){
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.success(response.message);
				setTimeout(function(){
					window.location.href = "{{route('form-builder')}}";
				}, 5000);
			}else if (response.error) {
				$.each(response.error, function( key, value ) {
					toastr.options = {"positionClass": "toast-bottom-right"};
					toastr.error(value);
				}); 
			}
		},
	
	});
	e.preventDefault();
});
</script>
@endpush