@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('interfaces', ['interface_id' => $interface_id])}}">{{$title}}</a></li>
                <li class="breadcrumb-item"><span>Add</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <form class="add-user-form" id="interface-form">
                @csrf
                <input type="hidden" name="interface_id" value="{{$interface_id}}">
                <div class="row">
                    @php $x=1; @endphp
                    @foreach($interface_form_data as $key => $value)
                    @if($value->field_type == 'text' || $value->field_type == 'email' || $value->field_type == 'phone')
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">{{$value->field_title}}</label>
                        @if($value->field_type == 'text')
                        <input type="text" class="form-control" placeholder="{{$value->field_title}}" name="{{$value->field_name}}" value="{{$value->value}}">
                        @elseif($value->field_type == 'email')
                        <input type="email" class="form-control" placeholder="{{$value->field_title}}" name="{{$value->field_name}}" value="{{$value->value}}" maxlength="255">
                        @elseif($value->field_type == 'phone')
                        <input type="number" class="form-control" placeholder="{{$value->field_title}}" name="{{$value->field_name}}" value="{{$value->value}}">
                        @endif
                    </div>
                    @elseif($value->field_type == 'checkbox')
                    @php
                    $checkbox_options = explode(',', trim($value->value))
                    @endphp
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">{{$value->field_title}}</label>
                       <div class="form-switch-radio-set">
                        @foreach($checkbox_options as $key2 => $value2)
                        <div class="d-flex f-switch">
                            <div class="button-switch switch-standard">
                                <input type="{{$value->field_type}}" class="form-control switch" name="{{$value->field_name}}[]" id="{{$value->field_name}}" value="{{$value2}}">
                            </div>
                            <p class="text-light reg-14">{{$value2}}</p>
                        </div>
                        @endforeach
                        </div>
                    </div>
                    @elseif($value->field_type == 'radio')
                    @php
                    $radio_options = explode(',', trim($value->value))
                    @endphp
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">{{$value->field_title}}</label>
                        <div class="form-switch-radio-set">
                        @foreach($radio_options as $key2 => $value2)
                        <div class="fradio">
                            <input type="{{$value->field_type}}" class="form-control" name="{{$value->field_name}}" id="{{$value->field_name}}" value="{{$value2}}"><span>{{$value2}}</span>
                        </div>
                        @endforeach
                    </div>
                    </div>
                    @elseif($value->field_type == 'textarea')
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">{{$value->field_title}}</label>
                        <textarea type="{{$value->field_type}}" class="form-control" name="{{$value->field_name}}" id="{{$value->field_name}}">{{$value->value}}</textarea>
                    </div>
                    @elseif($value->field_type == 'select')
                    @php
                    $select_options = explode(',', trim($value->value))
                    @endphp
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">{{$value->field_title}}</label>
                        <select type="{{$value->field_type}}" class="form-control" name="{{$value->field_name}}" id="{{$value->field_name}}">
                            <option value=""> Select ...</option>
                            @foreach($select_options as $key2 => $value2)
                            <option value="{{$value2}}">{{$value2}}</option>
                            @endforeach
                        </select>
                    </div>
                    @elseif($value->field_type == 'image')
                    <div class="col-md-12">
                        <div class="mb-4">
                            <label class="form-label">Please Upload {{$value->field_title}}:</label>
                            <div id="uploadimage{{$x}}">
                                <div class="uploadOuter image_profile{{$x}} dragoverBox">
                                    <span class="dragBox DragDropText">
                                        Drag and drop file here

                                        <input type="hidden" name="{{$value->field_name}}" data-fieldnum="{{$value->field_name.$x}}" class="form-control image_url{{$value->field_name.$x}}" />
                                        <input type="file" name="image" data-fieldnum="{{$value->field_name.$x}}" style="opacity: 0;" class="form-control image_profile image{{$x}}" />
                                    </span>
                                </div>
                                <span>PNG, JPG <!-- : Upto 2 mb --></span>
                                <span class="error-message image-response-{{$value->field_name.$x}}"></span>
                            </div>
                            <div id="preview{{$value->field_name.$x}}" style="max-width:200px;">

                            </div>

                        </div>
                    </div>
                    @endif
                    @php $x++; @endphp
                    @endforeach
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Save</button>

            </form>


        </div>
    </div>
</div>

<!-- crop profile image model -->
<div class="modal fade" id="modal_profile" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalLabel">Profile Photo</h5>
                <button type="button" class="btn-close closephotomodel" data-bs-dismiss="modal" aria-label="Close"> </button>
            </div>
            <div class="modal-body">
                <div class="img-container">
                    <input type="hidden" name="image-attendee" id="imageattendee" value="" />
                    <div class="row">
                        <div class="col-md-12">
                            <img id="image_profile" src="https://avatars0.githubusercontent.com/u/3456749" style="max-height:250px;">
                        </div>
                    </div>
                    <div class="btn-group" style="width: 100%;">
                        <button id="ZoomInBtn" type="button" class="btn btn-primary" title="Zoom In">
                            <i class="fa fa-search-plus" aria-hidden="true"></i>
                        </button>
                        <button id="ZoomOutBtn" type="button" class="btn btn-primary" title="Zoom Out">
                            <span class="fa fa-search-minus"></span>
                        </button>
                        <button id="MoveLeft" type="button" class="btn btn-primary" title="Move Left">
                            <i class="fa fa-arrow-left"></i>
                        </button>
                        <button id="MoveRight" type="button" class="btn btn-primary" title="Move Right">
                            <i class="fa fa-arrow-right"></i>
                        </button>
                        <button id="MoveUp" type="button" class="btn btn-primary" title="Move Up">
                            <i class="fa fa-arrow-up"></i>
                        </button>
                        <button id="MoveDown" type="button" class="btn btn-primary" title="Move Down">
                            <i class="fa fa-arrow-down"></i>
                        </button>
                        <button id="RotateLeft" type="button" class="btn btn-primary" title="Rotate Left">
                            <i class="fa fa-undo"></i>
                        </button>
                        <button id="RotateRight" type="button" class="btn btn-primary" title="Rotate Right">
                            <i class="fa fa-repeat"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary closephotomodel" data-bs-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" id="crop_profile">Crop</button>
            </div>
        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script>
    $(document).on('click', '.submit-btn', function(e) {
        var form = $('#interface-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "{{route('interfaces-save')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("{{route('interfaces', ['interface_id' => $interface_id])}}");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
<script type="text/javascript">
    var $modal_profile = $('#modal_profile');
    var image_profile = document.getElementById('image_profile');
    var cropper_profile;

    $("body").on("change", ".image_profile", function(e) {
        // alert('Image Profile');
        var fieldnum = $(this).data('fieldnum');
        $('#imageattendee').val(fieldnum);

        var files = e.target.files;

        var done = function(url) {
            image_profile.src = url;
            $modal_profile.modal('show');
        };

        var reader;
        var file;
        var url;

        if (files && files.length > 0) {
            file = files[0];

            if (URL) {
                done(URL.createObjectURL(file));
            } else if (FileReader) {
                reader = new FileReader();
                reader.onload = function(e) {
                    done(reader.result);
                };
                reader.readAsDataURL(file);
            }

        }
        $(".image_profile").val('');
    });

    $('#ZoomInBtn').click(function(e) {
        cropper_profile.zoom(0.1);
    });
    $('#ZoomOutBtn').click(function(e) {
        cropper_profile.zoom(-0.1);
    });
    $('#MoveLeft').click(function(e) {
        cropper_profile.move(-10, 0);
    });
    $('#MoveRight').click(function(e) {
        cropper_profile.move(10, 0);
    });
    $('#MoveUp').click(function(e) {
        cropper_profile.move(0, -10);
    });
    $('#MoveDown').click(function(e) {
        cropper_profile.move(0, 10);
    });
    $('#RotateLeft').click(function(e) {
        cropper_profile.rotate(-45);
    });
    $('#RotateRight').click(function(e) {
        cropper_profile.rotate(45);
    });

    $modal_profile.on('shown.bs.modal', function() {
        cropper_profile = new Cropper(image_profile, {
            aspectRatio: 1,
            // viewMode: 1,
            preview: '.preview_profile',
            cropBoxResizable: false,
            autoCropArea: 0.7,
            viewMode: 1,
            center: true,
            dragMode: 'move',
            movable: true,
            scalable: true,
            guides: true,
            zoomOnWheel: true,
            cropBoxMovable: true,
            wheelZoomRatio: 0.1,
            ready: function() {
                //Should set crop box data first here
                //cropper.setCropBoxData(cropBoxData).setCanvasData(canvasData);
            }
        });
    }).on('hidden.bs.modal', function() {
        cropper_profile.destroy();
        $("#image_profile_button").val('');
        cropper_profile = null;
    });

    $("#crop_profile").click(function() {
        // alert('crop_profile');

        canvas = cropper_profile.getCroppedCanvas({
            width: 500,
            height: 500,
        });

        canvas.toBlob(function(blob) {
            url = URL.createObjectURL(blob);
            var reader = new FileReader();
            reader.readAsDataURL(blob);

            reader.onloadend = function() {
                var base64data = reader.result;
                //console.log(base64data);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    dataType: "json",
                    url: "{{route('uploadImages', ['slug' => 'Interface'])}}",
                    data: {
                        'image': base64data
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        $modal_profile.modal('hide');
                        var attendee = $('#imageattendee').val();
                        var type = response.type;
                        var message = response.message;
                        var path = response.path;
                        if (type == 'Success') {
                            //$('#uploadFile'+attendee).val(path);
                            $('.image-response' + attendee).html("&#10004; " + message).css('color', 'green');

                            $('.image_url' + attendee).attr("value", path);
                            $('#preview' + attendee).html("<img src=" + path + " width='100px'>");
                            $('.submitbtn' + attendee).removeAttr("disabled");
                        } else if (type == 'Error') {
                            $('#preview' + attendee).html('');
                            $('.image-response' + attendee).html("&#x2717; " + message).css('color', 'red');
                            $('.submitbtn' + attendee).attr("disabled", 'true');
                        }
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            }
        });
    });

    $(".closephotomodel").click(function() {
        var attendee = $('#imageattendee').val();
        $('#uploadFile' + attendee).val('');
        $('#image_url' + attendee).val('');
    });
</script>
@endpush