@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('interfaces', ['interface_id' => $interface_id])}}">{{$title}}</a></li>
                <li class="breadcrumb-item"><span>Import Users List</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <form class="add-user-form" id="interface-form">
                @csrf
                <input type="hidden" name="interface_id" value="{{$interface_id}}">
                <div class="row">
                    <div class="col-md-12 form-group">
                        <label for="exampleFormControlInput1">Upload File</label>
                        <input type="file" class="form-control" name="file">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Check and Upload</button>
                <a type="button" class="btn btn-main white" href="{{route('interfaces-sampleExcel', ['interface_id' => $interface_id])}}">Download Sample Sheet</a>
            </form>
            <div class="alert-danger errorMsg mt-3" style="display:none;font-size:20px;"></div>
            <br />
            <p style="color:red;">
                -Please upload less then 500 user once at a time. <br />
                -Please don't use any spacial character or symbol in the data. Don't use white spaces before the values. <br />
                -Please fill all the required field values.<br />
            </p>
            @if(!empty($required_form_fields))
            <span style="color:red;">-Required Fields</span><br />
            <ul style="color:red;">
                @foreach($required_form_fields as $key => $value)
                <li>{{$value->field_title}}</li>
                @endforeach
            </ul>
            @endif
            @if(!empty($unique_form_fields))
            <span style="color:red;">-Unique Fields</span><br />
            <ul style="color:red;">
                @foreach($unique_form_fields as $key => $value)
                <li>{{$value->field_title}}</li>
                @endforeach
            </ul>
            @endif
        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script>
    $(document).on('click', '.submit-btn', function(e) {
        var form = $('#interface-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "{{route('interfaces-upload')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                if ($.isEmptyObject(response.error)) {
                    if(type == 'Error') {
                        toastr.error(message);
                    } else {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: message,
                            confirmButtonText: 'Ok',
                        }).then((result) => {
                            if (result.isConfirmed) {
                                window.location.replace("{{route('interfaces', ['interface_id' => $interface_id])}}");
                            }
                        });
                    }
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush