@extends('admin.layouts.master')
@section('content')
<div class="container">
	<div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
		<div class="d-flex">
			<ul>
				<li class="breadcrumb-item"><span>{{$title}}</span></li>
				<!-- <li class="breadcrumb-item"><a href="#_">Category List</a></li> -->
			</ul>
		</div>
		<div class="btns-group-top">
			<div class="save-next">
				<a type="button" class="btn btn-main white" href="{{route('interfaces-import', ['interface_id' => $interface_data->id])}}"><i class="fas fa-upload"></i> Import User</a>
				<a type="button" class="btn btn-main white" href="{{route('interfaces-add', ['interface_id' => $interface_data->id])}}"><i class="fas fa-plus"></i> Add Ticket</a>
				<a type="button" class="btn btn-main white" href="{{route('exportInterfaceData', ['interface_id' => $interface_data->id])}}"><i class="fas fa-download"></i> Export All Data</a>
				<a type="button" class="btn btn-main white" href="{{route('clearInterfaceData', ['interface_id' => $interface_data->id])}}" onclick="return confirm('Are you sure?')"><i class="fas fa-trash"></i> Clear Data</a>
			</div>
		</div>
	</div>

	@include('admin.interfaces.advance_filter')

	<!-- Tickets Table -->
	<div class="row">
		<div class="col-md-12">
			<div class="table-scroller">

				<table class="table table-hover attendees-table tickets-table">
					<thead>
						<tr>
							<th>#</th>
							@foreach($interface_form_data as $key => $value)
							<th>{{$value->field_title}}</th>
							@endforeach
							<!-- <th>Unique Code</th>
							<th>M-Badge</th> -->
							<th>Winner</th>
							<th>Created</th>
							<th>Action</th>
						</tr>
					</thead>
					<tbody>
						@if(!empty($data))
						@foreach($data as $key => $value)
						<tr id="{{ $value->id }}">
							<td> {{ ++$key }} </td>
							@foreach($interface_form_data as $key2 => $value2)
							@php
							$field_name = $value2->field_name;
							@endphp
							<td> {{ $value->$field_name }} </td>
							@endforeach
							<!-- 
								<td> {{ $value->unique_code }} </td>
								<td> <a href="{{ $value->eticket_path }}" target="_blank"> View </a> </td> -->
							<td> 
								@if($value->winner == 1)
								<p style="color:green;">Done</p>
								@else
								<p style="color:red;">Pending</p>
								@endif
							</td>
							<td> {{ date('d M, Y H:i:s', strtotime($value->created_at)) }} </td>
							<td>
								<div class="dropdown ticket-option">
									<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
										<div class="dot-three"></div>
									</button>
									<div class="dropdown-menu">
										<a class="dropdown-item" href="{{route('interfaces-edit', ['interface_id' => $interface_data->id, 'user_id' => $value->id])}}">
											<i class="fas fa-pencil-alt"></i> Edit
										</a>
										<a href="{{route('interfaces-view', ['interface_id' => $interface_data->id, 'user_id' => $value->id])}}" class="dropdown-item ">
											<i class="fas fa-eye"></i> View
										</a>
										<a class="dropdown-item delete-action" data-interfaceid="{{$interface_data->id}}" data-userid="{{$value->id}}">
											<i class="fas fa-trash"></i> Delete
										</a>
									</div>
							</td>
						</tr>
						@endforeach
						@else
						<tr class="odd gradeX" style="text-align: center;">
							<td colspan="8"> No data available in table </td>
						</tr>
						@endif
					</tbody>
				</table>
			</div>
			<div class="paging_bootstrap_full_number" id="">
				<ul class="pagination">
					<?php /* ?>
						@if($pagination == 'yes')
							{!! $data->links() !!}
						@endif
					<?php */ ?>

					{{ $data->withQueryString()->links() }}
				</ul>
			</div>
		</div>
	</div>
</div>
@endsection
@push('custom-scripts')

<script type="text/javascript">
	$(document).on('click','.delete-action', function()
	{
		
		new swal({
			title: "Are you sure?",
			text: "Once delete, you will not be able to recover this entry!",
			type: "warning",
			showCancelButton: true,
			confirmButtonClass: "btn-danger",
			confirmButtonText: "Yes, delete it!",
			closeOnConfirm: false
		}).then((willDelete) => {
			if (willDelete['isConfirmed'] === true) {
				
				var interface_id = $(this).data('interfaceid');
				var user_id = $(this).data('userid');

				var delete_url = "{{route('interfaces-delete')}}/"+interface_id+"/"+user_id;
				window.location.replace(delete_url);
				/* alert(delete_url);
				alert(user_id);
				$.ajaxSetup({
					headers: {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					}
				});
				$.ajax({
					type:'GET',
					url: "{{route('interfaces-delete')}}",
					data: {interface_id:interface_id,user_id:user_id},
					beforeSend: function() {
						$('.loder-set').show();
					},
					success:function(response)
					{
						alert('in');
						//window.location.replace("{{route('interfaces', ['interface_id' => $interface_data->id])}}");
					},
					complete: function(data) {
						$('.loder-set').hide();
					},
				}); */
			}
		});
	});
</script>
@endpush