@extends('admin.layouts.master')

@push('plugin-styles')
<link href="{{ asset('public/admin/assets/plugins/bootstrap-datepicker/css/bootstrap-datepicker.min.css') }}" rel="stylesheet" />


@endpush

@section('content')
<div class="container">
    <div class="d-flex justify-content-between">
        <h2 class="heading">{{$title}}</h2>
        <div class="dropdown dropdown-date">
            <form id="dateForm" action="" method="GET">
                <input type="date" id="myDateInput" name="date_filter" max="<?= date('Y-m-d') ?>" value="{{$date}}" class="form-control" onchange="this.form.submit()">
                <button class="reset-dashboard">
                    <img src="{{ asset('public/img/reset.png') }}" alt="" class="img-fluid">
                </button>
            </form>
        </div>
    </div>

    <div id="interface_data"></div>
    <!-- <div id="redemption_data"></div>
    <div id="zapping_data"></div> -->

</div>
@endsection

@push('custom-scripts')
<script type="text/javascript">
    interface();
    redemption();
    zapping();

    function interface() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'GET',
            url: "{{route('onground-dashboard-interface')}}",
            data: {
                date: '{{$date}}',
            },
            success: function(response) {
                $('#interface_data').html(response)
            },
        });
    }

    function redemption() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'GET',
            url: "{{route('onground-dashboard-redemption')}}",
            data: {
                date: '{{$date}}',
            },
            success: function(response) {
                $('#redemption_data').html(response)
            },
        });
    }

    function zapping() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'GET',
            url: "{{route('onground-dashboard-zapping')}}",
            data: {
                date: '{{$date}}',
            },
            success: function(response) {
                $('#zapping_data').html(response)
            },
        });
    }

    $('.reset-dashboard').click(function() {
        $('#myDateInput').val('');
        $('#dateForm').form.submit()
    });
</script>
@endpush