@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('permissions')}}">Permissions</a></li>
                <li class="breadcrumb-item"><span>Add Users</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Add Users</h2>


            <form class="add-user-form" id="users-form">
                @csrf
                <div class="row">
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Username</label>
                        <input type="email" class="form-control" id="email" placeholder="Enter Name" name="email">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Password</label>
                        <input type="text" class="form-control" id="password" placeholder="Enter Password" name="password">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Save</button>

            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script>
    $(document).on('click', '.submit-btn', function(e) {
		var form = $('#users-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'POST',
            url: "{{route('permissions-usersave')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("{{route('permissions')}}");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush