@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('permissions')}}">Permissions</a></li>
                <li class="breadcrumb-item"><span>Edit Permissions</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Edit Permissions</h2>


            <form class="edit-permissions-form" id="permissions-form">
                @CSRF
                <input type="hidden" name="admin_id" value="{{$user_id}}">
                <div class="row">
                    <div class="col-12">
                        <div class="check-set">
                            @php 
                                $user_permissions = [];
                                if(!empty($user_details->permissions)) {
                                    $user_permissions = json_decode($user_details->permissions, true);
                                }
                            @endphp
                            @foreach($menu as $key => $value)
                                @if($value == 'Sales Report')
                                    <h6>{{$value}}</h6>
                                    @foreach($tickets as $key2 => $value2)
                                    <div class="sub-check">
                                        <div class="mb-3 form-check">
                                            <input type="checkbox" class="form-check-input" name="menu[{{$value}}][]" id="SalesReport{{$value2}}" value="{{$value2}}" @if(isset($user_permissions['Sales Report']) && in_array($value2,$user_permissions['Sales Report'])) checked @endif>
                                            <label class="form-check-label" for="SalesReport{{$value2}}">{{$value2}}</label>
                                        </div>
                                    </div>
                                    @endforeach
                                @elseif($value == 'Attendees')
                                    <h6>{{$value}}</h6>
                                    @foreach($tickets as $key2 => $value2)
                                    <div class="sub-check">
                                        <div class="mb-3 form-check">
                                            <input type="checkbox" class="form-check-input" name="menu[{{$value}}][]" id="Attendees{{$value2}}" value="{{$value2}}" @if(isset($user_permissions['Attendees']) && in_array($value2,$user_permissions['Attendees'])) checked @endif>
                                            <label class="form-check-label" for="Attendees{{$value2}}">{{$value2}}</label>
                                        </div>
                                    </div>
                                    @endforeach
                                @elseif($value == 'Interfaces')
                                    <h6>{{$value}}</h6>
                                    @foreach($user_types as $key2 => $value2)
                                    <div class="sub-check">
                                        <div class="mb-3 form-check">
                                            <input type="checkbox" class="form-check-input" name="menu[{{$value}}][]" id="Interfaces{{$value2}}" value="{{$value2}}" @if(isset($user_permissions['Interfaces']) && in_array($value2,$user_permissions['Interfaces'])) checked @endif>
                                            <label class="form-check-label" for="Interfaces{{$value2}}">{{$value2}}</label>
                                        </div>
                                    </div>
                                    @endforeach
                                @else
                                    <div class="mb-3 form-check">
                                        <input type="checkbox" class="form-check-input" name="menu[]" id="{{$value}}" value="{{$value}}" @if(in_array($value,$user_permissions)) checked @endif>
                                        <label class="form-check-label" for="{{$value}}">{{$value}}</label>
                                    </div>
                                @endif
                            @endforeach

                        </div>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Update</button>

            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script>
    $(document).on('click', '.submit-btn', function(e) {
        var form = $('#permissions-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'POST',
            url: "{{route('permissions-update')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                console.log(message);
                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("{{route('permissions')}}");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush