@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('rsvp')}}">RSVPs</a></li>
                <li class="breadcrumb-item"><span>Add</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Add RSVP</h2>


            <form class="add-user-form" id="rsvp-form">
                @csrf

                <input type="hidden" class="form-control" id="user_type" value="RSVP" name="user_type">

                <div class="row">
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Name</label>
                        <input type="text" class="form-control" id="name" placeholder="Enter Name" name="name">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Email</label>
                        <input type="text" class="form-control" id="email" placeholder="Enter Name" name="email">
                    </div>

                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1" style="width:100%;">Phone Number</label>
                        <input type="hidden" name="countryCode" value="+91" id="countryCode" value="">
                        <input type="tel" name="phone" class="form-control mobile" id="contact_number" aria-describedby="mobileHelp" value="">
                    </div>

                    <?php /* ?>
                        <div class="col-md-6 form-group">
                            <label for="exampleFormControlInput1">Phone</label>
                            <input type="text" class="form-control" id="phone" placeholder="Enter Name" name="phone">
                        </div>
                    <?php */ ?>
                </div>

                <button type="submit" class="btn btn-primary submit-btn">Save</button>
            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<link href="https://live.dreamcast.in/eventbot/meetthefuture/public/css/intlTelInput.min.css" rel="stylesheet" />

  <script src="https://live.dreamcast.in/eventbot/meetthefuture/public/js/intlTelInput.min.js"> </script>

<script type="text/javascript">
    var input = document.querySelector("#contact_number");

    window.intlTelInput(input,({
        autoHideDialCode: false,
        autoPlaceholder: "off",
        nationalMode: true,
        separateDialCode: true,
        initialCountry: 'in',
        preferredCountries: ["in"]
    }));

    var iti = window.intlTelInputGlobals.getInstance(input);

    input.addEventListener("countrychange", function() {
        var a=  iti.getSelectedCountryData();
        $('#country_code_mobile').val('+'+a.dialCode);
    });



    $(document).on('click', '.submit-btn', function(e)
    {
        var form = $('#rsvp-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type: 'POST',
            url: "{{route('rsvp-save')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                
                if ($.isEmptyObject(response.error)) {
                    
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: message,
                            confirmButtonText: 'Ok',
                        }).then((result) => {
                            if (result.isConfirmed) {
                                window.location.replace("{{route('rsvp')}}");
                            }
                        });
                    
                }
                else
                {
                    $.each(response.error, function(key, value) {                        
                        $('#'+key).addClass('error-field');                        
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush