@extends('admin.layouts.master')
@section('content')
<div class="container">
	<div class="d-flex justify-content-between mb-3 pr-3">
		<h2 class="heading">{{$package_name}}</h2>
		<a href="{{route('salesreporting-exportAllData').'/'.$slug}}" target="_blank" class="btn btn-main export-btn">Export All Data</a>
	</div>
	
	@include('admin.sales_reporting.advance_filter')
<!-- Tickets Table -->
<div class="row">
<div class="col-md-12">
    <div class="table-scroller">
        <table class="table table-hover tickets-table" id="" width="100%">
			<thead>
				<tr>
					<th>#</th>
					<th>Name</th>
					<th>Email</th>
					<th>Phone</th>
					<th>Transaction ID</th>
					<th>Payment Gateway</th>
					<th>Order ID</th>
					<th>Amount</th>
					<th>Created</th>
					<th>Action</th>
				</tr>
			</thead>
            <tbody>
				@php $i=1; @endphp
				@foreach($order_data as $key => $value)
				
				<tr>
					<td>{{$i}}</td>
					<td>{{ucwords($value->user_name.' '.$value->user_last_name)}}</td>
					<td>{{$value->user_email}}</td>
					<td>{{$value->country_code.' '.$value->user_phone}}</td>
					<td>{{$value->transection_id}}</td>
					<td>{{$value->payment_option}}</td>
					<td>{{$value->order_id}}</td>
					<td>{{$master_setting['settings']->Currency.' '.$value->total}}</td>
					<td>{{$value->created_at}}</td>
					<td>
						<div class="dropdown ticket-option">
						<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
							<div class="dot-three"></div>
						</button>
						<div class="dropdown-menu">
							<a class="dropdown-item" onclick="openmodal('view', '{{$value->order_id}}');" data-toggle="modal" data-target="#bookingModal">
								<img class="cal-icon" src="{{ asset('public/admin/assets/images/view_icon.svg')}}"> View
							</a>
						</div>
					</td>
					</tr>
					@php $i++; @endphp
					@endforeach
                </tbody>
        </table>
    </div>
	<div class="paging_bootstrap_full_number" id="">
		<ul class="pagination">
			@if($pagination == 'yes')
				{!! $order_data->links() !!}
			@endif
		</ul>
	</div>
    </div>
    </div>
</div>

<!-- tickets modal -->
<div class="modal right fade" id="bookingModal">
	<div class="modal-dialog modal-dialog-scrollable">
		<button type="button" class="close" data-dismiss="modal">×</button>
		<div id="modalContent"></div>
	</div>
</div>
<!-- tickets modal -->
@endsection
@push('custom-scripts')

<script type="text/javascript">
function openmodal(type, id) {
	var url = '';
	
	if(typeof id === 'undefined') {
		toastr.error('Item id is required.');
	}

	if(type == 'view') {
		url = "{{route('salesreporting-orderSummary')}}";
	}

	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: url,
		data: {order_id:id,slug:'{{$slug}}'},
		success:function(response)
		{
			$('#modalContent').html(response);
		},
	});
}
</script>
@endpush