@extends('admin.layouts.master')
@section('content')
<style>
.dropdown-date .dropdown-toggle {
	width:319px !important;
}
</style>


	<div class="container">

		<div class="d-flex justify-content-between mb-3 pr-3">
			<h2 class="heading">{{$title}}</h2>
			<!-- <a href="" target="_blank" class="btn btn-main export-btn">Export All Data</a> -->
		</div>
	
		<form action="{{route('search')}}" method="GET" id="filter-form">
			<div class="card p-3 mb-3">
				<div class="d-flex justify-content-between mb-2 flex-wrap">
					<div class="search-form">
						<div class="d-flex filter-drops flex-wrap searchform search1"> 
							<div class="dropdown dropdown-date input-sec" >
								<input class="dropdown btn btn-default dropdown-toggle" name="search" value="{{$keyword}}" type="text" placeholder="Search here.." />
								<input class="dropdown btn btn-default dropdown-toggle" name="start_date" value="{{$startDate}}" type="date" /> 
							</div>
						</div>
					</div>
					<div class="btns-box">
						<a href="{{route('search')}}" class="btn btn-light"><span class="fas fa-times"></span> Clear</a>
						
						<button type="submit" class="btn btn-main">Search</button> 
						@if(!empty($keyword))
						<a href="{{route('search-filterData', ['search' => $keyword,'start_date' => $startDate])}}" target="_blank" class="btn btn-main export-btn">Export</a> 
						@endif
					</div>
				</div>
			</div>
		</form>

		<!-- Tickets Table -->
		<div class="row">
			<div class="col-md-12">
				<div class="table-scroller">
					<table class="table table-hover attendees-table tickets-table">
						<thead>
							<tr> 
								<th>#</th> 
								<th>Interface </th>
								<th>Ticket Name </th>
								<th>Order Id</th>
								<th>Name</th>
								<th>Email</th>
								<th>Phone</th> 
								<th>Status</th> 
								<th>Date</th>								
								<th>Action</th>
							</tr>
						</thead>

						<tbody>
							@if(!empty($users))
								@foreach($users as $key => $value)
								
									<tr id="{{ $value->id }}">
										<td> {{ ++$key }} </td>
										<td> {{ $value->category ?? '-' }} </td>
										<td> {{ $value->ticket_name ?? '-' }} </td>
										<td> {{ $value->order_id }} </td>
										<td> {{ $value->name }} </td>
										<td> {{ $value->email }} </td> 
										<td> {{ '('.$value->country_code.')'.' '.$value->phone }} </td> 
										<td>
											@if($value->status == 0)
												<span class="deactivated">Failure</span>
											@else
												<span class="activated">Success</span>
											@endif
										</td>
										<td> {{ $value->created_at }} </td>
										
										<td>
											<div class="dropdown ticket-option">
												<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
													<div class="dot-three"></div>
												</button>

												<div class="dropdown-menu">
													<a class="dropdown-item" type="button" href="{{route('search-view', ['id' => $value->id])}}">
														<img class="cal-icon" src="{{ asset('public/admin/assets/images/email_builder.svg')}}"> View
													</a>
												</div>
											</div>
										</td>
										
									</tr>
								@endforeach
							@else
								<tr> <td colspan="12"> No data available in table </td> </tr>
							@endif
						</tbody>
					</table>
				</div>
				<div class="paging_bootstrap_full_number" id="">
					<ul class="pagination">
						 {!! $users->links() !!}
					</ul>
				</div>
			</div>
		</div>			
	</div>
@endsection

@section('script')
<script type="text/javascript">
</script>
@endsection
