@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('search')}}">Search</a></li>
                <li class="breadcrumb-item"><span>View ({{ucfirst($users->name)}})</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-6 table-responsive">
            <h2 class="page-heading">User Details</h2>
			<div class="row">
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Payment Status</label>
					<p>
						@if($users->status == 0)
							<span class="deactivated">Failure</span>
						@else
							<span class="activated">Success</span>
						@endif
					</p>
				</div> 
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Order Id</label>
					<p><strong>{{$users->order_id}}</strong></p>
				</div>  
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Name</label>
					<p><strong>{{$users->name}}</strong></p>
				</div>                     
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">E-Mail</label>
					<p><strong>{{$users->email}}</strong></p>
				</div>                     
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Phone</label>
					<p><strong>{{$users->country_code}}{{$users->phone}}</strong></p>
				</div>                    
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Country</label>
					<p><strong>{{$users->country}}</strong></p>
				</div>                    
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">State</label>
					<p><strong>{{$users->state}}</strong></p>
				</div> 
				@if($users->city)
					<div class="col-md-6 form-group">
						<label for="exampleFormControlInput1">City</label>
						<p><strong>{{$users->city}}</strong></p>
					</div>
				@endif  
				                  
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Image</label>
					<a href="{{$users->image_url}}"  target="_blank"><p><strong><img src="{{$users->image_url}}" height="100" /></strong></p></a>
				</div>                
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">E-ticket</label>
					<a href="{{$users->eticket_path}}"  target="_blank"><p><strong><img src="{{$users->eticket_path}}" height="100" /></strong></p></a>
				</div>				 
			</div>
        </div>
		@if($users->status == 1)
        <div class="col-6 table-responsive">
            <h2 class="page-heading">Order Details</h2>
			<div class="row">
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Unique Order Id</label>
					<p><strong>{{$orders->unique_order_id}}</strong></p>
				</div> 
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Payment Opton</label>
					<p><strong>{{$orders->payment_option}}</strong></p>
				</div> 
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Transection Id</label>
					<p><strong>{{$orders->transection_id}}</strong></p>
				</div> 
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Ticket Qty</label>
					<p><strong>{{$orders->ticket_qty}}</strong></p>
				</div>    
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Total</label>
					<p><strong>{{$master_setting['settings']->Currency.$orders->total}}</strong></p>
				</div>   
				                    
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Coupon Code</label>
					<p><strong>{{$orders->coupon_code}}</strong></p>
				</div>                     
				<div class="col-md-6 form-group">
					<label for="exampleFormControlInput1">Discount Price</label>
					<p><strong>{{$master_setting['settings']->Currency.$orders->discount_price}}</strong></p>
				</div>      			 
			</div>
        </div>
		@endif
    </div>
</div>
@endsection
@push('custom-scripts')
@endpush