@extends('admin.layouts.master2')
@section('content')
<div class="container container-wider pt-3">
    <div class="row bg-white mb-4 shadow bg-blur rounded">
        <div class="col-md-4">
            <div class="">
        <div class="form-heading py-4">Interface</div>
        <div class="py-4">
            <form action="{{route('event_settings-addInterface')}}" method="post">
                @csrf
                <div class="form-group mb-3">
                    <input type="text" name="interface_sequence" class="form-control" id="interface_sequence" placeholder="Interface Sequence">
                </div>
                <div class="form-group mb-3">
                    <input type="text" name="interface_name" class="form-control" id="interface_name" placeholder="Interface Name">
                </div>
                <div class="form-group mb-3">
                    <input type="text" name="interface_category" class="form-control" id="interface_category" placeholder="Interface Category">
                </div>
                <div class="form-group mb-3">
                    <input type="text" name="interface_shortcode" class="form-control" id="interface_shortcode" placeholder="Interface Shotcode">
                </div>
                <div class="form-group mb-3">
                    <select name="interface_type" class="form-control" id="interface_type">
                        <option value="">Select Interface Type</option>
                        <option value="invite">Invite</option>
                        <option value="add">Add</option>
                        <option value="rsvp">RSVP</option>
                        <option value="neutral">Neutral</option>
                    </select>
                </div>
                <div class="form-group mb-3">
                    <input type="text" name="email_template" class="form-control" id="email_template" placeholder="Email Template">
                </div>
                <div class="form-group mb-3">
                    <input type="text" name="whatsapp_template" class="form-control" id="whatsapp_template" placeholder="Whatsapp Template">
                </div>
                
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
        </div>
        <div class="col-md-8">
            <div class="table-scrollable py-4">
              <div class="table-responsive table-uploader">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col">Sequence</th>
                    <th scope="col">Name</th>
                    <th scope="col">Category</th>
                    <th scope="col">Shotcode</th>
                    <th scope="col">Type</th>
                    <th scope="col">Email Temp</th>
                    <th scope="col">Whatsapp Temp</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                @php $i = 1; @endphp
                @foreach($interface_data as $key => $value)
                <tr>
                    <td>{{$value->sequence}}</td>
                    <td>{{$value->name}}</td>
                    <td>{{$value->category}}</td>
                    <td>{{$value->shortcode}}</td>
                    <td>{{$value->type}}</td>
                    <td>{{$value->email_template}}</td>
                    <td>{{$value->whatsapp_template}}</td>
                    <td>
                        <a class="btn btn-primary" href="{{route('event_settings-updateInterfaceForm', ['id' => $value->id])}}">Form Update</a>
                        <a class="btn btn-primary" href="{{route('event_settings-interfaceDelete', ['id' => $value->id])}}">Delete</a>
                    </td>
                </tr>
                @php $i++; @endphp
                @endforeach
            </tbody>
        </table>
    </div>
</div>
        </div>
    </div>
    
  
</div>
@endsection

@section('script')
<script type="text/javascript">

</script>
@endsection