@extends('admin.layouts.master2')
@section('content')
<div class="container container-wider pt-3">
    <div class="table-responsive shadow table-uploader bg-blur p-4">
        <div class="d-flex justify-content-between pb-3">
            <h2>{{$interface_data->name}}</h2>
            <button class="btn btn-primary add_more" onclick="openmodal('{{$interface_id}}');">Add more field</button>
        </div>
        <form id="field_details" method="post" enctype="multipart/form-data">
        @CSRF
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th scope="col" style="text-align:center;">Field Title</th>
                        <th scope="col" style="text-align:center;">Field Name</th>
                        <th scope="col" style="text-align:center;">Field Type</th>
                        <th scope="col" style="text-align:center;">Required</th>
                        <th scope="col" style="text-align:center;">Unique Field</th>
                        <th scope="col" style="text-align:center;">Filter</th>
                        <th scope="col" style="text-align:center;">Value</th>
                        <th scope="col" style="text-align:center;">Action</th>
                    </tr>
                </thead>
                
                    
                    <tbody id="field-section">
                        @php $i = 1; @endphp
                        @foreach($form_settings as $key => $value)
                        <tr>
                            <td>
                                <input type="text" name="field_title[]" class="form-control" placeholder="Field Title" value="{{$value->field_title}}">
                            </td>
                            <td>
                                <input type="text" name="field_name[]" class="form-control" placeholder="Field Name" value="{{$value->field_name}}">
                            </td>
                            <td>
                                <select name="field_type[]" class="form-control">
                                    <option value="">Select Field Type</option>
                                    <option value="text" @if($value->field_type == 'text'){{'selected'}}@endif>Text</option>
                                    <option value="email" @if($value->field_type == 'email'){{'selected'}}@endif>Email</option>
                                    <option value="phone" @if($value->field_type == 'phone'){{'selected'}}@endif>Phone</option>
                                    <option value="textarea" @if($value->field_type == 'textarea'){{'selected'}}@endif>Textarea</option>
                                    <option value="select" @if($value->field_type == 'select'){{'selected'}}@endif>Select</option>
                                    <option value="checkbox" @if($value->field_type == 'checkbox'){{'selected'}}@endif>Checkbox</option>
                                    <option value="radio" @if($value->field_type == 'radio'){{'selected'}}@endif>Radio</option>
                                </select>
                            </td>
                            <td>
                                <select name="required[]" class="form-control">
                                    <option value="">Select Required</option>
                                    <option value="1" @if($value->required == 1){{'selected'}}@endif>Yes</option>
                                    <option value="0" @if($value->required == 0){{'selected'}}@endif>No</option>
                                </select>
                            </td>
                            <td>
                                <select name="unique[]" class="form-control">
                                    <option value="">Select Unique</option>
                                    <option value="1" @if($value->unique_field == 1){{'selected'}}@endif>Yes</option>
                                    <option value="0" @if($value->unique_field == 0){{'selected'}}@endif>No</option>
                                </select>
                            </td>
                            <td>
                                <select name="filter[]" class="form-control">
                                    <option value="">Select Filter</option>
                                    <option value="1" @if($value->filter == 1){{'selected'}}@endif>Yes</option>
                                    <option value="0" @if($value->filter == 0){{'selected'}}@endif>No</option>
                                </select>
                            </td>
                            <td>
                                <input type="text" name="value[]" class="form-control" placeholder="Values" value="{{$value->value}}">
                                <input type="hidden" name="field_id[]" value="{{$value->id}}">
                                <input type="hidden" name="module_name[]" value="interface">
                            </td>
                            <td>
                                <a class="btn btn-danger remove-field">Remove</a>
                            </td>
                        </tr>
                        @php $i++; @endphp
                        @endforeach
                    </tbody>
                
            </table>
            <button class="btn btn-primary updatefield" data-interfaceid="{{$interface_id}}">Update</button>
        </form>
        
    </div>
</div>
@endsection

@push('custom-scripts')
<script type="text/javascript">
    function openmodal(interface_id) {
        var count_fields = $('.updatefield').length
        
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type:'GET',
            url: "{{route('event_settings-addMoreFormField')}}",
            data: {interface_id:interface_id,count_fields:count_fields},
            success:function(response)
            {
                $('#field-section').append(response);
            },
        });
    }

    $(document).on('click','.remove-field', function()
    {
        $(this).parent('td').parent('tr').remove();
    });

    $(document).on('click','.updatefield', function(e)
    {
        var interface_id =  $(this).data('interfaceid');
        var form = $('#field_details')[0];
        console.log(form);
        var formData = new FormData(form);
        formData.append('interface_id', interface_id);
        
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type:'POST',
            url: "{{route('event_settings-saveFormField')}}",
            data:formData,
            processData: false,
            contentType: false,
            success:function(response)
            {
                location.reload();
            },
        });
        e.preventDefault();
    });

</script>
@endpush