@extends('admin.layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('tickets')}}">Tickets</a></li>
                <li class="breadcrumb-item"><span>Add</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Add Ticket</h2>


            <form class="add-user-form" id="ticket-form">
                @csrf
                <div class="row">
                   
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Category</label>
                        <select class="form-control" id="category" name="category">
							<option value="">Select Category</option>
							@if(!empty($ticket_category))
								@foreach ( $ticket_category as $value )
									<option value="{{ $value }}">{{ $value }}</option>
								@endforeach 
							@endif
                        </select>
                    </div>
                    <div class="col-md-6 form-group" id="category_name" style="display:none">
                        <label for="exampleFormControlInput1">Category</label>
                        <input type="text" class="form-control" placeholder="Enter Category Name" name="category_name">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Name</label>
                        <input type="text" class="form-control" id="name" placeholder="Enter Name" name="name">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Shortcode</label>
                        <input type="text" class="form-control" id="shortcode" placeholder="Enter Short Code" name="shortcode">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Description</label>
                        <textarea class="form-control" placeholder="Ticket Desctiption" name="description"></textarea>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Price</label>
                        <input type="text" class="form-control" id="price" placeholder="Enter Price" name="price">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Min Per Booking</label>
                        <input type="text" class="form-control" id="shortcode" placeholder="Enter Min Per Booking" name="min_qty">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Max Per Booking</label>
                        <input type="text" class="form-control" id="shortcode" placeholder="Enter Max Per Booking" name="max_qty">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Min Dates Select</label>
						<select class="form-control" name="day_qty">
							<option value="1">1</option>
							<option value="2">2</option>
							<option value="3">3</option>
							<option value="4">4</option>
							<option value="5">5</option>
						</select>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Save</button>

            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script>
    $(document).on('click', '#category', function(e) {
		if($(this).val() === 'Other') {
			$("#category_name").show();
		}else{
			$("#category_name").hide();
		}
	});
    $(document).on('click', '.submit-btn', function(e) {
		var min_qty = $('#min_qty').val();
		var max_qty = $('#max_qty').val();

		if(min_qty != '' && max_qty != '') {
			if(max_qty <= min_qty) {
				toastr.options = {"positionClass": "toast-bottom-right"};
				toastr.error('Max quantity should grater then min quantity,');
			}
		}
        var form = $('#ticket-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "{{route('tickets-save')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("{{route('tickets')}}");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush