@extends('admin.layouts.master')
@section('content')
<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><span>Tickets</span></li>
                <!-- <li class="breadcrumb-item"><a href="#_">Category List</a></li> -->
            </ul>
        </div>
    <div class="btns-group-top">
        <div class="save-next">
            <a type="button" class="btn btn-main white" href="{{route('tickets-add')}}">+ Add Ticket</a>
        </div>
    </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">

            <table class="table table-bordered user_datatable">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Shortcode</th>
                        <th>Category</th>
                        <th>Price</th>
                        <th>GST</th>
                        <th>Gateway Fee</th>
                        <th>Status</th>
                        <th width="100px">Action</th>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>
        </div>
    </div>
</div>

<!-- tickets modal -->
<div class="modal right fade" id="ticketModal">
	<div class="modal-dialog modal-dialog-scrollable">
		<button type="button" class="close" data-dismiss="modal">×</button>
		<div id="modalContent"></div>
	</div>
</div>
<!-- tickets modal -->
@endsection
@push('custom-scripts')
<script type="text/javascript">
    $(function() {
        var table = $('.user_datatable').DataTable({
            processing: true,
            serverSide: true,
            ajax: "{{ route('tickets') }}",
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'name',
                    name: 'name'
                },
                {
                    data: 'shortcode',
                    name: 'shortcode'
                },
                {
                    data: 'category',
                    name: 'cetegory'
                },
				{
                    data: 'price',
                    name: 'price'
                },
				{
                    data: 'gst',
                    name: 'gst'
                },
				{
                    data: 'other_charges',
                    name: 'other_charges'
                },
				{
                    data: 'status',
                    name: 'status'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                },
            ]
        });
        console.log(table);
    });
</script>
<script type="text/javascript">
$(document).on('click','.status-action-btn', function (e) {
	var id 		= $(this).data('id');
	var status 	= $(this).data('status');
	var url = "{{route('tickets-status')}}";
	alert(id);
	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: url,
		data: {id:id,status:status},
		success:function(response)
		{
			location.reload();
		},
	});
});  
$(document).on('click','.delete-action', function (e) {
	e.preventDefault();
	new swal({
		title: "Are you sure?",
		text: "Once delete, you will not be able to recover this entry!",
		type: "warning",
		showCancelButton: true,
		confirmButtonClass: "btn-danger",
		confirmButtonText: "Yes, delete it!",
		closeOnConfirm: false
	}).then((willDelete) => {
		if (willDelete['isConfirmed'] === true) {
			var id = $(this).data('id'); 
			if(typeof id === 'undefined') {
				var id = '';
			}
			$.ajax({
				headers: {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				type:'GET',
				url: "{{route('tickets-delete')}}",
				data: {id:id},
				success:function(response)
				{	
					location.reload();
				},
			});
		} else {
			new swal("Your imaginary file is safe!");
		}
	});
}); 
</script>
@endpush