@extends('layouts.master')
@section('content')

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="{{route('event-index')}}">Events</a></li>
                <li class="breadcrumb-item"><span>Edit</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Edit Event</h2>


            <form class="add-user-form" id="event-form">
                @csrf
                <input type="hidden" name="event_id" value="{{$event_data->id}}">
                <div class="row">
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Event Name</label>
                        <input type="text" class="form-control" id="name" placeholder="Enter event name" name="name" value="{{$event_data->name}}">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Event Title</label>
                        <input type="text" class="form-control" id="title" placeholder="Enter user name" name="title" value="{{$event_data->title}}">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Unique Code Prefix</label>
                        <input type="text" class="form-control" id="prefix_uniquecode" placeholder="Prefix Unique Code" name="prefix_uniquecode" value="{{$event_data->prefix_uniquecode}}">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Event Logo</label>
                        <input type="file" class="form-control" id="logo" name="logo">
                        </br>
                        <img src="{{$event_data->logo}}" width="100px" />
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Base URL</label>
                        <input type="url" class="form-control" id="base_url" placeholder="Base URL" name="base_url" value="{{$event_data->base_url}}">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Login Pin</label>
                        <input type="number" class="form-control" id="pin" placeholder="Login Pin" name="pin" value="{{$event_data->pin}}">
                    </div>
                    
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Address</label>
                        <textarea class="form-control" id="event_address" placeholder="Address" name="event_address">{{$event_data->event_address}}</textarea>
                    </div>
                </div>

                <!-- <div class="form-group">
                    <label for="exampleFormControlSelect1">PDF Type</label>
                    <select class="form-control" id="exampleFormControlSelect1">
                        <option>Please select PDF type</option>
                        <option>2</option>
                        <option>3</option>
                        <option>4</option>
                        <option>5</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="exampleFormControlTextarea1">Text box</label>
                    <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" placeholder="Type question here..."></textarea>
                </div>
                <div class="form-group mb-4">
                    <h3>Radion button</h3>
                    <div class="custom-control custom-radio">
                        <input type="radio" class="custom-control-input" id="customRadio" name="example1" value="customEx">
                        <label class="custom-control-label" for="customRadio">Image</label>
                    </div>
                    <div class="custom-control custom-radio">
                        <input type="radio" class="custom-control-input" id="customRadio2" name="example1" value="customEx">
                        <label class="custom-control-label" for="customRadio2">Timer</label>
                    </div>
                </div>

                <div class="form-group mb-4">
                    <h3>Checkboxes</h3>
                    <div class="custom-control custom-checkbox mb-3">
                        <input type="checkbox" class="custom-control-input" id="customCheck" name="example1">
                        <label class="custom-control-label" for="customCheck">Image</label>
                    </div>
                    <div class="custom-control custom-checkbox mb-3">
                        <input type="checkbox" class="custom-control-input" id="customCheck2" name="example2">
                        <label class="custom-control-label" for="customCheck2">Timer</label>
                    </div>
                </div> -->

                <button type="submit" class="btn btn-primary submit-btn">Save</button>

            </form>


        </div>
    </div>
</div>
@endsection
@push('custom-scripts')
<script>
    $(document).on('click', '.submit-btn', function(e) {
        var form = $('#event-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "{{route('event-update')}}",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                

                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("{{route('event-index')}}");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        
                        $('#'+key).addClass('error-field');
                        
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
@endpush