@extends('admin.layouts.master')
@section('content')

<div class="container">     
	    <div class="d-flex justify-content-between mb-3 flex-wrap">
	        <div class="d-flex">
	            <h2 class="heading mb-0"> Volunteers </h2>
	        </div>	        
	    </div>

		@include('admin.elements.advance_filter')

    <div class="row">
    	<div class="col-md-12">
    		@if($search != '')
				<h3 class="search-for">Search for : {{$search}}</h3>
			@endif
    	</div>
    </div>
    <!-- Tickets Table -->
    <div class="row">
        <div class="col-md-12">
            <div class="table-scroller">

                <table class="table table-hover attendees-table tickets-table">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
                            <!-- <th>Address</th>
                            <th>State</th>
                            <th>City</th> -->
                            <th>Email</th>
                            <th>Phone</th>
                            <th>Created</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
						@if(!empty($data))
							@foreach($data as $key => $value)
							<tr id="{{ $value->id }}">
								<td> {{ ++$key }} </td>
								<td> {{ $value->name }} </td>
								<!-- <td> {{ $value->address }} </td>
								<td> {{ $value->state }} </td>
								<td> {{ $value->city }} </td> -->
								<td> {{ $value->email }} </td>
								<td> {{ $value->country_code }} - {{ $value->phone }} </td>
								<td> {{ date('d M, Y', strtotime($value->created_at)) }} </td>
								<td>
									@if($value->status == 1)
										<span class="activated">Activated</span>
									@else
										<span class="deactivated">Pending</span>
									@endif
								</td>
								<td>
									<div class="dropdown ticket-option">
										<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
											<div class="dot-three"></div>
										</button>
										<?php /* ?>
											<div class="dropdown-menu">
												@if($value->status == 1)
												<a class="dropdown-item" onclick="changestatus('0','{{$value->id}}');"><img class="cal-icon" src="{{ asset('public/admin/assets/images/deactivate_icon.svg')}}"> Deactivate</a>
												@else
												<a class="dropdown-item" onclick="changestatus('1','{{$value->id}}');"><img class="cal-icon" src="{{ asset('public/admin/assets/images/activate.svg')}}"> Activate</a>
												@endif
												<a class="dropdown-item" onclick="openmodal('view', '{{$value->id}}');" data-toggle="modal" data-target="#addCouponModal">
													<img class="cal-icon" src="{{ asset('public/admin/assets/images/view_icon.svg')}}"> View
												</a>
												<a class="dropdown-item" onclick="deletecoupon('{{$value->id}}');"><img class="cal-icon" src="{{ asset('public/admin/assets/images/delete_icon.svg')}}"> Delete</a>
											</div>
										<?php */ ?>
									</div>
								</td>
							</tr>
							@endforeach
						@else
							<tr class="odd gradeX" style="text-align: center;"> <td colspan="8"> No data available in table </td> </tr>
						@endif
                    </tbody>
                </table>
            </div>
			<div class="paging_bootstrap_full_number" id="">
				<ul class="pagination">
					<?php /* ?>
						@if($pagination == 'yes')
							{!! $data->links() !!}
						@endif
					<?php */ ?>

					{{ $data->withQueryString()->links() }}
				</ul>
			</div>
        </div>
    </div>
</div>


@endsection

@push('custom-scripts')

	@include('admin.elements.date_script')

@endpush