@extends('admin.layouts.master')
@section('content')

    <style type="text/css">
        .search-wrapper form {position: relative; flex-grow: 1;}
    </style>

    <div class="container">
        <div class="d-flex justify-content-between mb-3">
            <h2 class="heading">Whatsapp Logs</h2>
        </div>
        <!-- search form  -->

        <div class="d-flex justify-content-between mb-4 mobile-col">
            <div class="search-wrapper d-flex">
                <form action="{{route('whatsapp-logs')}}" method="get" enctype="multipart/form-data">
                    <input type="search" class="form-control ticket-search" placeholder="Search Here.." name="search">
                    <button type="submit" class="btn btn-search">Search</button>
                </form>
                <a href="{{route('whatsapp-logs')}}" class="btn btn-reset btn-main">Reset</a>
            </div>
        </div>
        @if($search != '')
            <div class="row">
                <div class="col-md-12">
                    <h3 class="search-for">Search for : {{ $search }}</h3>
                </div>
            </div>
    @endif
    <!-- Tickets Table -->
        <div class="row">
            <div class="col-md-12">
                <div class="table-scroller">
                    <table class="table table-hover tickets-table">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Phone Number</th>
                            <th>Template</th>
                            <th>Status</th>
                            <th>Recived At</th>
                            <th>Delivered At</th>
                            <th>Seen At</th>
                            <!--
                            <th>Recived At</th>
                            <th>Callback</th>
                                <th>Action</th> -->
                        </tr>
                        </thead>

                        <tbody>
                        @php $i = $k = 1; @endphp
                        @if(!empty($all_logs))
                            @foreach($all_logs as $key => $value)
                                <tr data-toggle="collapse" data-target="#demo{{$i}}" class="accordion-toggle">
                                    <td>{{$i}}</td>
                                    <td>{{$value->channel_phone_number}}</td>
                                    <td>{{$value->callbackData}}</td>
                                    <td>{{$value->status}}</td>
                                    <td>{{$value->received_at_utc}}</td>
                                    <td>{{$value->delivered_at_utc}}</td>
                                    <td>{{$value->seen_at_utc}}</td>
                                    <!--
                                        <td>
                                        <div class="dropdown ticket-option">
                                        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                            <div class="dot-three"></div>
                                        </button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/view_icon.svg"> View</a>
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/send_icon.svg"> Send</a>
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/refund_icon.svg"> Refund</a>
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/download_icon.svg"> Download</a>
                                        </div>
                                    </div>
                                    </td> -->
                                </tr>
                                @php $i++; @endphp
                            @endforeach
                        @endif

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <!-- tickets modal -->
    <div class="modal right fade" id="ticketModal">
        <div class="modal-dialog modal-dialog-scrollable">
            <button type="button" class="close" data-dismiss="modal">×</button>
            <div id="modalContent"></div>
        </div>
    </div>
    <!-- tickets modal -->
@endsection
@push('custom-scripts')

    <?php /* ?>

<script type="text/javascript">

function openmodal(type, id) {
	var url = '';

	if(typeof id === 'undefined') {
		var id = '';
	}

	if(type == 'add') {
		url = "{{route('tickets-add')}}";
	} else if(type == 'view') {
		url = "{{route('tickets-view')}}";
	}

	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: url,
		data: {id:id},
		success:function(response)
		{
			$('#modalContent').html(response);
		},
	});
}

function changestatus(status, id) {
	var url = "{{route('tickets-status')}}";

	$.ajaxSetup({
		headers: {
			'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
		}
	});

	$.ajax({
		type:'GET',
		url: url,
		data: {id:id,status:status},
		success:function(response)
		{
			location.reload();
		},
	});
}

//for add tickets
$(document).on('click','#custom_price', function (e) {
	var checked = document.getElementById("custom_price");
	if (checked.checked == true){
		$('#customise_price').show();
	} else {
		$('#customise_price').hide();
	}
});

$(document).on('click','.submit-btn', function (e) {
	var min_qty = $('#min_qty').val();
	var max_qty = $('#max_qty').val();

	if(min_qty != '' && max_qty != '') {
		if(max_qty <= min_qty) {
			toastr.options = {"positionClass": "toast-bottom-right"};
			toastr.error('Max quantity should grater then min quantity,');
		}
	}

	var form = $('#ticketdetails')[0];
	var formData = new FormData(form);

	$.ajax({
		type:'POST',
		url: "{{route('tickets-save')}}",
		data:formData,
		contentType: false,
		processData: false,
		success:function(response)
		{
			//response = jQuery.parseJSON(response);
			var type = response.type;
			var message = response.message;

			if($.isEmptyObject(response.error)){
				location.reload();
			}else{
				console.log(response.error);
				$.each( response.error, function( key, value ) {
					toastr.options = {"positionClass": "toast-bottom-right"};
					toastr.error(value);
				});
			}

			//$( "#user-section" ).load(window.location.href + " #user-section" );
		},

	});
	e.preventDefault();
});
//for add tickets
</script>
<?php */ ?>

@endpush