@extends('admin.layouts.master')
@section('content')
    <div class="container">
        <div class="d-flex justify-content-between mb-3">
            <h2 class="heading">Whatsapp Logs</h2>
        </div>
        <!-- search form  -->
        <div class="d-flex justify-content-between mb-4 mobile-col">
            <div class="search-wrapper d-flex">
                <form id="coupondetails" method="post" enctype="multipart/form-data">
                    <input type="search" class="form-control ticket-search" placeholder="Search Here..">
                    <button type="submit" class="btn btn-search">Search</button>
                </form>
                <a href="{{route('tickets')}}" class="btn btn-reset btn-main">Reset</a>
            </div>
            <button type="button" class="btn btn-main btn-add-ticket" data-toggle="modal" data-target="#ticketModal" onclick="openmodal('add');">+ Add Ticket</button>
        </div>
        <div class="row">
            <div class="col-md-12">

                <h3 class="search-for">Search for : addf</h3>

            </div>
        </div>
        <!-- Tickets Table -->
        <div class="row">
            <div class="col-md-12">
                <div class="table-scroller">
                    <table class="table table-hover tickets-table">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Phone Number</th>
                            <!--
                            <th>Recived At</th>
                            <th>Callback</th>
                                <th>Action</th> -->
                        </tr>
                        </thead>

                        <tbody>
                        @php $i = $k = 1; @endphp
                        @if(!empty($all_logs))
                            @foreach($all_logs as $key => $value)
                                <tr data-toggle="collapse" data-target="#demo{{$i}}" class="accordion-toggle">
                                    <td><button class="btn btn-default btn-chev"><span class="fas fa-caret-down"></span></button></td>
                                    <td>{{$key}}</td>
                                    <!--
                                        <td>
                                        <div class="dropdown ticket-option">
                                        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                                            <div class="dot-three"></div>
                                        </button>
                                        <div class="dropdown-menu">
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/view_icon.svg"> View</a>
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/send_icon.svg"> Send</a>
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/refund_icon.svg"> Refund</a>
                                            <a class="dropdown-item" href="#"><img class="cal-icon" src="images/download_icon.svg"> Download</a>
                                        </div>
                                    </div>
                                    </td> -->
                                </tr>

                                <tr class="accordion-row">
                                    <td class="hiddenRow"></td>
                                    <td colspan="12" class="hiddenRow">
                                        <div class="accordian-body collapse" id="demo{{$i}}">
                                            @foreach($value as $key2 => $value2)
                                                @php
                                                    $status_count = count($value2)-2;
                                                @endphp
                                                <p>{{$value2['callback']}}</p>
                                                <table class="table table-inner">
                                                    <tbody>
                                                    @for($g=0;$g<=$status_count;$g++)
                                                        <tr>
                                                            <td><strong>Status :</strong>{{$value2[$g]->status}} </td>
                                                            @if($value2[$g]->type == 'message_api_sent' || $value2[$g]->type == 'message_api_failed')
                                                                <td><strong>Recived At :</strong> {{$value2[$g]->received_at_utc}}</td>
                                                            @endif
                                                            @if($value2[$g]->type == 'message_api_delivered')
                                                                <td><strong>Delivered At :</strong> {{$value2[$g]->delivered_at_utc}}</td>
                                                            @endif
                                                            @if($value2[$g]->type == 'message_api_read')
                                                                <td><strong>Seen At :</strong> {{$value2[$g]->seen_at_utc}}</td>
                                                            @endif
                                                        </tr>

                                                    @endfor
                                                    </tbody>
                                                </table>
                                            @endforeach
                                        </div>
                                    </td>
                                </tr>
                                @php $i++; @endphp
                            @endforeach
                        @endif

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <!-- tickets modal -->
    <div class="modal right fade" id="ticketModal">
        <div class="modal-dialog modal-dialog-scrollable">
            <button type="button" class="close" data-dismiss="modal">×</button>
            <div id="modalContent"></div>
        </div>
    </div>
    <!-- tickets modal -->
@endsection
@push('custom-scripts')

    <script type="text/javascript">

        function openmodal(type, id) {
            var url = '';

            if(typeof id === 'undefined') {
                var id = '';
            }

            if(type == 'add') {
                url = "{{route('tickets-add')}}";
            } else if(type == 'view') {
                url = "{{route('tickets-view')}}";
            }

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $.ajax({
                type:'GET',
                url: url,
                data: {id:id},
                success:function(response)
                {
                    $('#modalContent').html(response);
                },
            });
        }

        function changestatus(status, id) {
            var url = "{{route('tickets-status')}}";

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $.ajax({
                type:'GET',
                url: url,
                data: {id:id,status:status},
                success:function(response)
                {
                    location.reload();
                },
            });
        }

        //for add tickets
        $(document).on('click','#custom_price', function (e) {
            var checked = document.getElementById("custom_price");
            if (checked.checked == true){
                $('#customise_price').show();
            } else {
                $('#customise_price').hide();
            }
        });

        $(document).on('click','.submit-btn', function (e) {
            var min_qty = $('#min_qty').val();
            var max_qty = $('#max_qty').val();

            if(min_qty != '' && max_qty != '') {
                if(max_qty <= min_qty) {
                    toastr.options = {"positionClass": "toast-bottom-right"};
                    toastr.error('Max quantity should grater then min quantity,');
                }
            }

            var form = $('#ticketdetails')[0];
            var formData = new FormData(form);

            $.ajax({
                type:'POST',
                url: "{{route('tickets-save')}}",
                data:formData,
                contentType: false,
                processData: false,
                success:function(response)
                {
                    //response = jQuery.parseJSON(response);
                    var type = response.type;
                    var message = response.message;

                    if($.isEmptyObject(response.error)){
                        location.reload();
                    }else{
                        console.log(response.error);
                        $.each( response.error, function( key, value ) {
                            toastr.options = {"positionClass": "toast-bottom-right"};
                            toastr.error(value);
                        });
                    }

                    //$( "#user-section" ).load(window.location.href + " #user-section" );
                },

            });
            e.preventDefault();
        });
        //for add tickets
    </script>
@endpush