@extends('layouts.user')

@section('content')
<div class="container">
    @include('elements.event_info') 
    <div class="bg-white p-2 rounded">
        <div class="row g-3">
            <div class="col-md-12">
                <div class="p-3 p-lg-4">
                    <div class="mb-md-1 d-flex align-items-center mob-block">
                        <div class="mb-0 d-flex flex-grow-1">
                            <h5 class="thanks_header d-flex align-items-center">
                                <!-- <lottie-player class="mb-2" src="{{asset('public/json/order-confirm.json')}}" background="transparent" speed="1" loop="" autoplay=""></lottie-player> -->
                                <div class="thanks_order">
                                    Your transaction can not be completed !
                                </div>
                            </h5>
                        </div>
                        <!-- <a href="javascript:;" class="ml-3 btn btn-outline-dark py-2">View Tickets</a> -->
                    </div>

                    <div class="p-4 d-flex bg-light thanks-box">
                        <!-- <p>YOU ARE GOING TO</p> -->
                        <h3>{{ $master_setting['settings']->title }}</h3>
                        <h6 class="mt-3">Organizer Message :</h6>
                        <p>{{ $master_setting['settings']->description }}</p>


                        <div class="thanks-address p-0 bg-trans">
                            <ul>
                                <li>
                                    <i class="bi bi-calendar-event"></i>
                                    <span>
                                    <span class="text-muted d-block">DATE</span> <?php echo html_entity_decode($master_setting['settings']->event_date) ?>
                                    </span>
                                </li>
                                <li><i class="bi bi-geo-alt-fill"></i>
                                    <span>
                                    <span class="text-muted d-block">LOCATION</span>
                                    <address><?php echo html_entity_decode($master_setting['settings']->event_address) ?></address>
                                    </span>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="mt-3 d-flex justify-content-end">
                        <a href="{{$master_setting['settings']->home_url}}" class="ml-3 btn btn-link text-decoration-none py-2">
                            Book Another Ticket <i class="bi bi-chevron-right ms-2"></i>
                        </a>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script src="https://unpkg.com/@lottiefiles/lottie-player@latest/dist/lottie-player.js"></script>
@endsection
<style>
.thanks_min_h{
min-height: calc(100vh - 415px);
display: flex;
align-items: center;
justify-content: center;
width: 100%;
flex-wrap: wrap;
margin-bottom:50px;
}
</style>