<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="{{ csrf_token() }}" />
    <!-- Bootstrap CSS -->

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link href="{{ asset('public/css/whatsapp.css') }}" rel="stylesheet" />
    <title>Whatsapp Message</title>
</head>

<body>
  
    <div class="loder show" style="display:none;">
        <img src="{{asset('public/images/loder.png')}}" alt="">
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="btns-group">
                    <a href="javascript:void(0);" class="btn btn-main" data-bs-toggle="modal" data-bs-target="#addCampaignModel">Add New Campaign</a>
                </div>
                <table class="table table-border table-responsive mt-2">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col" class="text-start">User Category</th>
                            <th scope="col" class="text-start">Template Name</th>
                            <th scope="col" class="text-start">Callback</th>
                            <th scope="col">Update Status</th>
                            <th scope="col">Total Send Message</th>
                            <th scope="col">Check</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php $i=1; @endphp
                        @foreach($send_message as $key => $value)
                        <tr>
                            <td scope="row">{{$i}}</td>
                            <td class="text-start">{{$value->user_type}}</td>
                            <td class="text-start">{{$value->template_name}}</td>
                            <td class="text-start">{{$value->callback}}</td>
                            <td>{{$value->update_status}}</td>
                            <td>
                                <div class="d-flex set-message-count"><span class="pe-2 me-2 updateCount{{$value->id}}">{{$value->total_send_numbers}}</span> <a href="javascript:void(0);" class="btn-normal ml-3 getUpdatedCount rotate{{$value->id}}" data-tempid="{{$value->id}}"><i class="reloadSingle"></i></a> </div>
                            </td>
                            <td>
                                <form action="{{route('sendmessage-checkMessages')}}" method="post">
                                    @csrf
                                    <input type="hidden" name="template_id" value="{{$value->id}}">
                                    <input type="text" class="form-control mb-2" id="name" placeholder="Enter name" name="name">

                                    <input type="number" class="form-control mb-2" id="phone" placeholder="Enter phone" name="phone">

                                    <button type="submit" class="btn btn-main w-100" id="check_email">Check</button>
                                </form>
                            </td>
                            <td>
                                @if($value->status == 0)
                                <a type="button" class="btn btn-main" onclick="return confirm('Are you sure?')" href="{{route('sendmessage-startMessages', ['template_id' => $value->id])}}">Start send message</a>
                                @elseif($value->status == 1)
                                <label class="processing">Processing ...</label>
                                @elseif($value->status == 2)
                                <label class="complete">Complete</label>
                                @endif
                            </td>
                        </tr>
                        @php $i++; @endphp
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>

    </div>

    <!-- Modal -->
    <div class="modal fade" id="addCampaignModel" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Add Campaign</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
        <form class="row g-3" id="campaign-form" method="post">
        @csrf
            <div class="col-md-6">
                <label for="inputPassword4" class="form-label">Update Status</label>
                <input type="number" name="update_status" class="form-control update_status">
            </div>
            <div class="col-md-6">
                <label for="inputPassword4" class="form-label">User Types</label>
                <select class="form-select user_typeuser_type" name="user_type">
                    <option value="All" selected>All</option>
                  <?php if(!empty($userCategory))
                      {
                          foreach($userCategory as $data)
                              {

                  ?>
                    <!-- <option value="<?php echo $data->category; ?>"><?php echo $data->category; ?></option> -->
                  <?php
                              }
                      }
                  ?>
                </select>
            </div>
            <div class="col-md-6">
                <label for="inputEmail4" class="form-label">Template Name</label>
                <input type="text" name="template_name" class="form-control template_name">
            </div>
            <div class="col-md-6">
                <label for="inputPassword4" class="form-label">Callback</label>
                <input type="text" name="callback" class="form-control callback">
            </div>

            <label for="inputAddress" class="form-label mb-0">Header Data</label>
            <div class="col-6">
                <select class="form-select header_data_type" aria-label="Default select example" name="header_data_type">
{{--                    <option value="Text" selected>Text</option>--}}
                    <option value="image">Image</option>
                    <option value="video">Video</option>
                    <option value="document">Document</option>
{{--                    <option value="Table Field">Table Field</option>--}}
                </select>
            </div>
            <div class="col-6">
                <input type="text" class="form-control header_data" name="header_data">
            </div>

            <label for="inputAddress2" class="form-label mb-0">Body Values <button type="button" class="btn btn-outline-main addmore_body_values">+ Add More</button></label>
            <div class="col-12">
                <input type="text" class="form-control body_values" name="body_values[]">
                <div class="more_body_values"></div>
                
            </div>
            <div class="col-12">
                <label for="inputAddress2" class="form-label">Button Values</label>
                <input type="text" class="form-control button_values" name="button_values">
            </div>
        </form>


        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-outline-main" data-bs-dismiss="modal">Close</button>
            <button type="button" class="btn btn-main campaign_submit">Submit</button>
        </div>
        </div>
    </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.6.4.min.js" integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.3/dist/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <script>

        //add more data value
        $(document).on('click', ".addmore_body_values", function() {
            $('.more_body_values').append('<div class="input-group mb-3 mt-3"><input type="text" class="form-control body_values" name="body_values[]"><button class="btn btn-outline-secondary remove_body_values" type="button" id="button-addon2">Remove</button></div>');
        });

        //remove data value
        $(document).on('click', ".remove_body_values", function() {
            $(this).parent().remove();
        });

        $(document).on('click', ".campaign_submit", function() {
            $('.loder').show();
        });

        $(document).on('click', "#check_email", function() {
            $('.loder').show();
        });

        $(document).on('click', ".getUpdatedCount", function() {
            var temp_id = $(this).data('tempid');
            //console.log(base64data);
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({
                type: "GET",
                dataType: "json",
                url: "{{route('sendmessage-getupdatedcount')}}",
                data: {
                    'temp_id': temp_id
                },
                beforeSend: function() {
                    $('.rotate' + temp_id).addClass('rotate-class');
                },
                success: function(response) {
                    $('.updateCount' + temp_id).html(response);
                },
                complete: function(data) {
                    $('.rotate' + temp_id).removeClass('rotate-class');
                }
            });
        });

        //save campaign
        $(document).on('click', '.campaign_submit', function(e) {
            
            var form = $('#campaign-form')[0];
            var formData = new FormData(form);

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({

                type: 'POST',
                url: "{{route('sendmessage-campaignsave')}}",
                data: formData,
                contentType: false,
                processData: false,
                beforeSend: function() {
                    $('.loder').show();
                },
                success: function(response) {
                    //response = jQuery.parseJSON(response);
                    var type = response.type;
                    var message = response.message;


                    if ($.isEmptyObject(response.error)) {
                        location.reload();
                    } else {
                        $.each(response.error, function(key, value) {

                            $('.'+key).addClass('is-invalid');

                            //toastr.error(value);
                        });
                    }
                },
                complete: function(data) {
                    $('.loder').hide();
                },
            });
            e.preventDefault();
        });
    
    </script>
</body>

</html>