@extends('layouts.user')

@section('content')
<div class="container inner-pages-top">
    @include('elements.event_info')
    <div class="bg-white p-2 rounded">
        <div class="row g-3" id="main-section">
            <div class="col-lg-8">
                <form id="user_details" method="post" enctype="multipart/form-data">
                    @CSRF
                    <div class="p-3 p-lg-4 pb-0 pb-lg-0">
                        <div class="top-heading justify-content-between">
                            <div class=" left-heading">
                                <a href="{{route('ticketBookings', ['slug' => $slug])}}" class="btn-back me-3"><img src="{{asset('public/images/back_arrow.svg')}}" alt=""></a>
                                <h5 class="mb-0">Enter Details</h5>
                            </div>

                            <!-- <p class="mb-0">0/3</p> -->
                        </div>
                        <div class="scroll-ticket for-form">
                            <div class="form-attendees">
                                @php
                                $k = 1;
                                @endphp
                                @foreach($_SESSION[$slug] as $key => $value)
                                @for($i=1;$i<=$value['ticket_quantity'];$i++) <div class="form-attendeses-sections">
                                    <h3 class="set-collaps" data-bs-toggle="collapse" href="#collapseExample{{$k}}" role="button" aria-controls="collapseExample{{$k}}"><i class="fa fa-check-circle"></i>Attendee {{$k}} ({{$value['ticket_name']}})</h3>

                                    <div class="form-attendees-body accordion-collapse collapse @if($k == 1) show @endif" id="collapseExample{{$k}}">
                                        <input name="slug" type="hidden" value="{{$slug}}">
                                        <input name="attendee[{{$key.$i}}][ticket_id]" type="hidden" value="{{$value['id']}}">
                                        <div class="row form-row">
                                            @foreach($form_details as $form_key => $form_value)
                                            @if($form_value->field_type == 'text')
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <input name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" type="text" class="form-control {{$form_value->field_name.$key.$i}}" autocomplete="off" list="autocompleteOff">
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_type == 'textarea')
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <textarea name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" class="form-control {{$form_value->field_name.$key.$i}}" autocomplete="off" list="autocompleteOff"></textarea>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_type == 'email')
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <input name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" type="{{$form_value->field_type}}" class="form-control {{$form_value->field_name.$key.$i}}" autocomplete="off" list="autocompleteOff">
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_type == 'phone')
                                            <div class="col-md-6">
                                                <div class="mb-4">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <input type="hidden" name="attendee[{{$key.$i}}][country_code]" value="+91" id="countryCode{{$k}}">
                                                    <input type="tel" name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" class="form-control mobile {{$form_value->field_name.$key.$i}} tell_input{{$k}}" aria-describedby="mobileHelp" autocomplete="off" list="autocompleteOff">
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_type == 'select')
                                            @if($form_value->field_name == 'country')
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <select name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" type="select" class="form-select {{$form_value->field_name}} select2_options {{$form_value->field_name.$key.$i}}" data-fieldnum="{{$key.$i}}" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select ...</option>
                                                        @foreach($country as $country_key => $country_value)
                                                        <option value="{{$country_value->name}}" data-id="{{$country_value->id}}">{{$country_value->name}}</option>
                                                        @endforeach
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_name == 'state')
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <select name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" type="select" class="form-select {{$form_value->field_name}} select2_options {{$form_value->field_name.$key.$i}}" data-fieldnum="{{$key.$i}}" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select ...</option>
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_name == 'city')
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">City</label>
                                                    <select name="attendee[{{$key.$i}}][city]" type="select" class="form-select select2_options city{{$key.$i}}" data-fieldnum="{{$key.$i}}" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select city</option>
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @else
                                            <div class="col-md-6">
                                                <div class="mb-4 position-relative">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <select name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" type="select" class="form-select select2_options {{$form_value->field_name.$key.$i}}" data-fieldnum="{{$key.$i}}" autocomplete="off" list="autocompleteOff">
                                                        <option value="">Select ...</option>
                                                        @php
                                                        $option_values = explode(',', $form_value->value);
                                                        @endphp
                                                        @foreach($option_values as $options)
                                                        <option value="{{$options}}">{{$options}}</option>
                                                        @endforeach
                                                    </select>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @endif
                                            @elseif($form_value->field_type == 'radio')
                                            <div class="col-md-12">
                                                <div class="select-date d-flex flex-wrap mb-3 mb-md-5">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <div class="date-checks d-flex justify-content-right w-100">
                                                        @php
                                                        $radio_values = explode(',', $form_value->value);
                                                        @endphp
                                                        @foreach($radio_values as $radio_option_value)
                                                        <div class="check-b">
                                                            <input type="radio" class="form-control checkbox-custom {{$form_value->field_name.$key.$i}}" name="attendee[{{$key.$i}}][{{$form_value->field_name}}][]" value="{{$radio_option_value}}">
                                                            <label class="custom-check-lable">{{$radio_option_value}}</label>
                                                        </div>
                                                        @endforeach
                                                    </div>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_type == 'checkbox')
                                            @php
                                            $festival_dates_status = 0;
                                            $checkbox_values = explode(',', $form_value->value);
                                            if($form_value->field_name == 'festival_dates' && $value['day_qty'] == count($checkbox_values)) {
                                            $festival_dates_status = 1;
                                            }
                                            @endphp
                                            <div class="col-md-12" @if($festival_dates_status==1) style="display:none;" @endif>
                                                <div class="select-date d-flex flex-wrap mb-3 mb-md-5">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">{{$form_value->field_title}}</label>
                                                    <div class="date-checks d-flex justify-content-right w-100">
                                                        @foreach($checkbox_values as $checkbox_option_value)
                                                        <div class="check-b">
                                                            <input type="checkbox" class="form-control checkbox-custom {{$form_value->field_name.$key.$i}}" name="attendee[{{$key.$i}}][{{$form_value->field_name}}][]" value="{{$checkbox_option_value}}" @if($festival_dates_status==1) checked @endif>
                                                            <label class="custom-check-lable">{{$checkbox_option_value}} Feb</label>
                                                        </div>
                                                        @endforeach
                                                    </div>
                                                    <span class="error-message"></span>
                                                </div>
                                            </div>
                                            @elseif($form_value->field_type == 'image')
                                            <div class="col-md-12">
                                                <div class="mb-4">
                                                    <label class="form-label @if($form_value->required == 1) required @endif">Please Upload {{$form_value->field_title}}:</label>
                                                    <div id="uploadimage{{$key.$i}}">
                                                        <div class="uploadOuter image_profile{{$key.$i}} dragoverBox">
                                                            <span class="dragBox DragDropText">
                                                                Drag and drop file here

                                                                <input type="hidden" name="attendee[{{$key.$i}}][{{$form_value->field_name}}]" data-fieldnum="{{$form_value->field_name.$key.$i}}" class="form-control image_url{{$form_value->field_name.$key.$i}}" />
                                                                <input type="file" name="attendee[{{$key.$i}}][image]" data-fieldnum="{{$form_value->field_name.$key.$i}}" accept="image/x-png,image/gif,image/jpeg,image/jpg" style="opacity: 0;" class="form-control image_profile image{{$key.$i}}" />
                                                            </span>
                                                        </div>
                                                        <span>PNG, JPG <!-- : Upto 2 mb --></span>
                                                        <span class="error-message image-response-{{$form_value->field_name.$key.$i}}"></span>
                                                    </div>
                                                    <div id="preview{{$form_value->field_name.$key.$i}}" style="max-width:200px;">

                                                    </div>

                                                </div>
                                            </div>
                                            @endif
                                            @endforeach
                                        </div>
                                    </div>
                            </div>

                            @php $k++; @endphp
                            @endfor

                            @endforeach

                        </div>
                    </div>
            </div>

            <div class="bg-white botton-fix-form  text-end ">
                <button class="btn btn-primary submit-btn" data-type="Submit" data-slug="{{$slug}}" data-attendee="{{$i}}">
                    Continue <i class="bi bi-chevron-right"></i>
                </button>
                <button class="btn btn-primary edit-btn" style="display:none;">
                    Edit <i class="bi bi-chevron-right"></i>
                </button>
            </div>
            </form>

        </div>

        <!-- Web order summery -->
        <div class="col-lg-4" id="cartSection">
        </div>
    </div>
</div>
</div>

<!-- phone order summery -->
<div id="attendee-slideup" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="book-slideupLabel" aria-hidden="true" class="modal slideup-modal fade">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="mb-0 text-capitalize text-primary">Order Summary</h4>
                <button type="button" data-bs-dismiss="modal" aria-label="Close" class="btn-close"></button>
            </div>
            <div class="col-md-4" id="mobileCartSection">
            </div>

        </div>
    </div>
</div>
<div class="sticky-bottom">
    <div class="d-flex align-items-center justify-content-between p-2">
        <div class="am-wrap">
            <span class="am-label">Total Amount</span>
            <span class="s-b-price total-ammount">Cart</span><a href="javascript:void();" data-bs-target="#attendee-slideup" data-bs-toggle="modal" class="slide-up-info">i</a>
        </div>
        <div class="second-checkout w-100"></div>
    </div>
</div>

<!-- crop profile image model -->
<div class="modal fade" id="modal_profile" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalLabel">Profile Photo</h5>
                <button type="button" class="btn-close closephotomodel" data-bs-dismiss="modal" aria-label="Close"> </button>
            </div>
            <div class="modal-body">
                <div class="img-container">
                    <input type="hidden" name="image-attendee" id="imageattendee" value="" />
                    <div class="row">
                        <div class="col-md-12">
                            <img id="image_profile" src="https://avatars0.githubusercontent.com/u/3456749" style="max-height:250px;">
                        </div>
                    </div>
                    <div class="btn-group" style="width: 100%;">
                        <button id="ZoomInBtn" type="button" class="btn btn-primary" title="Zoom In">
                            <i class="fa fa-search-plus" aria-hidden="true"></i>
                        </button>
                        <button id="ZoomOutBtn" type="button" class="btn btn-primary" title="Zoom Out">
                            <span class="fa fa-search-minus"></span>
                        </button>
                        <button id="MoveLeft" type="button" class="btn btn-primary" title="Move Left">
                            <i class="fa fa-arrow-left"></i>
                        </button>
                        <button id="MoveRight" type="button" class="btn btn-primary" title="Move Right">
                            <i class="fa fa-arrow-right"></i>
                        </button>
                        <button id="MoveUp" type="button" class="btn btn-primary" title="Move Up">
                            <i class="fa fa-arrow-up"></i>
                        </button>
                        <button id="MoveDown" type="button" class="btn btn-primary" title="Move Down">
                            <i class="fa fa-arrow-down"></i>
                        </button>
                        <button id="RotateLeft" type="button" class="btn btn-primary" title="Rotate Left">
                            <i class="fa fa-undo"></i>
                        </button>
                        <button id="RotateRight" type="button" class="btn btn-primary" title="Rotate Right">
                            <i class="fa fa-repeat"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary closephotomodel" data-bs-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" id="crop_profile">Crop</button>
            </div>
        </div>
    </div>
</div>

<!-- to get total attendees number -->
@php
$total_attendees = array_sum(array_column($_SESSION[$slug], 'ticket_quantity'));
@endphp

@endsection
@section('script')
<script>
    $(document).ready(function() {
        $(document).ready(function() {
            $('.select2_options').select2();
        });

        loadCart("{{$slug}}");

        function loadCart(slug) {
            $.ajax({
                url: "{{route('loadCart')}}",
                type: "GET",
                data: {
                    "_token": "{{ csrf_token() }}",
                    slug: slug
                },
                cache: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(result) {
                    $("#cartSection").html(result);
                    $("#mobileCartSection").html(result);
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });
        }

        //manage user details
        $(document).on('click', '.submit-btn', function(e) {
            var slug = $(this).data('slug');
            var form = $('#user_details')[0];
            var formData = new FormData(form);

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $.ajax({

                type: 'POST',
                url: "{{route('manageUserDetails')}}",
                data: formData,
                contentType: false,
                processData: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(response) {
                    //response = jQuery.parseJSON(response);
                    var type = response.type;
                    var message = response.message;
                    var order_id = response.order_id;


                    if ($.isEmptyObject(response.error)) {

                    } else {
                        var fieldnum = response.validation_field_numb;

                        $('.form-control').removeClass('error');
                        $('.form-select').removeClass('error');
                        $('.uploadOuter').removeClass('error');

                        $.each(response.error, function(key, value) {

                            $('.' + key + fieldnum).addClass('error');

                            if (key == 'image_url') {
                                $('.image_profile' + fieldnum).addClass('error');
                            }

                            toastr.error(value);
                        });

                        $("html,body,.scroll-ticket").animate({
                            scrollTop: $(".error").offset().top - 250
                        }, "500");
                    }

                    if (type == "success") {
                        //window.location.href = "{{route('checkout', ['slug' => $slug])}}";
                        loadCart("{{$slug}}");
                        //remove all errors on fileds
                        $('.form-control').removeClass('error');
                        $('.form-select').removeClass('error');
                        $('.uploadOuter').removeClass('error');
                        //disable and enable buttons
                        $(".fa-check-circle").attr('style', 'color:green;');
                        $(".form-row").addClass('formDisable');
                        $(".checkout_btn").removeClass('disableBtn');
                        $(".submit-btn").hide();
                        $(".edit-btn").show();

                        const checkout_url = "{{route('payments')}}/"+order_id;
                        $('.second-checkout').html('<div class="checkout_btn w-100"><a href="'+checkout_url+'" class="btn btn-primary py-2 w-100 booknow-btn" id="click" type="button">Checkout</a></div>');
                    }
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                },
            });
            e.preventDefault();
        });

        $(document).on('click', '.edit-btn', function(e) {
            //disable and enable buttons
            $(".fa-check-circle").removeAttr('style', 'color:gray;');
            $(".form-row").removeClass('formDisable');
            $(".checkout_btn").addClass('disableBtn');
            $(".submit-btn").show();
            $(".edit-btn").hide();

            e.preventDefault();
        });

        //select country ajax
        $(document).on('change', '.country', function() {
            var country_id = $('option:selected', this).data('id');
            var fieldnum = $(this).data('fieldnum');

            $.ajax({
                url: "{{route('ajaxstate')}}",
                type: "POST",
                data: {
                    "_token": "{{ csrf_token() }}",
                    country_id: country_id
                },
                cache: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(result) {
                    $(".state" + fieldnum).html(result);
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });
        });

        //select state ajax
        $(document).on('change', '.state', function() {
            var state_id = $('option:selected', this).data('id');
            var fieldnum = $(this).data('fieldnum');

            $.ajax({
                url: "{{route('ajaxcity')}}",
                type: "POST",
                data: {
                    "_token": "{{ csrf_token() }}",
                    state_id: state_id
                },
                cache: false,
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(result) {
                    $(".city" + fieldnum).html(result);
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });
        });

        //apply coupon code
        $(document).on('click', '.btn-coupon-apply', function(e) {
            //var coupon_code = $('.coupon_input').val();
            let coupon_code = '';
            var x = document.querySelectorAll(".coupon_input");
            $(".coupon_input").each(function(){
                if($(this).val() != '') {
                    coupon_code = $(this).val();
                }
            });

            if (coupon_code != '') {
                $.ajax({
                    type: 'POST',
                    url: "{{route('addCouponCode')}}",
                    data: {
                        "_token": "{{ csrf_token() }}",
                        coupon_code: coupon_code,
                        slug: "{{$slug}}"
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        response = jQuery.parseJSON(response);
                        var type = response.type;
                        var message = response.message;
                        var order_id = response.order_id;

                        if (type == 'Success') {
                            //location.reload();
                            loadCart("{{$slug}}");
                        } else {
                            toastr.error(message);
                        }
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            } else {
                toastr.error('Please enter a valid coupon code.');
            }
            e.preventDefault();
        });

        $(document).on('click', '.removeCouponCode', function(e) {
            var coupon_code = $('.coupon_input').val();

            if (coupon_code != '') {
                $.ajax({
                    type: 'GET',
                    url: "{{route('removeCouponCode')}}",
                    data: {
                        "_token": "{{ csrf_token() }}"
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        loadCart("{{$slug}}");
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            } else {
                toastr.error('Please enter a valid coupon code.');
            }
            e.preventDefault();
        });

    });

    //add country code in phone number
    var quantity = "10";
    var k = 'input';
    for (let i = 1; i <= quantity; i++) {
        eval('var ' + k + i + '= document.querySelector(".tell_input"+[i]);');
    }
</script>
<script src="{{asset('public/js/telInputs.js')}}"> </script>

<script type="text/javascript">
    var $modal_profile = $('#modal_profile');
    var image_profile = document.getElementById('image_profile');
    var cropper_profile;

    $("body").on("change", ".image_profile", function(e) {
        // alert('Image Profile');
        var fieldnum = $(this).data('fieldnum');
        $('#imageattendee').val(fieldnum);

        var files = e.target.files;

        var done = function(url) {
            image_profile.src = url;
            $modal_profile.modal('show');
        };

        var reader;
        var file;
        var url;

        if (files && files.length > 0) {
            file = files[0];

            if (URL) {
                done(URL.createObjectURL(file));
            } else if (FileReader) {
                reader = new FileReader();
                reader.onload = function(e) {
                    done(reader.result);
                };
                reader.readAsDataURL(file);
            }

        }
        $(".image_profile").val('');
    });

    $('#ZoomInBtn').click(function(e) {
        cropper_profile.zoom(0.1);
    });
    $('#ZoomOutBtn').click(function(e) {
        cropper_profile.zoom(-0.1);
    });
    $('#MoveLeft').click(function(e) {
        cropper_profile.move(-10, 0);
    });
    $('#MoveRight').click(function(e) {
        cropper_profile.move(10, 0);
    });
    $('#MoveUp').click(function(e) {
        cropper_profile.move(0, -10);
    });
    $('#MoveDown').click(function(e) {
        cropper_profile.move(0, 10);
    });
    $('#RotateLeft').click(function(e) {
        cropper_profile.rotate(-45);
    });
    $('#RotateRight').click(function(e) {
        cropper_profile.rotate(45);
    });

    $modal_profile.on('shown.bs.modal', function() {
        cropper_profile = new Cropper(image_profile, {
            aspectRatio: 1,
            // viewMode: 1,
            preview: '.preview_profile',
            cropBoxResizable: false,
            autoCropArea: 0.7,
            viewMode: 1,
            center: true,
            dragMode: 'move',
            movable: true,
            scalable: true,
            guides: true,
            zoomOnWheel: true,
            cropBoxMovable: true,
            wheelZoomRatio: 0.1,
            ready: function() {
                //Should set crop box data first here
                //cropper.setCropBoxData(cropBoxData).setCanvasData(canvasData);
            }
        });
    }).on('hidden.bs.modal', function() {
        cropper_profile.destroy();
        $("#image_profile_button").val('');
        cropper_profile = null;
    });

    $("#crop_profile").click(function() {
        // alert('crop_profile');

        canvas = cropper_profile.getCroppedCanvas({
            width: 500,
            height: 500,
        });

        canvas.toBlob(function(blob) {
            url = URL.createObjectURL(blob);
            var reader = new FileReader();
            reader.readAsDataURL(blob);

            reader.onloadend = function() {
                var base64data = reader.result;
                //console.log(base64data);
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });
                $.ajax({
                    type: "POST",
                    dataType: "json",
                    url: "{{route('uploadImages', ['slug' => $slug])}}",
                    data: {
                        'image': base64data
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        $modal_profile.modal('hide');
                        var attendee = $('#imageattendee').val();
                        var type = response.type;
                        var message = response.message;
                        var path = response.path;
                        if (type == 'Success') {
                            //$('#uploadFile'+attendee).val(path);
                            $('.image-response' + attendee).html("&#10004; " + message).css('color', 'green');

                            $('.image_url' + attendee).attr("value", path);
                            $('#preview' + attendee).html("<img src=" + path + ">");
                            $('.submitbtn' + attendee).removeAttr("disabled");
                        } else if (type == 'Error') {
                            $('#preview' + attendee).html('');
                            $('.image-response' + attendee).html("&#x2717; " + message).css('color', 'red');
                            $('.submitbtn' + attendee).attr("disabled", 'true');
                        }
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            }
        });
    });

    $(".closephotomodel").click(function() {
        var attendee = $('#imageattendee').val();
        $('#uploadFile' + attendee).val('');
        $('#image_url' + attendee).val('');
    });
</script>
@endsection