@extends('layouts.user')

@section('content')
<div class="container">
    @include('elements.event_info')
    <div class="bg-white p-2 rounded">
        <div class="p-md-4">
            <div class="d-flex justify-content-between">
                <div class="top-heading">
                <a href="{{route('bookedTickets', ['slug' => $slug])}}" class="btn-back me-3"><img src="{{asset('public/images/back_arrow.svg')}}" alt=""></a>
                    <h5 class="mb-0">Payment</h5>
                </div>
                <div class="coupon_apply_wrapper">
                    <!-- @if(isset($_SESSION['coupon_applied']) && !empty($_SESSION['coupon_applied']))
                    <div class="coupon_applied">
                        <p class="cpn_head"><img src="{{asset('public/images/green_tick.svg')}}"> Coupon Applied</p>
                        <p class="code_applied">{{$_SESSION['coupon_applied']['coupon_code']}} <a href="javascript:void(0);" class="btn-coupon-remove"><span class="close_coupon" onclick="couponClose()"><img src="{{asset('public/images/red_cross.svg')}}"></span></a></p>
                    </div>
                    @else
                    <form class="coupon_form d-flex align-items-center">
                        <input type="text" name="coupon_code" class="form-control coupon_input" placeholder="Enter coupon code">
                        <button type="button" class="btn btn-coupon-apply">Apply</button>
                    </form>
                    @endif -->
                </div>
            </div>
            <div class="bg-light rounded p-2 my-5 px-md-4">
                <table class="table custom-table checkout-need-doctor">
                    <tbody>
                        @php $ammount = []; @endphp
                        @if(isset($_SESSION[$slug]))
                            @foreach($_SESSION[$slug] as $key => $value)
                                @php
                                    $ticket_data = \App\Models\Ticket::getTicketRecord($value['id']);
                                @endphp
                                <tr>
                                    <th>{{$ticket_data->name}} x {{$value['ticket_quantity']}}</th>
                                    <th>{{$master_setting['settings']->Currency.' '.$ticket_data->price}}</th>
                                    <th>
                                        @if(isset($_SESSION['coupon_applied']) && !empty($_SESSION['coupon_applied']))
                                            @if(isset($_SESSION['coupon_applied'][$value['id']]) && !empty($_SESSION['coupon_applied'][$value['id']]))
                                                {{$master_setting['settings']->Currency.number_format($_SESSION['coupon_applied'][$value['id']]['discount_price'],2)}}
                                                <span class="base-price">{{$master_setting['settings']->Currency.number_format($value['ticket_price'],2)}}</span>
                                            @else
                                                {{$master_setting['settings']->Currency.' '.number_format($value['ticket_price'],2)}}
                                            @endif
                                        @else
                                            {{$master_setting['settings']->Currency.' '.number_format($value['ticket_price'], 2)}}
                                        @endif
                                    </th>
                                </tr>
                                <tr>
                                    <th>GST</th>
                                    <th>{{$master_setting['settings']->Currency.' '.number_format($ticket_data->GST, 2)}}</th>
                                    <th>{{$master_setting['settings']->Currency.' '.number_format($ticket_data->GST*$value['ticket_quantity'], 2)}}</th>
                                </tr>
                                <tr>
                                    <th>Gateway Fee</th>
                                    <th>{{$master_setting['settings']->Currency.' '.number_format($ticket_data->gateway_fee, 2)}}</th>
                                    <th>{{$master_setting['settings']->Currency.' '.number_format($ticket_data->gateway_fee*$value['ticket_quantity'], 2)}}</th>
                                </tr>
                                @php 
                                    array_push($ammount, $value['ticket_price']); 
                                    array_push($ammount, $ticket_data->GST*$value['ticket_quantity']); 
                                    array_push($ammount, $ticket_data->gateway_fee*$value['ticket_quantity']); 
                                @endphp
                            @endforeach
                        @endif
                        @php $order_total = array_sum($ammount); @endphp
                        <tr class="set-table-checkout">
                            <th >
                                <span class="sub-total">Sub Total</span><br>
                                Discount :
                            </th>
                            <th></th>
                            <th class="text-nowrap">
                                @if(isset($_SESSION['coupon_applied']) && !empty($_SESSION['coupon_applied']))
                                    <span class="sub-total-price">{{$master_setting['settings']->Currency.' '.number_format($order_total,2)}} </span><br>
                                    <span class="discount-price">- {{$master_setting['settings']->Currency.' '.number_format($_SESSION['coupon_applied']['total_discount'],2)}}</span>
                                @else
                                    <span class="sub-total-price">{{$master_setting['settings']->Currency.' '.number_format($order_total,2)}}</span> <br>
                                    <span class="discount-price">- 0</span>
                                @endif

                            </th>
                        </tr>
                    </tbody>
                </table>
                <table class="table custom-table grand-total">
                    <tbody>
                        
                        <tr class="text-primary">
                            <th>Grand Total</th>
                            <th class="">
                                @php
                                    if(isset($_SESSION['coupon_applied']) && !empty($_SESSION['coupon_applied'])) {
                                        $grand_total = $order_total-$_SESSION['coupon_applied']['total_discount'];
                                    } else {
                                        $grand_total = $order_total;
                                    }
                                @endphp
                                {{$master_setting['settings']->Currency.' '.number_format($grand_total,2)}}
                            </th>
                        </tr>
                    </tbody>
                </table>
            </div>

            <div class="text-end">
                <button class="btn btn-outline-danger px-3 me-2" id="cancel-order">Cancel</button>
                <a href="{{route('payments', ['order_id' => $_SESSION['order_id']])}}" class="btn btn-primary px-3">Pay Securely <i class="bi bi-chevron-right ms-2 ms-2"></i></a>
            </div>
        </div>
    </div>
</div>


<!-- sweet alert toster template -->
<template id="my-template">
  <swal-title>
  Are you sure?<br> You won't be able to revert this!
  </swal-title>
  <swal-icon type="warning"></swal-icon>
  <swal-button type="confirm" onClick="redirect_main()">
    Yes
  </swal-button>
  <swal-button type="cancel">
    Cancel
  </swal-button>
  <swal-param name="allowEscapeKey" value="false" />
  <swal-param
    name="customClass"
    value='{ "popup": "my-popup" }' />
</template>
<!-- sweet alert toster template -->
@endsection
@section('script')
<script>
    $(document).ready(function () {
        $(document).on('click','#cancel-order', function () {
            Swal.fire({
                toast: true,
                title: 'Are you sure?',
                text: "You won't be able to revert this!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes'
            }).then((result) => {
                if (result.isConfirmed) {
                    window.location.href="{{route('main')}}";
                }
            });
        });

        //apply coupon code
        $(document).on('click','.btn-coupon-apply', function (e) {
            var coupon_code = $('.coupon_input').val();
            
            if(coupon_code != '') {
                $.ajax({
                    type:'POST',
                    url: "{{route('addCouponCode')}}",
                    data: {"_token": "{{ csrf_token() }}",coupon_code:coupon_code,slug:"{{$slug}}"},

                    success:function(response)
                    {
                        response = jQuery.parseJSON(response);
                        var type = response.type;
                        var message = response.message;
                        
                        if(type == 'Success') {
                            location.reload();
                        } else {
                            toastr.error(message);
                        }
                    },
                });
            } else {
                toastr.error('Please enter a valid coupon code.');
            }
            e.preventDefault();
        });

        //remove coupon code
        $(document).on('click','.btn-coupon-remove', function (e) {
            $.ajax({
                type:'GET',
                url: "{{route('removeCouponCode')}}",
                data: {},

                success:function(response)
                {
                    response = jQuery.parseJSON(response);
                    var type = response.type;
                    var message = response.message;
                    
                    if(type == 'Success') {
                        location.reload();
                    } else {
                        toastr.error(message);
                    }
                },
            });
            e.preventDefault();
        });
    });
</script>
@endsection
