@extends('layouts.user')

@section('content')
<div class="container">
    <div class="top-banner"><img src="{{ $master_setting['settings']->banner_img }}" alt=""></div>
    @include('elements.event_info')
    <div class="row g-3 g-lg-5">
        <div class="col-lg-8">
            <div class="bg-white rounded p-3">
                <ul class="nav nav-tabs">
                    @foreach($EventTab as $key=> $val)
                    <li>
                        <button data-bs-toggle="tab" data-bs-target="#tab{{$val->id}}" type="button" class="nav-link <?php if ($key == 0) echo 'active' ?> tabcls">{{$val->tab_name}}</button>
                    </li>
                    @endforeach
                </ul>
                <div class="tab-content pt-4">
                    @foreach($EventTab as $key=> $val)
                    <div id="tab{{$val->id}}" class="tab-pane fade show <?php if ($key == 0) echo 'active' ?>">
                        <?php echo html_entity_decode($val->description); ?>
                    </div>
                    @endforeach
                </div>
            </div>
        </div>
        <div class="col-lg-4">
            @foreach($ticket_types as $key => $value)
            @if($value->display_status != 0)
            <div class="book-now book-slide-pop p-lg-4 mb-4">
                <h5 class="d-flex mb-md-4">
                    <span class="flex-grow-1 me-2 d-md-block">{{$value->category}}</span>
                    <span class="text-nowrap"></span>
                </h5>

                @if($value->sold_out == 0)
                <a href="{{ route('ticketBookings') }}/{{$value->slug}}" class="btn btn-primary py-2 w-100">Register Now <img src="{{asset('public/images/btn_arrow.svg')}}" alt=""></a>
                @else
                <a href="javascript:void(0);" class="btn btn-danger py-2 w-100">Sold Out</a>
                @endif
            </div>
            @endif
            @endforeach
            <div class="d-none d-md-block bg-white rounded p-3 p-lg-4">
                <h5 class="mb-4">Details</h5>
                <div class="d-flex align-items-start mb-3">
                    <span class="me-3"><img class="r-icons" src="{{asset('public/images/date_icon.svg')}}" alt=""></span>
                    <b class="flex-grow-1"><span class="text-muted d-block lh-1">DATE</span>
                        <?php echo html_entity_decode($master_setting['settings']->event_date) ?> </b>
                </div>
                <div class="d-flex align-items-start mb-3">
                    <span class="me-3"><img class="r-icons" src="{{asset('public/images/time_icon.svg')}}" alt=""></span>
                    <b class="flex-grow-1">
                        <span class="text-muted d-block lh-1">TIME</span>
                        <?php echo html_entity_decode($master_setting['settings']->event_time) ?>
                    </b>
                </div>
                <div class="d-flex align-items-start mb-3">
                    <span class="me-3"><img class="r-icons" src="{{asset('public/images/location.svg')}}" alt=""></span>
                    <b class="flex-grow-1">
                        <span class="text-muted d-block lh-1">LOCATION</span>
                        <?php echo html_entity_decode($master_setting['settings']->event_address) ?>
                    </b>
                </div>
            </div>
            <div class="bg-white rounded p-3 p-lg-4 mt-4">
                <div class="d-flex align-items-center mb-3">
                    <div class="w-75 pe-4">
                        <h5 class="mb-0">Have a question?</h5>
                        <!-- <p>Send your queries to the event organizer</p> -->
                    </div>
                    <!-- <div class="w-25 ">
                               <img src="{{$master_setting['settings']->logo}}">
                            </div> -->
                </div>
                <a href="javascript:;" class="btn btn-outline py-2 w-100" data-bs-toggle="modal" data-bs-target="#contact-organizer">Contact us</a>
            </div>
        </div>
    </div>
    <div id="contact-organizer" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="contact-organizerLabel" aria-hidden="true" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <form id="activeForm" method="post" enctype="multipart/form-data">
                    <button type="button" data-bs-dismiss="modal" aria-label="Close" class="btn-close"></button>
                    <div class="modal-header">
                        <h5 class="mb-0 text-uppercase">STILL HAVE QUESTIONS?</h5>
                    </div>
                    <div class="modal-body p-lg-4">
                        <div class="mb-3">
                            <label class="form-label required">Full Name</label>
                            <input id="name" name="name" type="text" placeholder="" class="form-control required">
                            <span class="error-message"></span>
                        </div>
                        <div class="mb-3">
                            <label class="form-label required">Email</label>
                            <input id="email" name="email" type="email" placeholder="" class="form-control required">
                            <span class="error-message"></span>
                        </div>
                        <div class="mb-3">
                            <label class="form-label required">Contact Number</label>
                            <input type="hidden" name="country_code" value="+91" id="country_code">
                            <input id="contact_number" name="contact_number" type="mobile" placeholder="" class="form-control required">
                            <span class="error-message"></span>
                        </div>
                        <div class="mb-3">
                            <label class="form-label me-3">Enquiry about</label>
                            <div class="form-check form-check-inline">
                                <input type="radio" name="enquiry_about" id="enquiry_about1" value="Event" class="form-check-input">
                                <label for="enquiry_about1" class="form-check-label">Event</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input type="radio" name="enquiry_about" id="enquiry_about2" value="Booking" class="form-check-input">
                                <label for="enquiry_about2" class="form-check-label">My Booking</label>
                            </div>
                            <span class="error-message"></span>
                        </div>
                        <div class="mb-3">
                            <label class="form-label required  me-3">Your Query</label>
                            <textarea id="message" name="message" placeholder="" class="form-control required"></textarea>
                            <span class="error-message"></span>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <div class="share-url"><button type="submit" class="btn btn-fill text-nowrap" id="contact-form-submit">Send Message</button></div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<div id="book-slideup" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="book-slideupLabel" aria-hidden="true" class="modal slideup-modal fade">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <button type="button" data-bs-dismiss="modal" aria-label="Close" class="btn-close"></button>
            </br>
            @foreach($ticket_types as $key => $value)
            @if($value->display_status != 0)
            <div class="modal-header">
                <h5 class="d-flex mb-md-4 text-center w-100">
                    <span class="flex-grow-1 me-2 d-md-block">{{$value->category}}</span>
                </h5>
                <div class="book-now p-lg-4">

                    @if($value->sold_out == 0)
                    <a href="{{ route('ticketBookings') }}/{{$value->slug}}" class="btn btn-primary py-2 w-100">Register Now <img src="{{asset('public/images/btn_arrow.svg')}}" alt=""></a>
                    @else
                    <a href="javascript:void(0);" class="btn btn-danger py-2 w-100">Sold Out</a>
                    @endif
                </div>
            </div>
            @endif
            @endforeach
        </div>
    </div>
</div>

<!-- ----------------------- -->



</div>
<div class="sticky-bottom">
    <div class="d-flex align-items-center justify-content-between p-2">
        <span class="s-b-price">Tickets</span>
        <button type="button" data-bs-target="#book-slideup" data-bs-toggle="modal" class="btn btn-white py-2">Register Now
            <img src="{{asset('public/images/btn_arrow_blue.svg')}}" alt=""></button>
    </div>
</div>



@endsection
@section('script')
<script>
    var input = document.querySelector("#contact_number");
    window.intlTelInput(input, ({
        autoHideDialCode: false,
        autoPlaceholder: "off",
        nationalMode: true,
        separateDialCode: true,
        initialCountry: 'in',
        preferredCountries: ["in"]
    }));
    var iti = window.intlTelInputGlobals.getInstance(input);
    input.addEventListener("countrychange", function() {
        var a = iti.getSelectedCountryData();
        $('#country_code').val('+' + a.dialCode);

    });
</script>
<script>
    //manage user details
    $(document).on('click', '#contact-form-submit', function(e) {
        var form = $('#activeForm')[0];
        var formData = new FormData(form);

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "{{route('contact-organizar-save')}}",
            data: formData,
            contentType: false,
            processData: false,
            success: function(response) {
                var type = response.type;
                var message = response.message;

                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        title: message,
                        showCancelButton: true,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        /* Read more about isConfirmed, isDenied below */
                        if (result.isConfirmed) {
                            location.reload('');
                        }
                    })
                } else {
                    console.log(response.error);
                    $.each(response.error, function(key, value) {
                        toastr.error(value);
                    });
                }
            },

        });
        e.preventDefault();
    });
</script>

@endsection