@extends('layouts.user')

@section('content')
<style>
    @media(max-width:767px) {
        .inner-pages-top {
            padding-top: 110px;
        }
    }
</style>
<div class="container inner-pages-top">
    @include('elements.event_info')
    <div class="bg-white p-2 rounded">
        <div class="row g-md-3">
            <div class="col-lg-8">
                <div class="p-3 p-lg-4">
                    <div class="top-heading">
                        <a href="{{$master_setting['settings']->home_url}}" class="btn-back me-3"><img src="{{asset('public/images/back_arrow.svg')}}" alt=""></a>{{$tickets[0]->category}}
                    </div>
                    @php $i=1; @endphp
                    <div class="scroll-ticket">
                        @foreach($tickets as $key => $value)
                        @if($value->display_status != 0)
                        <div class="d-md-flex align-items-center border-bottom pb-4 mb-4 ticket-types">
                            <div class="flex-grow-1">
                                <h5 class="mb-0 text-capitalize">{{$value->name}}</h5>
                                <p class="mb-1 text-muted"><?php echo html_entity_decode($value->description) ?></p>
                                <h5 class="mb-0 text-primary d-none d-md-block">{{$value->price == '' ? 'Free' : $master_setting['settings']->Currency.number_format($value->price, 2); }}</h5>
                                <!-- <p class="mb-1 text-primary" style="font-size:12px;">**Excludes Taxes as applicable</p> -->
                            </div>
                            <div class="ps-md-3 d-flex align-items-end mobile-set-price">
                                <h5 class="d-block d-md-none mb-0 text-primary">{{$value->price == '' ? 'Free' : $master_setting['settings']->Currency.number_format($value->price, 2); }}</h5>
                                <div class="text-center me-3">
                                    <label class="text-muted d-none d-md-block">Select Qty</label>
                                    <!-- to manage registrations for only one package when registration type is single -->
                                    @php
                                    $add_cart_disable_status = false;
                                    if($master_setting['settings']->registration_type == 'Single' && isset($_SESSION[$slug])) {
                                    if(empty($_SESSION[$slug])) {
                                    $add_cart_disable_status = false;
                                    } else {
                                    $add_cart_disable_status = true;
                                    }
                                    }
                                    @endphp
                                    <select class="form-select qty-box quantity{{$value->id}} add-cart" data-ticketid="{{$value->id}}" data-slug="{{$value->slug}}" data-package="{{$i}}" @if(!isset($_SESSION[$slug][$value->id]) && $add_cart_disable_status == true) disabled @endif>
                                        <option value="0">Select...</option>
                                        @for($x=$value->min_qty;$x<=$value->max_qty;$x++)
                                            <option value="{{$x}}" @if(isset($_SESSION[$slug][$value->id]) && $_SESSION[$slug][$value->id]['ticket_quantity'] == $x) selected @endif>{{$x}}</option>
                                            @endfor
                                    </select>
                                    <p class="mb-0">Total : <span class="qty_ticket_price{{$value->id}}">{{$master_setting['settings']->Currency}}{{isset($_SESSION[$slug][$value->id]['ticket_price']) ? number_format($_SESSION[$slug][$value->id]['ticket_price'],2) : 0}}</span></p>
                                </div>
                            </div>
                        </div>
                        @endif
                        @php $i++; @endphp
                        @endforeach
                      
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="order-summary book-slide-pop">
                    <!-- <h6 class="mt-md-3 mb-0 text-center">No Items Added</h6> -->
                    <h4 class="mb-4 text-capitalize text-primary">Order Summary</h4>
                    <div class="flex-grow-1 overflow-auto">
                        <div class="ticket-cart">
                            @php $ammount = []; @endphp
                            @if(isset($_SESSION[$slug]))
                            @foreach($_SESSION[$slug] as $key => $value)
                            <div class="order-item cart-item{{$key}}">
                                {{$value['ticket_name']}} x {{$value['ticket_quantity']}}
                                <span class="ms-auto text-nowrap">
                                    @if($value['ticket_price'] == 0) {{'Free'}} @else {{$master_setting['settings']->Currency.number_format($value['ticket_price'],2)}} @endif
                                </span>
                                <a class="ms-1 remove-item" href="javascript:void(0);" data-ticketid="{{$key}}" data-slug="{{$slug}}"><img src="{{asset('public/images/delete.svg')}}" alt=""></a>
                            </div>
                            @php
                            array_push($ammount, $value['ticket_price']);
                            @endphp
                            @endforeach
                            @endif
                        </div>
                        @php $total = array_sum($ammount) @endphp
                        <h5 class="d-md-flex align-items-center">Total <span class="ms-auto text-nowrap total-ammount">{{$master_setting['settings']->Currency.number_format($total,2)}}</span></h5>
                    </div>
                    <div class="bottom-ticket-count">
                        <p class="text-center mb-2 total_tickets_count">Total : {{isset($_SESSION[$slug]) ? array_sum(array_column($_SESSION[$slug], 'ticket_quantity')) : 0}} Tickets</p>
                        <a href="{{route('addAttendees', ['slug' => $slug])}}" class="btn btn-primary py-2 w-100 booknow-btn @if(!isset($_SESSION[$slug]) || empty($_SESSION[$slug])) disabled @endif">Register Now <img src="{{asset('public/images/btn_arrow.svg')}}" alt=""></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="sticky-bottom">
    <div class="d-flex align-items-center justify-content-between p-2">

        <div class="am-wrap">
            <span class="am-label">Total Amount</span>
            <span>
                <span class="s-b-price total-ammount">{{$master_setting['settings']->Currency.number_format($total,2)}}</span><a href="javascript:void();" data-bs-target="#order-slideup" data-bs-toggle="modal" class="slide-up-info">i</a>
            </span>

        </div>
        <a href="{{route('addAttendees', ['slug' => $slug])}}" class="btn btn-white py-2 booknow-btn @if(!isset($_SESSION[$slug]) || empty($_SESSION[$slug])) disabled @endif">Register Now <img src="{{asset('public/images/btn_arrow_blue.svg')}}" alt=""></a>
    </div>
</div>

<div id="order-slideup" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="book-slideupLabel" aria-hidden="true" class="modal slideup-modal fade">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="mb-0 text-capitalize text-center w-100">Order Summary</h4>
                <button type="button" data-bs-dismiss="modal" aria-label="Close" class="btn-close"></button>
            </div>
            <div class="modal-body p-lg-4">
                <div class="order-summary">
                    <!-- <h6 class="mt-md-3 mb-0 text-center">No Items Added</h6> -->
                    <h4 class="mb-4 text-capitalize">Order Summary</h4>
                    <div class="flex-grow-1 overflow-auto">
                        <div class="ticket-cart">
                            @php $ammount = []; @endphp
                            @if(isset($_SESSION[$slug]))
                            @foreach($_SESSION[$slug] as $key => $value)
                            <div class="order-item cart-item{{$key}}">
                                {{$value['ticket_name']}} x {{$value['ticket_quantity']}}
                                <span class="ms-auto text-nowrap">
                                    @if($value['ticket_price'] == 0) {{'Free'}} @else {{$master_setting['settings']->Currency.number_format($value['ticket_price'],2)}} @endif
                                </span>
                                <a class="ms-1 remove-item" href="javascript:void(0);" data-ticketid="{{$key}}" data-slug="{{$slug}}"><img src="{{asset('public/images/delete.svg')}}" alt=""></a>
                            </div>
                            @php
                            array_push($ammount, $value['ticket_price']);
                            @endphp
                            @endforeach
                            @endif
                        </div>
                        @php $total = array_sum($ammount) @endphp
                        <h5 class="d-flex align-items-center">Order Total: <span class="ms-auto text-nowrap total-ammount">{{$master_setting['settings']->Currency.number_format($total,2)}}</span></h5>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
<style>
    a.disabled {
        pointer-events: none;
    }
</style>
@endsection
@section('script')
<script>
    $(document).ready(function() {
        $('#selectall').click(function() {
            $('.selectedId').prop('checked', this.checked);
        });

        var reg_type = "{{$master_setting['settings']->registration_type}}";
        if (reg_type == 'Single') {
            $('.add-cart').change(function() {
                $('.add-cart').attr('disabled', true);
                $(this).attr('disabled', false);
            });
        }

        $('.add-cart').change(function() {

            var ticket_id = $(this).data('ticketid');
            var ticket_slug = $(this).data('slug');
            var ticket_quantity = $('.quantity' + ticket_id).val();

            $.ajax({
                type: 'POST',
                url: "{{route('addToCart')}}",
                data: {
                    "_token": "{{ csrf_token() }}",
                    ticket_id: ticket_id,
                    ticket_slug: ticket_slug,
                    ticket_quantity: ticket_quantity
                },
                beforeSend: function() {
                    $('.lds-hourglass').show();
                },
                success: function(response) {
                    response = jQuery.parseJSON(response);
                    var type = response.type;
                    var data = response.data;

                    if (type == 'Success') {
                        $('.ticket-cart').html('');
                        const ammount = [];
                        const ticket_qty = [];
                        const Currency = "{{$master_setting['settings']->Currency}}";
                        if (data.length !== 0) {
                            $.each(data, function(key, value) {
                                //console.log(value);
                                var price = '';
                                if (value.ticket_price == 0) {
                                    price = 'Free';
                                } else {
                                    var total = value.ticket_price;
                                    price = Currency + parseFloat(total).toFixed(2);
                                    ammount.push(total);
                                }
                                ticket_qty.push(parseInt(value.ticket_quantity));

                                $('.ticket-cart').append('<div class="order-item cart-item' + key + '">' + value.ticket_name + ' x ' + value.ticket_quantity + '<span class="ms-auto text-nowrap">' + price + '</span><a class="ms-1 remove-item" href="javascript:void(0);" data-ticketid="' + key + '" data-slug="{{$slug}}"><img src="{{asset("public/images/delete.svg")}}" alt=""></a></div>');
                                $('.qty_ticket_price' + value.id).html(price);
                            });
                        } else {
                            $('.qty_ticket_price' + ticket_id).html('₹0');
                            //alert(ticket_id);
                        }

                        let sum = 0;
                        let count = 0;

                        for (let i = 0; i < ammount.length; i++) {
                            sum += ammount[i];
                        }
                        for (let a = 0; a < ticket_qty.length; a++) {
                            count += ticket_qty[a];
                        }

                        $('.total-ammount').html(Currency + parseFloat(sum).toFixed(2));
                        $('.total_tickets_count').html('Total : ' + count + ' Tickets ');
                        var data_length = data.length;

                        if (data_length == 0) {
                            $('.booknow-btn').addClass('disabled');
                        } else {
                            $('.booknow-btn').removeClass('disabled');
                        }
                    } else {
                        $('.response_status').css('color', 'red').html(message).show();
                    }
                },
                complete: function(data) {
                    $('.lds-hourglass').hide();
                }
            });

        });

        //remove attendees
        $(document).on('click', '.remove-item', function(e) {
            var ticket_id = $(this).data('ticketid');
            var slug = $(this).data('slug');

            if (ticket_id != '') {
                $.ajax({
                    type: 'POST',
                    url: "{{route('removeToCart')}}",
                    data: {
                        "_token": "{{ csrf_token() }}",
                        slug: slug,
                        ticket_id: ticket_id
                    },
                    beforeSend: function() {
                        $('.lds-hourglass').show();
                    },
                    success: function(response) {
                        response = jQuery.parseJSON(response);
                        var type = response.type;
                        var message = response.message;

                        if (type == 'Success') {
                            location.reload();
                        }
                    },
                    complete: function(data) {
                        $('.lds-hourglass').hide();
                    }
                });
            }
            e.preventDefault();
        });
    });
</script>
@endsection