<?php
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\UserTypesController;
use App\Http\Controllers\Admin\RegisteruserController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\InterfacesController;
use App\Http\Controllers\Admin\EventController;
use App\Http\Controllers\Admin\TicketsController;
use App\Http\Controllers\Admin\CouponsController;
use App\Http\Controllers\Admin\VolunteersController;
use App\Http\Controllers\Admin\FormSettingsController;
use App\Http\Controllers\Admin\SalesReportingController;
use App\Http\Controllers\Admin\WhatsAppLogsController;
use App\Http\Controllers\Admin\AttendeesController;
use App\Http\Controllers\Admin\RsvpController;
use App\Http\Controllers\Admin\SearchController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\VolunteerRegistrations;
use App\Http\Controllers\AjaxController;
use App\Http\Controllers\EmailController;
use App\Http\Controllers\PaymentController;
use App\Http\Controllers\InviteesController;
use App\Http\Controllers\AppApisController;
use App\Http\Controllers\ContactOrganizarController;
use App\Http\Controllers\HotelBookingController;
use App\Http\Controllers\HotelDelegateBookingController;
use App\Http\Controllers\WhatsAppAutomationController;
use App\Http\Controllers\Admin\Email\TemplateController;
use App\Http\Controllers\Admin\Email\SmtpController;
use App\Http\Controllers\Admin\FormBuilderController;
use App\Http\Controllers\Admin\OngroundDashboardController;
use App\Http\Controllers\Admin\PermissionsController;

/*
    |--------------------------------------------------------------------------
    | Web Routes
    |--------------------------------------------------------------------------
    |
    | Here is where you can register web routes for your application. These
    | routes are loaded by the RouteServiceProvider within a group which
    | contains the "web" middleware group. Now create something great!
    |
*/

Route::get('/clear_cache', function() {
    Artisan::call('route:clear');
    Artisan::call('view:clear');
    Artisan::call('cache:clear');
    Artisan::call('config:cache');
    dd('All Cache Cleared');
});

Route::get('/clear_session', function() {
    session_start();
    session_destroy();
    dd('All Session Destroyed');
});

//terms and conditions
Route::get('/termsandconditions', function () {
    return view('termsandconditions');
})->name('termsandconditions');

//terms and conditions
Route::get('/privacypolicy', function () {
    return view('privacypolicy');
})->name('privacypolicy');

Route::get('/addtocalendarDelhi', function () {
    return view('addtocalendarDelhi');
})->name('addtocalendarDelhi');

Route::get('/addtocalendarMumbai', function () {
    return view('addtocalendarMumbai');
})->name('addtocalendarMumbai');


//Registration process routes
//Route::get('/', [UserController::class, 'index'])->name('main');
Route::get('/rafale1', [UserController::class, 'rafale1'])->name('rafale1');
Route::get('/winner1', [UserController::class, 'winner1'])->name('winner1');
Route::get('/rafale2', [UserController::class, 'rafale2'])->name('rafale2');
Route::get('/winner2', [UserController::class, 'winner2'])->name('winner2');

Route::get('/', [AdminController::class, 'login'])->name('main');

Route::get('/ticketBookings/{slug?}', [UserController::class, 'ticketBookings'])->name('ticketBookings');
Route::get('/addAttendees/{slug?}', [UserController::class, 'addAttendees'])->name('addAttendees');
Route::get('/checkout/{slug?}', [UserController::class, 'checkout'])->name('checkout');
Route::get('/loadCart', [UserController::class, 'loadCart'])->name('loadCart');

Route::get('/generateBarcode', [UserController::class, 'generateBarcode'])->name('generateBarcode');

//session work
Route::post('/addToCart', [UserController::class, 'addToCart'])->name('addToCart');
Route::post('/removeToCart', [UserController::class, 'removeToCart'])->name('removeToCart');
Route::post('/manageUserDetails', [UserController::class, 'manageUserDetails'])->name('manageUserDetails');
Route::post('/addCouponCode', [UserController::class, 'addCouponCode'])->name('addCouponCode');
Route::get('/removeCouponCode', [UserController::class, 'removeCouponCode'])->name('removeCouponCode');


/* WhatsApp Messages */
Route::get('/registration_message', [WhatsAppAutomationController::class, 'registration_message'])->name('registration_message');
Route::post('/WhatsAppCallBackUrl', [WhatsAppAutomationController::class, 'WhatsAppCallBackUrl'])->name('WhatsAppCallBackUrl');

//Volunteer registrations
Route::get('/volunteerRegistrations', [VolunteerRegistrations::class, 'index'])->name('volunteerRegistrations');
Route::get('/volunteerRegistrations/getdetails', [VolunteerRegistrations::class, 'getdetails'])->name('volunteerRegistrations-getdetails');
Route::post('/volunteerRegistrations/first_step_save', [VolunteerRegistrations::class, 'first_step_save'])->name('volunteerRegistrations-first-step-save');
Route::post('/volunteerRegistrations/secound_step_save', [VolunteerRegistrations::class, 'secound_step_save'])->name('volunteerRegistrations-secound-step-save');
Route::post('/volunteerRegistrations/third_step_save', [VolunteerRegistrations::class, 'third_step_save'])->name('volunteerRegistrations-third-step-save');
Route::post('/volunteerRegistrationImages', [VolunteerRegistrations::class, 'volunteerRegistrationImages'])->name('volunteerRegistrationImages');
Route::get('/volunteerRegistrations/thankyou/{user_id?}', [VolunteerRegistrations::class, 'volunteerRegistrationThankyou'])->name('volunteerRegistration-thankyou');
Route::get('/volunteerRegistrations/registrationdata/{user_id?}', [VolunteerRegistrations::class, 'registrationdata'])->name('volunteerRegistrations-registrationdata');
Route::get('/updateVolunteerList', [VolunteerRegistrations::class, 'updateVolunteerList'])->name('updateVolunteerList');

//contact organizer
Route::post('/contact-organizar/save', [ContactOrganizarController::class, 'save'])->name('contact-organizar-save');

//payment route for ticket packages
Route::get('/payments/{order_id?}', [PaymentController::class, 'payments'])->name('payments');
Route::get('/PaymentSuccess/{status?}/{order_id?}/{payment_type?}/{payment_details?}', [PaymentController::class, 'PaymentSuccess'])->name('PaymentSuccess');
//payment route for hotel packages 
Route::get('/payments/hotel/{order_id?}', [PaymentController::class, 'hotelPayments'])->name('hotel-payments');
Route::get('/hotelPaymentSuccess/{status?}/{order_id?}/{payment_type?}/{payment_details?}', [PaymentController::class, 'hotelPaymentSuccess'])->name('hotelPaymentSuccess');
//payment route for hotel delegate packages 
Route::get('/payments/hotelDelegate/{order_id?}', [PaymentController::class, 'hotelDelegatePayments'])->name('hotelDelegate-payments');
Route::get('/hotelDelegatePaymentSuccess/{status?}/{order_id?}/{payment_type?}/{payment_details?}', [PaymentController::class, 'hotelDelegatePaymentSuccess'])->name('hotelDelegatePaymentSuccess');
//payment route for thankyou
Route::get('thankyou/{user_id?}/{order_id?}', [PaymentController::class, 'thankyou'])->name('thankyou');
Route::get('unsuccessful', [PaymentController::class, 'unsuccessful'])->name('unsuccessful');

Route::get('/user_edit/{user_id?}', [UserController::class, 'user_edit'])->name('user_edit');
Route::match(['get','post'],'/user_update', [UserController::class, 'user_update'])->name('user_update');

Route::get('/crons', [AjaxController::class, 'crons'])->name('crons');
Route::get('/logoutAll', [AjaxController::class, 'logoutAll'])->name('logoutAll');

Route::post('/ajaxstate', [AjaxController::class, 'ajaxstate'])->name('ajaxstate');
Route::post('/ajaxcity', [AjaxController::class, 'ajaxcity'])->name('ajaxcity');
Route::post('/uploadImages/{slug?}', [AjaxController::class, 'uploadImages'])->name('uploadImages');

Route::group(['namespace' => 'App\Http\Controllers\Admin', 'prefix' => 'admin'], function()
{
    Route::get('/login', [AdminController::class, 'login'])->name('admin-login');
    Route::post('/authenticate', [AdminController::class, 'authenticate']);
    Route::match(['get','post'],'/authenticate', [AdminController::class, 'authenticate'])->name('admin-authenticate');
    Route::get('/logout', [AdminController::class, 'logout'])->name('logout');
    
    Route::group(['middleware' => 'adminauth'], function()
    {
        Route::get('/index', [DashboardController::class, 'index'])->name('adminhome');
        Route::get('/search', [SearchController::class, 'index'])->name('search');
        Route::get('/search-view', [SearchController::class, 'view'])->name('search-view');
        Route::get('/search-filterData', [SearchController::class, 'filterData'])->name('search-filterData');
		
        Route::get('/eventStatus/{status?}', [DashboardController::class, 'eventStatus'])->name('eventStatus');
        Route::get('/mastersearch', [DashboardController::class, 'mastersearch'])->name('mastersearch');

        //user type section
        Route::get('/usertypes', [UserTypesController::class, 'index'])->name('usertypes');
        Route::get('/usertypes/add', [UserTypesController::class, 'add'])->name('usertypes-add');
        Route::post('/usertypes/save', [UserTypesController::class, 'save'])->name('usertypes-save');

        //tickets
        Route::get('/tickets', [TicketsController::class, 'index'])->name('tickets');
        Route::get('/tickets/add', [TicketsController::class, 'add'])->name('tickets-add');
		Route::get('/tickets/edit/{id?}', [TicketsController::class, 'edit'])->name('tickets-edit');
        Route::get('/tickets/view/{id?}', [TicketsController::class, 'view'])->name('tickets-view');
		Route::get('/tickets/delete/{id?}', [TicketsController::class, 'delete'])->name('tickets-delete');
        Route::post('/tickets/save', [TicketsController::class, 'save'])->name('tickets-save');
        Route::get('/tickets/status/{id?}', [TicketsController::class, 'status'])->name('tickets-status');        

        //coupons
        Route::get('/coupons', [CouponsController::class, 'index'])->name('coupons');
        Route::get('/coupons/add', [CouponsController::class, 'add'])->name('coupons-add');
        Route::post('/coupons/save', [CouponsController::class, 'save'])->name('coupons-save');
        Route::get('/coupons/edit/{id?}', [CouponsController::class, 'edit'])->name('coupons-edit');
        Route::post('/coupons/update', [CouponsController::class, 'update'])->name('coupons-update');
        Route::get('/coupons/view/{id?}', [CouponsController::class, 'view'])->name('coupons-view');
        Route::get('/coupons/status/{id?}', [CouponsController::class, 'status'])->name('coupons-status');
        Route::get('/coupons/delete/{id?}', [CouponsController::class, 'delete'])->name('coupons-delete');
        //coupons

        //Route::get('/users', [RegisteruserController::class, 'index'])->name('users');
        Route::get('/GeneralRegistrations', [RegisteruserController::class, 'index'])->name('users');
        Route::get('/userpaymentdetails/{user_id?}', [RegisteruserController::class, 'userpaymentdetails'])->name('userpaymentdetails');
        Route::get('/usermembers/{user_id?}', [RegisteruserController::class, 'usermembers'])->name('usermembers');
        Route::get('/attendees', [RegisteruserController::class, 'attendees'])->name('attendees');
        Route::post('/adduser', [RegisteruserController::class, 'adduser']);
        Route::match(['get','post'],'/adduser', [RegisteruserController::class, 'adduser'])->name('adduser');
        Route::get('/sampleExcel', [RegisteruserController::class, 'sampleExcel'])->name('sampleExcel');
        Route::post('/uploadUsercsv', [RegisteruserController::class, 'uploadUsercsv']);
        Route::match(['get','post'],'/uploadUsercsv', [RegisteruserController::class, 'uploadUsercsv'])->name('uploadUsercsv');
        Route::post('/changeStatus', [RegisteruserController::class, 'changeStatus']);
        Route::match(['get','post'],'/changeStatus', [RegisteruserController::class, 'changeStatus'])->name('changeStatus');
        Route::post('/deleteUser', [RegisteruserController::class, 'deleteUser']);
        Route::post('/emailUser', [RegisteruserController::class, 'emailUser'])->name('emailUser');
        Route::post('/emailMember', [RegisteruserController::class, 'emailMember'])->name('emailMember');
        Route::match(['get','post'],'/deleteUser', [RegisteruserController::class, 'deleteUser'])->name('deleteUser');
        Route::get('/resetUsers', [RegisteruserController::class, 'resetUsers'])->name('resetUsers');
        Route::get('/exportUsers', [RegisteruserController::class, 'exportUsers'])->name('exportUsers');
        Route::get('/exportAttendees', [RegisteruserController::class, 'exportAttendees'])->name('exportAttendees');
        Route::post('/exportAttendeesByDate', [RegisteruserController::class, 'exportAttendeesByDate']);
        Route::match(['get','post'],'/exportAttendeesByDate', [RegisteruserController::class, 'exportAttendeesByDate'])->name('exportAttendeesByDate');

        Route::get('/event-details', [EventController::class, 'event_details'])->name('event_details');
        Route::post('/updateEventDetails', [EventController::class, 'updateEventDetails'])->name('updateEventDetails');
        Route::post('/uploadImg', [EventController::class, 'uploadImg'])->name('uploadImg');
        
        Route::get('/event_tab-add', [EventController::class, 'add'])->name('event_tab-add');
        Route::post('/eventTabSave', [EventController::class, 'eventTabSave'])->name('eventTabSave');
        Route::post('/eventTabStatus', [EventController::class, 'eventTabStatus'])->name('eventTabStatus');
        Route::post('/tabRemove', [EventController::class, 'tabRemove'])->name('tabRemove');
        Route::post('/eventTabupdate', [EventController::class, 'eventTabupdate'])->name('eventTabupdate');

        //volunteers
        Route::get('/volunteers', [VolunteersController::class, 'index'])->name('volunteers');
        //volunteers

        //sales reporting
        Route::get('/salesreporting', [SalesReportingController::class, 'index'])->name('salesreporting');
        Route::get('/salesreporting/reportingLists/{slug?}', [SalesReportingController::class, 'reportingLists'])->name('salesreporting-reportingLists');
        Route::get('/salesreporting/orderSummary', [SalesReportingController::class, 'orderSummary'])->name('salesreporting-orderSummary');
        Route::get('/salesreporting/advanceFilter', [SalesReportingController::class, 'advanceFilter'])->name('salesreporting-advanceFilter');
        Route::post('/salesreporting/advanceFilter', [SalesReportingController::class, 'advanceFilter'])->name('salesreporting-advanceFilter');
        Route::get('/salesreporting/advanceFilterAddMore', [SalesReportingController::class, 'advanceFilterAddMore'])->name('salesreporting-advanceFilter-addmore');
        Route::get('/salesreporting/exportAdvanceFilterData', [SalesReportingController::class, 'exportAdvanceFilterData'])->name('salesreporting-exportAdvanceFilterData');
        Route::get('/salesreporting/exportAllData/{slug?}', [SalesReportingController::class, 'exportAllData'])->name('salesreporting-exportAllData');
        //sales reporting

        /* WhatsApp log */
        Route::get('/whatsappLogs', [WhatsAppLogsController::class, 'index'])->name('whatsapp-logs');
        /* WhatsApp log */

        //Naveen Views
        Route::get('/ticket-type-detail', [RegisteruserController::class, 'ticket_type_detail'])->name('ticket_type_detail');
        Route::get('/form', [RegisteruserController::class, 'form'])->name('form');
        Route::get('/attendee-enquiries', [RegisteruserController::class, 'attendee_enquiries'])->name('attendee_enquiries');
        Route::get('/email-builder', [RegisteruserController::class, 'email_builder'])->name('email_builder');
        Route::get('/edit-email', [RegisteruserController::class, 'edit_email'])->name('edit_email');
        //Naveen Views

        //interface routes
        Route::post('/inviteuser', [InterfacesController::class, 'inviteuser'])->name('inviteuser');
        Route::get('/interfaces/{interface_id?}', [InterfacesController::class, 'index'])->name('interfaces');
        Route::get('/interfaces/add/{interface_id?}', [InterfacesController::class, 'add'])->name('interfaces-add');
        Route::post('/interfaces/save', [InterfacesController::class, 'save'])->name('interfaces-save');
        Route::get('/interfaces/edit/{interface_id?}/{user_id?}', [InterfacesController::class, 'edit'])->name('interfaces-edit');
        Route::post('/interfaces/update', [InterfacesController::class, 'update'])->name('interfaces-update');
        Route::get('/interfaces/view/{interface_id?}/{user_id?}', [InterfacesController::class, 'view'])->name('interfaces-view');
        Route::get('/interfaces/delete/{interface_id?}/{user_id?}', [InterfacesController::class, 'delete'])->name('interfaces-delete');
        Route::get('/interfaces/import/{interface_id}', [InterfacesController::class, 'import'])->name('interfaces-import');
        Route::get('/interfaces/sampleExcel/{interface_id}', [InterfacesController::class, 'sampleExcel'])->name('interfaces-sampleExcel');
        Route::post('/interfaces/upload', [InterfacesController::class, 'uploadinterfaceuser'])->name('interfaces-upload');
        Route::get('/downloadRemovedData/{interface_id?}', [InterfacesController::class, 'downloadRemovedData'])->name('downloadRemovedData');
        Route::get('/exportInterfaceData/{interface_id?}', [InterfacesController::class, 'exportInterfaceData'])->name('exportInterfaceData');
        Route::get('/clearInterfaceData/{interface_id?}', [InterfacesController::class, 'clearInterfaceData'])->name('clearInterfaceData');
        //advance filter for interfaces
        Route::get('/interfaces-advanceFilter', [InterfacesController::class, 'advanceFilter'])->name('interfaces-advanceFilter');
        Route::post('/interfaces-advanceFilter', [InterfacesController::class, 'advanceFilter'])->name('interfaces-advanceFilter');
        Route::get('/interfaces-advanceFilterAddMore', [InterfacesController::class, 'advanceFilterAddMore'])->name('interfaces-advanceFilter-addmore');
        Route::get('/interfaces-exportAdvanceFilterData', [InterfacesController::class, 'exportAdvanceFilterData'])->name('interfaces-exportAdvanceFilterData');
        /*
            Route::get('/interface_users/{id?}', [InterfacesController::class, 'interface_users'])->name('interface_users');
            Route::post('/import_interface_users/{id?}', [InterfacesController::class, 'import_interface_users'])->name('import_interface_users');
            Route::get('/sampleVIPUserExcel', [InterfacesController::class, 'sampleVIPUserExcel'])->name('sampleVIPUserExcel');
        */
        
        Route::get('/AttendeeUsers/{slug?}', [AttendeesController::class, 'index'])->name('attendees'); 
        Route::get('/attendee/exportAllData', [AttendeesController::class, 'exportAllData'])->name('attendee-exportAllData');
        Route::get('/attendee/resendemail/{ticket_booking_id?}', [AttendeesController::class, 'resendemail'])->name('attendee-resendemail');
        //advance filter for attendees
        Route::get('/attendee-advanceFilter', [AttendeesController::class, 'advanceFilter'])->name('attendee-advanceFilter');
        Route::post('/attendee-advanceFilter', [AttendeesController::class, 'advanceFilter'])->name('attendee-advanceFilter');
        Route::get('/attendee-advanceFilterAddMore', [AttendeesController::class, 'advanceFilterAddMore'])->name('attendee-advanceFilter-addmore');
        Route::get('/attendee-exportAdvanceFilterData', [AttendeesController::class, 'exportAdvanceFilterData'])->name('attendee-exportAdvanceFilterData');

        //RSVP 
        Route::get('/rsvp', [RsvpController::class, 'index'])->name('rsvp');
        Route::get('/rsvp/add', [RsvpController::class, 'add'])->name('rsvp-add');
        Route::post('/rsvp/save', [RsvpController::class, 'save'])->name('rsvp-save');
        Route::get('/rsvp-import', [RsvpController::class, 'importrsvp'])->name('importrsvp');
        Route::get('/rsvp-advanceFilter', [RsvpController::class, 'advanceFilter'])->name('rsvp-advanceFilter');        
        Route::post('/rsvp-advanceFilter', [RsvpController::class, 'advanceFilter'])->name('rsvp-advanceFilter');
        Route::get('/rsvp-advanceFilterAddMore', [RsvpController::class, 'advanceFilterAddMore'])->name('rsvp-advanceFilter-addmore');
        Route::get('/rsvp-exportAdvanceFilterData', [RsvpController::class, 'exportAdvanceFilterData'])->name('rsvp-exportAdvanceFilterData');
        // Route::get('/usertypes/add', [UserTypesController::class, 'add'])->name('usertypes-add');


        Route::get('/formSettings/index/{module_name?}', [FormSettingsController::class, 'index'])->name('formSettings-index');
        Route::post('/formSettings/addInterface', [FormSettingsController::class, 'addInterface'])->name('formSettings-addInterface');
        Route::get('/formSettings/interfaceDelete', [FormSettingsController::class, 'interfaceDelete'])->name('formSettings-interfaceDelete');
        Route::get('/formSettings/updateInterfaceForm', [FormSettingsController::class, 'updateInterfaceForm'])->name('formSettings-updateInterfaceForm');
        Route::get('/formSettings/addMoreFormField', [FormSettingsController::class, 'addMoreFormField'])->name('formSettings-addMoreFormField');
        Route::post('/formSettings/saveFormField', [FormSettingsController::class, 'saveFormField'])->name('formSettings-saveFormField');
		
		// E-Mail Routes :: START 
		Route::get('/emails', [TemplateController::class, 'index'])->name('emails');
		Route::get('/email/add/', [TemplateController::class, 'add'])->name('email-add');
		Route::get('/email/edit/{id?}', [TemplateController::class, 'edit'])->name('email-edit');
		Route::get('/email/delete/{id?}', [TemplateController::class, 'delete'])->name('email-delete');
		Route::post('/email/store/', [TemplateController::class, 'store'])->name('email-store');
		Route::get('/email/view/{id?}', [TemplateController::class, 'view'])->name('email-view');
		Route::get('/email/send_mail/{id?}', [TemplateController::class, 'send_mail'])->name('send-mail');
		Route::post('/email/send', [TemplateController::class, 'send'])->name('send');
		
        Route::get('/smtp', [SmtpController::class, 'index'])->name('smtp');
        Route::get('/smtp/add', [SmtpController::class, 'add'])->name('smtp-add');
		Route::get('/smtp/edit/{id?}', [SmtpController::class, 'edit'])->name('smtp-edit');		
		Route::get('/smtp/delete/{id?}', [SmtpController::class, 'delete'])->name('smtp-delete');
        Route::post('/smtp/save', [SmtpController::class, 'store'])->name('smtp-save');
        Route::get('/smtp/view/{id?}', [SmtpController::class, 'view'])->name('smtp-view');		
		
        Route::get('/form-builder', [FormBuilderController::class, 'index'])->name('form-builder');
        Route::get('/formBuilder/add', [FormBuilderController::class, 'add'])->name('form-builder-add');
		Route::get('/formBuilder/edit/{alias?}', [FormBuilderController::class, 'edit'])->name('form-builder-edit');
		Route::get('/formBuilder/delete/{alias?}', [FormBuilderController::class, 'delete'])->name('form-builder-delete');
        Route::post('/formBuilder/save', [FormBuilderController::class, 'store'])->name('form-builder-save');
        Route::get('/formBuilder/view/{alias?}', [FormBuilderController::class, 'view'])->name('form-builder-view');
        Route::get('/add-form-field', [FormBuilderController::class, 'addFormField'])->name('add-form-field');
        Route::get('/remove-form-field', [FormBuilderController::class, 'removeFormField'])->name('remove-form-field');

        //orground reporting
        Route::get('/onground-dashboard', [OngroundDashboardController::class, 'index'])->name('onground-dashboard');
        //interface
        Route::get('/onground-dashboard/interface', [OngroundDashboardController::class, 'interface'])->name('onground-dashboard-interface');
        //redemption
        Route::get('/onground-dashboard/redemption', [OngroundDashboardController::class, 'redemption'])->name('onground-dashboard-redemption');
        Route::get('/onground-dashboard/exportRedemptionReport/{category?}', [OngroundDashboardController::class, 'exportRedemptionReport'])->name('onground-dashboard-exportRedemptionReport');
        //zapping
        Route::get('/onground-dashboard/zapping', [OngroundDashboardController::class, 'zapping'])->name('onground-dashboard-zapping');
        Route::get('/onground-dashboard/exportAllZappingReport', [OngroundDashboardController::class, 'exportAllZappingReport'])->name('onground-dashboard-exportAllZappingReport');
        Route::get('/onground-dashboard/exportZappingReport/{location?}/{category?}', [OngroundDashboardController::class, 'exportZappingReport'])->name('onground-dashboard-exportZappingReport');

        //permissions
        Route::get('/permissions', [PermissionsController::class, 'index'])->name('permissions');
        //to add admin users
        Route::get('/permissions/adduser', [PermissionsController::class, 'adduser'])->name('permissions-adduser');
        Route::post('/permissions/usersave', [PermissionsController::class, 'usersave'])->name('permissions-usersave');
        //to add admin users
        Route::get('/permissions/addmenus', [PermissionsController::class, 'addmenus'])->name('permissions-addmenus');
        Route::post('/permissions/menusave', [PermissionsController::class, 'menusave'])->name('permissions-menusave');
        //to add admin permissions
        Route::get('/permissions/edit/{user_id?}', [PermissionsController::class, 'edit'])->name('permissions-edit');
        Route::post('/permissions/update', [PermissionsController::class, 'update'])->name('permissions-update');
        Route::get('/permissions/view/{user_id?}', [PermissionsController::class, 'view'])->name('permissions-view');
    });
});

Route::get('/invitees/{access_token?}', [InviteesController::class, 'index'])->name('invitees');
Route::get('/sendInvite/{access_token?}', [InviteesController::class, 'sendInvite'])->name('sendInvite');
Route::post('/saveInvite', [InviteesController::class, 'saveInvite'])->name('saveInvite');
Route::get('/addUser/{access_token?}', [InviteesController::class, 'addUser'])->name('addUser');
Route::post('/saveUser', [InviteesController::class, 'saveUser'])->name('saveUser');
Route::get('/success/{access_token?}', [InviteesController::class, 'success'])->name('success');
Route::get('/inviteList/{access_token?}', [InviteesController::class, 'inviteList'])->name('inviteList');
Route::get('/userList/{access_token?}', [InviteesController::class, 'userList'])->name('userList');