<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="initial-scale=1.0,minimum-scale=1.0,maximum-scale=2,width=device-width" maximum-scale="2" />
  <meta name="theme-color" content="#e9f7ff" />
  <meta name="msapplication-TileColor" content="#e9f7ff" />
  <meta name="msapplication-navbutton-color" content="#e9f7ff" />
  <meta name="apple-mobile-web-app-status-bar-style" content="#e9f7ff" />
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap" rel="stylesheet">
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" rel="stylesheet">
  <style>
    body {
      margin: 0;
      padding: 0;
      font-family: 'Montserrat', sans-serif;
    }

    .siteposition {
      background-size: cover;
      background-position: center;
      overflow: hidden;
      background-attachment: fixed;
    }

    .thankyou {
      position: absolute;
      top: 50%;
      left: 50%;
      font-size: 50px;
      font-family: 'Montserrat', sans-serif;
      transform: translate(-50%, -50%);
      width: 100%;
    }

    .thankyou span {
      text-align: center;
      margin: 0px auto;
      display: grid;
      font-size: 50px;
      font-weight: 600;
      color: #ffffff;
    }

    .thankyou span small {
      font-size: 50px;
      color: #ffffff;
    }

    .thankyou p {
      font-size: 40px;
      padding: 0;
      color: #ffffff;
      font-weight: bold;
      text-align: center;
      margin: 0px auto;
      display: table;
    }

    
    
    .HomeIcon {
    background: #fff;
    display: inline-block;
    border-radius: 100%;
    position: absolute;
    right: 10px;
    bottom: 10px;
    z-index: 1000;
}


.HomeIcon a {
    font-size: 20px;
    color: #30254d;
    width: 50px;
    height: 50px;
    padding: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
}

    @media  only screen and (min-width:320px) and (max-width:767px) {
      body {
        margin: 0;
        padding: 0;
        font-family: 'Montserrat', sans-serif;
      }

      .videoMain {
        position: absolute;
        top: 50%;
        left: 50%;
        width: 100%;
        transform: translate(-50%, -50%);
      }

      .thankyou span small {
        font-size: 20px;
      }

      .thankyou span {
        font-size: 25px;
      }

      .thankyou p {
        font-size: 25px;
      }

      .HomeIcon a{
        width: 35px;
        height: 35px;
        font-size: 17px;
      }
    }

    /* animation css */
    .thankyou {
      text-align: center;
      margin-left: auto;
      margin-right: auto;
      font-size: 40px
    }

    .thankyou span {

      animation: type 1s
        /*steps(3,end)*/
        forwards;
    }

    .thankyou span small{

      animation: type 1s
        /*steps(3,end)*/
        forwards;
    }

    .thankyou p {

      animation: type 1s
        /*steps(3,end)*/
        forwards;
    }

    @keyframes  type {
      0% {
        color: transparent;
        font-size: 0em;
      }

      100% {
        /* color: black; */
        /* font-size: 1em; */
      }
    }
  </style>
</head>

<body class="siteposition" style="background-image: url(<?php echo e(asset('public/assets/bg.png')); ?>);">
<div class="HomeIcon">
  <a href="<?php echo e(route('rafale2')); ?>"><i class="fa fa-home" aria-hidden="true"></i></a>
</div>



  <video class="videoMain" autoplay muted id="myVideo" width="100%" height="100%" onended="videoEnd()">
    <source src="<?php echo e(asset('public/assets/rafale2.mp4')); ?>" type="video/mp4">
  </video>
  <div class="thankyou">
    <?php if(isset($winner_name->name) && $winner_name->name != ''): ?>
    <span id="winner" style="display:none;">
      <small>YOU WON!</small>
      <?php echo e($winner_name->name); ?></span>
    <?php else: ?>
    <p id="winner" style="display:none;">Thank you!</p>
    <?php endif; ?>
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  <script>
    let vid = document.getElementById("myVideo");

    function playVid() {
      vid.play();
    }

    function videoEnd() {
      $('#myVideo').hide();
      $('#winner').show();
    }
  </script>

</body>

</html><?php /**PATH /var/www/html/rafale/resources/views/winner2.blade.php ENDPATH**/ ?>