
<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="<?php echo e(route('interfaces', ['interface_id' => $interface_id])); ?>"><?php echo e($title); ?></a></li>
                <li class="breadcrumb-item"><span>Import Users List</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <form class="add-user-form" id="interface-form">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="interface_id" value="<?php echo e($interface_id); ?>">
                <div class="row">
                    <div class="col-md-12 form-group">
                        <label for="exampleFormControlInput1">Upload File</label>
                        <input type="file" class="form-control" name="file">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Check and Upload</button>
                <a type="button" class="btn btn-main white" href="<?php echo e(route('interfaces-sampleExcel', ['interface_id' => $interface_id])); ?>">Download Sample Sheet</a>
            </form>
            <div class="alert-danger errorMsg mt-3" style="display:none;font-size:20px;"></div>
            <br />
            <p style="color:red;">
                -Please upload less then 500 user once at a time. <br />
                -Please don't use any spacial character or symbol in the data. Don't use white spaces before the values. <br />
                -Please fill all the required field values.<br />
            </p>
            <?php if(!empty($required_form_fields)): ?>
            <span style="color:red;">-Required Fields</span><br />
            <ul style="color:red;">
                <?php $__currentLoopData = $required_form_fields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($value->field_title); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
            <?php endif; ?>
            <?php if(!empty($unique_form_fields)): ?>
            <span style="color:red;">-Unique Fields</span><br />
            <ul style="color:red;">
                <?php $__currentLoopData = $unique_form_fields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($value->field_title); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
            <?php endif; ?>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(document).on('click', '.submit-btn', function(e) {
        var form = $('#interface-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "<?php echo e(route('interfaces-upload')); ?>",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                if ($.isEmptyObject(response.error)) {
                    if(type == 'Error') {
                        toastr.error(message);
                    } else {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: message,
                            confirmButtonText: 'Ok',
                        }).then((result) => {
                            if (result.isConfirmed) {
                                window.location.replace("<?php echo e(route('interfaces', ['interface_id' => $interface_id])); ?>");
                            }
                        });
                    }
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/barcode/resources/views/admin/interfaces/import.blade.php ENDPATH**/ ?>