<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="<?php echo e(route('permissions')); ?>">Permissions</a></li>
                <li class="breadcrumb-item"><span>Edit Permissions</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Edit Permissions</h2>


            <form class="edit-permissions-form" id="permissions-form">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="admin_id" value="<?php echo e($user_id); ?>">
                <div class="row">
                    <div class="col-12">
                        <div class="check-set">
                            <?php 
                                $user_permissions = [];
                                if(!empty($user_details->permissions)) {
                                    $user_permissions = json_decode($user_details->permissions, true);
                                }
                            ?>
                            <?php $__currentLoopData = $menu; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($value == 'Sales Report'): ?>
                                    <h6><?php echo e($value); ?></h6>
                                    <?php $__currentLoopData = $tickets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 => $value2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="sub-check">
                                        <div class="mb-3 form-check">
                                            <input type="checkbox" class="form-check-input" name="menu[<?php echo e($value); ?>][]" id="SalesReport<?php echo e($value2); ?>" value="<?php echo e($value2); ?>" <?php if(isset($user_permissions['Sales Report']) && in_array($value2,$user_permissions['Sales Report'])): ?> checked <?php endif; ?>>
                                            <label class="form-check-label" for="SalesReport<?php echo e($value2); ?>"><?php echo e($value2); ?></label>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php elseif($value == 'Attendees'): ?>
                                    <h6><?php echo e($value); ?></h6>
                                    <?php $__currentLoopData = $tickets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 => $value2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="sub-check">
                                        <div class="mb-3 form-check">
                                            <input type="checkbox" class="form-check-input" name="menu[<?php echo e($value); ?>][]" id="Attendees<?php echo e($value2); ?>" value="<?php echo e($value2); ?>" <?php if(isset($user_permissions['Attendees']) && in_array($value2,$user_permissions['Attendees'])): ?> checked <?php endif; ?>>
                                            <label class="form-check-label" for="Attendees<?php echo e($value2); ?>"><?php echo e($value2); ?></label>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php elseif($value == 'Interfaces'): ?>
                                    <h6><?php echo e($value); ?></h6>
                                    <?php $__currentLoopData = $user_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key2 => $value2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="sub-check">
                                        <div class="mb-3 form-check">
                                            <input type="checkbox" class="form-check-input" name="menu[<?php echo e($value); ?>][]" id="Interfaces<?php echo e($value2); ?>" value="<?php echo e($value2); ?>" <?php if(isset($user_permissions['Interfaces']) && in_array($value2,$user_permissions['Interfaces'])): ?> checked <?php endif; ?>>
                                            <label class="form-check-label" for="Interfaces<?php echo e($value2); ?>"><?php echo e($value2); ?></label>
                                        </div>
                                    </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                    <div class="mb-3 form-check">
                                        <input type="checkbox" class="form-check-input" name="menu[]" id="<?php echo e($value); ?>" value="<?php echo e($value); ?>" <?php if(in_array($value,$user_permissions)): ?> checked <?php endif; ?>>
                                        <label class="form-check-label" for="<?php echo e($value); ?>"><?php echo e($value); ?></label>
                                    </div>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </div>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Update</button>

            </form>


        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(document).on('click', '.submit-btn', function(e) {
        var form = $('#permissions-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({
            type: 'POST',
            url: "<?php echo e(route('permissions-update')); ?>",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                console.log(message);
                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("<?php echo e(route('permissions')); ?>");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        $('#' + key).addClass('error-field');
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/barcode/resources/views/admin/permissions/edit.blade.php ENDPATH**/ ?>