<div class="page-sidebar">
	<?php
		$auth_user_role = Auth::guard('admin')->user()->role;
		$auth_user_id = Auth::guard('admin')->user()->id;
	
		$auth_user_permissions = Auth::guard('admin')->user()->permissions; 
		$user_permissions = [];
		if(!empty($auth_user_permissions)) {
			$user_permissions = json_decode($auth_user_permissions, true);
		}
	?>
	<ul class="page-sidebar-menu " data-keep-expanded="false" data-auto-scroll="true" data-slide-speed="200">
		<?php if(in_array('Dashboard',$user_permissions)): ?>
		<li class="start">
			<a href="<?php echo e(url('/admin/index')); ?>" class="" data-toggles="tooltip" title="Dashboard" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/dashboard_icon.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/dashboard_icon_fill.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('Onground Dashboard',$user_permissions)): ?>
		<li class="start">
			<a href="<?php echo e(route('onground-dashboard')); ?>" class="" data-toggles="tooltip" title="Onground Dashboard" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/dashboard_icon.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/dashboard_icon_fill.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('Master Search',$user_permissions)): ?>
		<li class="">
			<a href="<?php echo e(route('search')); ?>" class="" data-toggles="tooltip" title="Master Search" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/search_icon.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/search_icon.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('Tickets',$user_permissions)): ?>
		<li class="">
			<a href="<?php echo e(url('/admin/tickets')); ?>" class="" data-toggles="tooltip" title="Tickets" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/tickets_icon.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/tickets_fill.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('Coupon',$user_permissions)): ?>
		<li class="">
			<a href="<?php echo e(url('/admin/coupons')); ?>" class="" data-toggles="tooltip" title="Coupon" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/coupon.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/coupon_sel.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(isset($user_permissions['Sales Report'])): ?>
		<li class="">
			<a href="#" class="salesreport-parent-menu" data-toggles="tooltip" title="Sales Report" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/sales report.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/sales_report_fill.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(isset($user_permissions['Attendees'])): ?>
		<li class="">
			<a href="#" class="attendee-parent-menu" data-toggles="tooltip" title="Attendees" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/attendees.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/attendees.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(isset($user_permissions['Interfaces'])): ?>
		<li class="">
			<a href="#" class="interface-parent-menu" data-toggles="tooltip" title="Interfaces" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/volunteer.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/volunteer_sel.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>

		<!-- for dev use -->
		<?php if($auth_user_role == 'Superadmin'): ?>
		<li class="">
			<a href="<?php echo e(route('permissions')); ?>" class="" data-toggles="tooltip" title="Permissions" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/permission.png')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/permission_fill.png')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('User Types',$user_permissions)): ?>
		<li class="">
			<a href="<?php echo e(route('usertypes')); ?>" class="" data-toggles="tooltip" title="User Types" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/tickets_icon.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/tickets_fill.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('Form Builder',$user_permissions)): ?>
		<li class="">
			<a href="<?php echo e(route('form-builder')); ?>" class="" data-toggles="tooltip" title="Form Builder" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/event_details.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/event_details.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('Event Details',$user_permissions)): ?>
		<li class="">
			<a href="<?php echo e(url('/admin/event-details')); ?>" class="" data-toggles="tooltip" title="Event Detail" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/event_details.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/event_details_fill.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		<?php if(in_array('Email Builder',$user_permissions)): ?>
		<li class="">
			<a href="<?php echo e(url('/admin/emails')); ?>" class="" data-toggles="tooltip" title="Email Builder" data-placement="right">
				<div class="svg-icon">
					<img class="sidebar-icon" src="<?php echo e(asset('public/admin/assets/images/email_builder.svg')); ?>">
					<img class="sidebar-icon-fill" src="<?php echo e(asset('public/admin/assets/images/email_builder_fill.svg')); ?>">
				</div>
			</a>
		</li>
		<?php endif; ?>
		


		
	</ul>
</div>

<?php if(isset($user_permissions['Interfaces'])): ?>
<!-- submenu for interface -->
<ul class="interface-sub-menu sub-menu">
	<!-- <button type="button" class="close menu-close"><span class="fas fa-times"></span></button> -->
	<h2 class="heading blue">Interfaces</h2>
	<?php $__currentLoopData = $interface_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	<?php if(in_array($value->category,$user_permissions['Interfaces'])): ?>
	<li>
		<a href="<?php echo e(route('interfaces').'/'.$value->id); ?>"><?php echo e($value->category); ?></a>
	</li>
	<?php endif; ?>
	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</ul>
<?php endif; ?>

<?php if(isset($user_permissions['Attendees'])): ?>
<!-- submenu for attendees -->
<ul class="attendee-sub-menu sub-menu">
	<!-- <button type="button" class="close menu-close"><span class="fas fa-times"></span></button> -->
	<h2 class="heading blue">Attendees</h2>
	<?php $__currentLoopData = $ticket_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	<?php if(in_array($value,$user_permissions['Attendees'])): ?>
	<li>
		<a href="<?php echo e(route('attendees', ['slug' => $key])); ?>"><?php echo e($value); ?></a>
	</li>
	<?php endif; ?>
	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</ul>
<?php endif; ?>

<?php if(isset($user_permissions['Sales Report'])): ?>
<!-- submenu for sales report -->
<ul class="salesreport-sub-menu sub-menu">
	<!-- <button type="button" class="close menu-close"><span class="fas fa-times"></span></button> -->
	<h2 class="heading blue">Sales Reports</h2>
	<?php $__currentLoopData = $ticket_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
	<?php if(in_array($value,$user_permissions['Sales Report'])): ?>
	<li>
		<a href="<?php echo e(route('salesreporting-reportingLists').'/'.$key); ?>"><?php echo e($value); ?></a>
	</li>
	<?php endif; ?>
	<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</ul>
<?php endif; ?><?php /**PATH /var/www/html/barcode/resources/views/admin/elements/sidebar.blade.php ENDPATH**/ ?>