<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="d-flex justify-content-between mb-3 flex-wrap breadcrumb">
        <div class="d-flex">
            <ul>
                <li class="breadcrumb-item"><a href="<?php echo e(route('usertypes')); ?>">User Types</a></li>
                <li class="breadcrumb-item"><span>Add</span></li>
            </ul>
        </div>
    </div>

    <!-- Tickets Table -->
    <div class="row">
        <div class="col-12 table-responsive">
            <h2 class="page-heading">Add User Type</h2>


            <form class="add-user-form" id="user-type-form">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">User Type</label>
                        <select class="form-control types" id="type" name="type">
                            <option value="">Select User Type...</option>
                            <option value="Interface">Interface</option>
                            <option value="Onspot">Onspot</option>
                            <option value="Online">Online</option>
                        </select>
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">Category Name</label>
                        <input type="text" class="form-control" id="category" placeholder="Enter Category Name" name="category">
                    </div>
                    <div class="col-md-6 form-group shortcode">
                        <label for="exampleFormControlInput1">Shortcode</label>
                        <input type="text" class="form-control" id="shortcode" placeholder="Enter Short Code" name="shortcode">
                    </div>
                    <div class="col-md-6 form-group">
                        <label for="exampleFormControlInput1">M-Badge</label>
                        <input type="file" class="form-control" id="mbadge" name="mbadge">
                    </div>
                </div>
                <button type="submit" class="btn btn-primary submit-btn">Save</button>

            </form>


        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('custom-scripts'); ?>
<script>
    $(document).on('change', '.types', function(e) {
        var type = $(this).val();

        if(type == 'Online') {
            $('.shortcode').hide();
        } else {
            $('.shortcode').show();
        }
    });

    $(document).on('click', '.submit-btn', function(e) {
        var form = $('#user-type-form')[0];
        var formData = new FormData(form);

        $('.form-control').removeClass('error-field');

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $.ajax({

            type: 'POST',
            url: "<?php echo e(route('usertypes-save')); ?>",
            data: formData,
            contentType: false,
            processData: false,
            beforeSend: function() {
                $('.loder-set').show();
            },
            success: function(response) {
                //response = jQuery.parseJSON(response);
                var type = response.type;
                var message = response.message;
                

                if ($.isEmptyObject(response.error)) {
                    Swal.fire({
                        icon: 'success',
                        title: 'Success',
                        text: message,
                        confirmButtonText: 'Ok',
                    }).then((result) => {
                        if (result.isConfirmed) {
                            window.location.replace("<?php echo e(route('usertypes')); ?>");
                        }
                    });
                } else {
                    $.each(response.error, function(key, value) {
                        
                        $('#'+key).addClass('error-field');
                        
                        toastr.error(value);
                    });
                }
            },
            complete: function(data) {
                $('.loder-set').hide();
            },
        });
        e.preventDefault();
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/barcode/resources/views/admin/usertypes/add.blade.php ENDPATH**/ ?>